#ifndef CHEMV_LOWER_AUTO2_H_INCLUDED
#define CHEMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Mon Mar 21 04:03:35 JST 2022
Host on a100-0.cloud.r-ccs.riken.jp
Device is A100-SXM-80GB
****************************************/-->
// device name
DEVICE= A100-SXM-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85196873728
// capacity of the work area reserved on the GPU
WORK= 1171456
// for double or cuFloatComplex or int64
MAXDIM= 98037
// for float or cuHalfComplex or int32
MAXDIM2= 138645
// for cuDoubleComplex or DD or int128
MAXDIM3= 69322
// for DD-Complex
MAXDIM4= 49018
// for half or int16
MAXDIM5= 196074
// cuda version
CUDA= 11040
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 4273 ) {
	BLK = 0;
} else
if ( n >= 4273 && n < 4308 ) {
	BLK = 3;
} else
if ( n >= 4308 && n < 6408 ) {
	BLK = 1;
} else
if ( n >= 6408 && n < 6692 ) {
	BLK = 4;
} else
if ( n >= 6692 && n < 8617 ) {
	BLK = 1;
} else
if ( n >= 8617 && n < 8962 ) {
	BLK = 4;
} else
if ( n >= 8962 && n < 9257 ) {
	BLK = 1;
} else
if ( n >= 9257 && n < 11350 ) {
	BLK = 4;
} else
if ( n >= 11350 && n < 11608 ) {
	BLK = 1;
} else
if ( n >= 11608 && n < 65271 ) {
	BLK = 4;
} else
if ( n >= 65271 && n < 70006 ) {
	BLK = 6;
} else
if ( n >= 70006 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 
#endif
