#ifndef I16SYMVL_AUTO2_H_INCLUDED
#define I16SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVL
 Sat Jul 23 20:24:16  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 7820 ) {
	BLK = 0;
} else
if ( n >= 7820 && n < 16547 ) {
	BLK = 3;
} else
if ( n >= 16547 && n < 17132 ) {
	BLK = 2;
} else
if ( n >= 17132 && n < 19774 ) {
	BLK = 3;
} else
if ( n >= 19774 && n < 20817 ) {
	BLK = 2;
} else
if ( n >= 20817 && n < 20875 ) {
	BLK = 1;
} else
if ( n >= 20875 && n < 21749 ) {
	BLK = 3;
} else
if ( n >= 21749 && n < 22341 ) {
	BLK = 2;
} else
if ( n >= 22341 && n < 23676 ) {
	BLK = 3;
} else
if ( n >= 23676 && n < 24363 ) {
	BLK = 2;
} else
if ( n >= 24363 && n < 32266 ) {
	BLK = 3;
} else
if ( n >= 32266 && n < 35917 ) {
	BLK = 2;
} else
if ( n >= 35917 && n < 37621 ) {
	BLK = 3;
} else
if ( n >= 37621 && n < 38995 ) {
	BLK = 2;
} else
if ( n >= 38995 && n < 42252 ) {
	BLK = 3;
} else
if ( n >= 42252 && n < 46038 ) {
	BLK = 2;
} else
if ( n >= 46038 && n < 48582 ) {
	BLK = 3;
} else
if ( n >= 48582 && n < 52603 ) {
	BLK = 2;
} else
if ( n >= 52603 && n < 56622 ) {
	BLK = 3;
} else
if ( n >= 56622 && n < 101976 ) {
	BLK = 2;
} else
if ( n >= 101976 && n < 123760 ) {
	BLK = 5;
} else
if ( n >= 123760 && n < 136305 ) {
	BLK = 2;
} else
if ( n >= 136305 && n < 150024 ) {
	BLK = 5;
} else
if ( n >= 150024 && n < 163986 ) {
	BLK = 2;
} else
if ( n >= 163986 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
