#ifndef I16SYMVU_AUTO2_H_INCLUDED
#define I16SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVU
 Sat Jul 23 17:19:02  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 43 ) {
	BLK = 1;
} else
if ( n >= 43 && n < 7834 ) {
	BLK = 0;
} else
if ( n >= 7834 && n < 8128 ) {
	BLK = 4;
} else
if ( n >= 8128 && n < 8298 ) {
	BLK = 2;
} else
if ( n >= 8298 && n < 8433 ) {
	BLK = 0;
} else
if ( n >= 8433 && n < 8740 ) {
	BLK = 3;
} else
if ( n >= 8740 && n < 8993 ) {
	BLK = 2;
} else
if ( n >= 8993 && n < 9270 ) {
	BLK = 0;
} else
if ( n >= 9270 && n < 9405 ) {
	BLK = 2;
} else
if ( n >= 9405 && n < 9690 ) {
	BLK = 3;
} else
if ( n >= 9690 && n < 9852 ) {
	BLK = 4;
} else
if ( n >= 9852 && n < 10000 ) {
	BLK = 2;
} else
if ( n >= 10000 && n < 10773 ) {
	BLK = 3;
} else
if ( n >= 10773 && n < 11041 ) {
	BLK = 2;
} else
if ( n >= 11041 && n < 11237 ) {
	BLK = 3;
} else
if ( n >= 11237 && n < 11853 ) {
	BLK = 4;
} else
if ( n >= 11853 && n < 66913 ) {
	BLK = 3;
} else
if ( n >= 66913 && n < 71281 ) {
	BLK = 5;
} else
if ( n >= 71281 && n < 95616 ) {
	BLK = 3;
} else
if ( n >= 95616 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
