#ifndef I64SYMVU_AUTO2_H_INCLUDED
#define I64SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I64SYMVU
 Sat Jul 23 04:31:47  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 4240 ) {
	BLK = 0;
} else
if ( n >= 4240 && n < 4316 ) {
	BLK = 1;
} else
if ( n >= 4316 && n < 4390 ) {
	BLK = 3;
} else
if ( n >= 4390 && n < 4726 ) {
	BLK = 0;
} else
if ( n >= 4726 && n < 6111 ) {
	BLK = 1;
} else
if ( n >= 6111 && n < 6503 ) {
	BLK = 6;
} else
if ( n >= 6503 && n < 10949 ) {
	BLK = 1;
} else
if ( n >= 10949 && n < 11346 ) {
	BLK = 3;
} else
if ( n >= 11346 && n < 11437 ) {
	BLK = 6;
} else
if ( n >= 11437 && n < 16715 ) {
	BLK = 1;
} else
if ( n >= 16715 && n < 17400 ) {
	BLK = 6;
} else
if ( n >= 17400 && n < 19637 ) {
	BLK = 1;
} else
if ( n >= 19637 && n < 20475 ) {
	BLK = 6;
} else
if ( n >= 20475 && n < 23566 ) {
	BLK = 1;
} else
if ( n >= 23566 && n < 29462 ) {
	BLK = 6;
} else
if ( n >= 29462 && n < 32236 ) {
	BLK = 1;
} else
if ( n >= 32236 && n < 37199 ) {
	BLK = 6;
} else
if ( n >= 37199 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
