#ifndef KHEMVU_AUTO2_H_INCLUDED
#define KHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVU
 Sun Jul 24 15:38:35  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 6406 ) {
	BLK = 0;
} else
if ( n >= 6406 && n < 6474 ) {
	BLK = 2;
} else
if ( n >= 6474 && n < 6597 ) {
	BLK = 3;
} else
if ( n >= 6597 && n < 7415 ) {
	BLK = 1;
} else
if ( n >= 7415 && n < 11554 ) {
	BLK = 2;
} else
if ( n >= 11554 && n < 11916 ) {
	BLK = 3;
} else
if ( n >= 11916 && n < 22990 ) {
	BLK = 2;
} else
if ( n >= 22990 && n < 23709 ) {
	BLK = 3;
} else
if ( n >= 23709 && n < 26507 ) {
	BLK = 2;
} else
if ( n >= 26507 && n < 27537 ) {
	BLK = 3;
} else
if ( n >= 27537 && n < 57354 ) {
	BLK = 2;
} else
if ( n >= 57354 && n < 65269 ) {
	BLK = 3;
} else
if ( n >= 65269 && n < 83667 ) {
	BLK = 2;
} else
if ( n >= 83667 && n < 88045 ) {
	BLK = 3;
} else
if ( n >= 88045 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
