#ifndef WSYMVL_AUTO2_H_INCLUDED
#define WSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for WSYMVL
 Fri Jul 22 02:06:44  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_2	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 4246 ) {
	BLK = 0;
} else
if ( n >= 4246 && n < 4520 ) {
	BLK = 2;
} else
if ( n >= 4520 && n < 4787 ) {
	BLK = 0;
} else
if ( n >= 4787 && n < 5527 ) {
	BLK = 2;
} else
if ( n >= 5527 && n < 6915 ) {
	BLK = 4;
} else
if ( n >= 6915 && n < 7513 ) {
	BLK = 2;
} else
if ( n >= 7513 && n < 11307 ) {
	BLK = 4;
} else
if ( n >= 11307 && n < 11737 ) {
	BLK = 2;
} else
if ( n >= 11737 && n < 19495 ) {
	BLK = 4;
} else
if ( n >= 19495 && n < 20515 ) {
	BLK = 2;
} else
if ( n >= 20515 && n < 28791 ) {
	BLK = 4;
} else
if ( n >= 28791 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
