#ifndef ZHEMVU_AUTO2_H_INCLUDED
#define ZHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for ZHEMVU
 Sun Jul 24 03:22:56  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 25 ) {
	BLK = 4;
} else
if ( n >= 25 && n < 3522 ) {
	BLK = 0;
} else
if ( n >= 3522 && n < 3526 ) {
	BLK = 1;
} else
if ( n >= 3526 && n < 3578 ) {
	BLK = 2;
} else
if ( n >= 3578 && n < 3883 ) {
	BLK = 0;
} else
if ( n >= 3883 && n < 4834 ) {
	BLK = 1;
} else
if ( n >= 4834 && n < 12530 ) {
	BLK = 2;
} else
if ( n >= 12530 && n < 13436 ) {
	BLK = 1;
} else
if ( n >= 13436 && n < 26653 ) {
	BLK = 2;
} else
if ( n >= 26653 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
