#ifndef CHEMVL_AUTO2_H_INCLUDED
#define CHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for CHEMVL
 Tue Sep 06 13:40:33  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 5797 ) {
	BLK = 0;
} else
if ( n >= 5797 && n < 10928 ) {
	BLK = 1;
} else
if ( n >= 10928 && n < 11347 ) {
	BLK = 6;
} else
if ( n >= 11347 && n < 17847 ) {
	BLK = 1;
} else
if ( n >= 17847 && n < 18184 ) {
	BLK = 6;
} else
if ( n >= 18184 && n < 22022 ) {
	BLK = 1;
} else
if ( n >= 22022 && n < 78675 ) {
	BLK = 6;
} else
if ( n >= 78675 && n < 83713 ) {
	BLK = 1;
} else
if ( n >= 83713 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
