#ifndef DSYMVL_AUTO2_H_INCLUDED
#define DSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for DSYMVL
 Sun Sep 04 10:01:34  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 19 ) {
	BLK = 0;
} else
if ( n >= 19 && n < 5781 ) {
	BLK = 0;
} else
if ( n >= 5781 && n < 6664 ) {
	BLK = 1;
} else
if ( n >= 6664 && n < 7816 ) {
	BLK = 3;
} else
if ( n >= 7816 && n < 8493 ) {
	BLK = 1;
} else
if ( n >= 8493 && n < 9111 ) {
	BLK = 3;
} else
if ( n >= 9111 && n < 9551 ) {
	BLK = 5;
} else
if ( n >= 9551 && n < 11037 ) {
	BLK = 3;
} else
if ( n >= 11037 && n < 11340 ) {
	BLK = 5;
} else
if ( n >= 11340 && n < 16629 ) {
	BLK = 3;
} else
if ( n >= 16629 && n < 17764 ) {
	BLK = 5;
} else
if ( n >= 17764 && n < 27198 ) {
	BLK = 3;
} else
if ( n >= 27198 && n < 28297 ) {
	BLK = 4;
} else
if ( n >= 28297 && n < 31151 ) {
	BLK = 3;
} else
if ( n >= 31151 && n < 33058 ) {
	BLK = 4;
} else
if ( n >= 33058 && n < 34979 ) {
	BLK = 3;
} else
if ( n >= 34979 && n < 35616 ) {
	BLK = 5;
} else
if ( n >= 35616 && n < 38500 ) {
	BLK = 4;
} else
if ( n >= 38500 && n < 39693 ) {
	BLK = 3;
} else
if ( n >= 39693 && n < 40518 ) {
	BLK = 4;
} else
if ( n >= 40518 && n < 41711 ) {
	BLK = 5;
} else
if ( n >= 41711 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
