#ifndef DSYMVU_AUTO2_H_INCLUDED
#define DSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for DSYMVU
 Sun Sep 04 07:05:36  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 4225 ) {
	BLK = 0;
} else
if ( n >= 4225 && n < 4833 ) {
	BLK = 2;
} else
if ( n >= 4833 && n < 5169 ) {
	BLK = 4;
} else
if ( n >= 5169 && n < 5459 ) {
	BLK = 2;
} else
if ( n >= 5459 && n < 5474 ) {
	BLK = 5;
} else
if ( n >= 5474 && n < 6722 ) {
	BLK = 4;
} else
if ( n >= 6722 && n < 6795 ) {
	BLK = 2;
} else
if ( n >= 6795 && n < 6971 ) {
	BLK = 5;
} else
if ( n >= 6971 && n < 20606 ) {
	BLK = 4;
} else
if ( n >= 20606 && n < 21454 ) {
	BLK = 5;
} else
if ( n >= 21454 && n < 21910 ) {
	BLK = 6;
} else
if ( n >= 21910 && n < 30166 ) {
	BLK = 4;
} else
if ( n >= 30166 && n < 30897 ) {
	BLK = 6;
} else
if ( n >= 30897 && n < 33938 ) {
	BLK = 4;
} else
if ( n >= 33938 && n < 38086 ) {
	BLK = 6;
} else
if ( n >= 38086 && n < 45914 ) {
	BLK = 4;
} else
if ( n >= 45914 && n < 51372 ) {
	BLK = 6;
} else
if ( n >= 51372 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
