#ifndef HSYMVL_AUTO2_H_INCLUDED
#define HSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for HSYMVL
 Sun Sep 04 22:52:08  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 10787 ) {
	BLK = 0;
} else
if ( n >= 10787 && n < 10946 ) {
	BLK = 3;
} else
if ( n >= 10946 && n < 12141 ) {
	BLK = 0;
} else
if ( n >= 12141 && n < 13131 ) {
	BLK = 3;
} else
if ( n >= 13131 && n < 13547 ) {
	BLK = 4;
} else
if ( n >= 13547 && n < 16070 ) {
	BLK = 3;
} else
if ( n >= 16070 && n < 17359 ) {
	BLK = 4;
} else
if ( n >= 17359 && n < 18184 ) {
	BLK = 3;
} else
if ( n >= 18184 && n < 18609 ) {
	BLK = 4;
} else
if ( n >= 18609 && n < 19438 ) {
	BLK = 3;
} else
if ( n >= 19438 && n < 21291 ) {
	BLK = 4;
} else
if ( n >= 21291 && n < 23331 ) {
	BLK = 3;
} else
if ( n >= 23331 && n < 24626 ) {
	BLK = 4;
} else
if ( n >= 24626 && n < 27040 ) {
	BLK = 3;
} else
if ( n >= 27040 && n < 33082 ) {
	BLK = 4;
} else
if ( n >= 33082 && n < 35768 ) {
	BLK = 3;
} else
if ( n >= 35768 && n < 53715 ) {
	BLK = 4;
} else
if ( n >= 53715 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
