#ifndef HSYMVU_AUTO2_H_INCLUDED
#define HSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for HSYMVU
 Sun Sep 04 19:44:58  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 7902 ) {
	BLK = 0;
} else
if ( n >= 7902 && n < 8252 ) {
	BLK = 3;
} else
if ( n >= 8252 && n < 8414 ) {
	BLK = 5;
} else
if ( n >= 8414 && n < 8644 ) {
	BLK = 0;
} else
if ( n >= 8644 && n < 10740 ) {
	BLK = 3;
} else
if ( n >= 10740 && n < 11194 ) {
	BLK = 5;
} else
if ( n >= 11194 && n < 11348 ) {
	BLK = 3;
} else
if ( n >= 11348 && n < 11965 ) {
	BLK = 0;
} else
if ( n >= 11965 && n < 13103 ) {
	BLK = 3;
} else
if ( n >= 13103 && n < 13471 ) {
	BLK = 5;
} else
if ( n >= 13471 && n < 14236 ) {
	BLK = 3;
} else
if ( n >= 14236 && n < 14933 ) {
	BLK = 5;
} else
if ( n >= 14933 && n < 16031 ) {
	BLK = 3;
} else
if ( n >= 16031 && n < 16330 ) {
	BLK = 5;
} else
if ( n >= 16330 && n < 16889 ) {
	BLK = 3;
} else
if ( n >= 16889 && n < 17552 ) {
	BLK = 5;
} else
if ( n >= 17552 && n < 18122 ) {
	BLK = 3;
} else
if ( n >= 18122 && n < 19761 ) {
	BLK = 5;
} else
if ( n >= 19761 && n < 22388 ) {
	BLK = 3;
} else
if ( n >= 22388 && n < 23375 ) {
	BLK = 5;
} else
if ( n >= 23375 && n < 24838 ) {
	BLK = 3;
} else
if ( n >= 24838 && n < 25315 ) {
	BLK = 5;
} else
if ( n >= 25315 && n < 27791 ) {
	BLK = 3;
} else
if ( n >= 27791 && n < 32216 ) {
	BLK = 5;
} else
if ( n >= 32216 && n < 36587 ) {
	BLK = 3;
} else
if ( n >= 36587 && n < 48097 ) {
	BLK = 5;
} else
if ( n >= 48097 && n < 50248 ) {
	BLK = 3;
} else
if ( n >= 50248 && n < 61990 ) {
	BLK = 5;
} else
if ( n >= 61990 && n < 63419 ) {
	BLK = 3;
} else
if ( n >= 63419 && n < 76895 ) {
	BLK = 5;
} else
if ( n >= 76895 && n < 81033 ) {
	BLK = 3;
} else
if ( n >= 81033 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
