#ifndef I32SYMVL_AUTO2_H_INCLUDED
#define I32SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVL
 Mon Sep 05 16:02:29  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 7446 ) {
	BLK = 0;
} else
if ( n >= 7446 && n < 9584 ) {
	BLK = 2;
} else
if ( n >= 9584 && n < 10603 ) {
	BLK = 1;
} else
if ( n >= 10603 && n < 10914 ) {
	BLK = 2;
} else
if ( n >= 10914 && n < 11240 ) {
	BLK = 1;
} else
if ( n >= 11240 && n < 13329 ) {
	BLK = 2;
} else
if ( n >= 13329 && n < 13399 ) {
	BLK = 4;
} else
if ( n >= 13399 && n < 13700 ) {
	BLK = 1;
} else
if ( n >= 13700 && n < 13905 ) {
	BLK = 4;
} else
if ( n >= 13905 && n < 14570 ) {
	BLK = 2;
} else
if ( n >= 14570 && n < 14786 ) {
	BLK = 4;
} else
if ( n >= 14786 && n < 15178 ) {
	BLK = 1;
} else
if ( n >= 15178 && n < 16650 ) {
	BLK = 2;
} else
if ( n >= 16650 && n < 17272 ) {
	BLK = 1;
} else
if ( n >= 17272 && n < 17312 ) {
	BLK = 4;
} else
if ( n >= 17312 && n < 18308 ) {
	BLK = 2;
} else
if ( n >= 18308 && n < 18397 ) {
	BLK = 1;
} else
if ( n >= 18397 && n < 18573 ) {
	BLK = 4;
} else
if ( n >= 18573 && n < 19250 ) {
	BLK = 2;
} else
if ( n >= 19250 && n < 19691 ) {
	BLK = 4;
} else
if ( n >= 19691 && n < 20592 ) {
	BLK = 1;
} else
if ( n >= 20592 && n < 20900 ) {
	BLK = 2;
} else
if ( n >= 20900 && n < 23909 ) {
	BLK = 4;
} else
if ( n >= 23909 && n < 25067 ) {
	BLK = 1;
} else
if ( n >= 25067 && n < 84043 ) {
	BLK = 4;
} else
if ( n >= 84043 && n < 96143 ) {
	BLK = 5;
} else
if ( n >= 96143 && n < 105029 ) {
	BLK = 4;
} else
if ( n >= 105029 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
