#ifndef I32SYMVU_AUTO2_H_INCLUDED
#define I32SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVU
 Mon Sep 05 13:01:29  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 6274 ) {
	BLK = 0;
} else
if ( n >= 6274 && n < 6310 ) {
	BLK = 1;
} else
if ( n >= 6310 && n < 6729 ) {
	BLK = 2;
} else
if ( n >= 6729 && n < 6993 ) {
	BLK = 5;
} else
if ( n >= 6993 && n < 7236 ) {
	BLK = 1;
} else
if ( n >= 7236 && n < 8428 ) {
	BLK = 4;
} else
if ( n >= 8428 && n < 8902 ) {
	BLK = 1;
} else
if ( n >= 8902 && n < 8928 ) {
	BLK = 4;
} else
if ( n >= 8928 && n < 9190 ) {
	BLK = 2;
} else
if ( n >= 9190 && n < 9638 ) {
	BLK = 1;
} else
if ( n >= 9638 && n < 9827 ) {
	BLK = 4;
} else
if ( n >= 9827 && n < 10306 ) {
	BLK = 2;
} else
if ( n >= 10306 && n < 10786 ) {
	BLK = 1;
} else
if ( n >= 10786 && n < 11259 ) {
	BLK = 4;
} else
if ( n >= 11259 && n < 11309 ) {
	BLK = 5;
} else
if ( n >= 11309 && n < 11728 ) {
	BLK = 1;
} else
if ( n >= 11728 && n < 12108 ) {
	BLK = 4;
} else
if ( n >= 12108 && n < 13108 ) {
	BLK = 1;
} else
if ( n >= 13108 && n < 14881 ) {
	BLK = 4;
} else
if ( n >= 14881 && n < 15205 ) {
	BLK = 1;
} else
if ( n >= 15205 && n < 15836 ) {
	BLK = 4;
} else
if ( n >= 15836 && n < 16335 ) {
	BLK = 1;
} else
if ( n >= 16335 && n < 16737 ) {
	BLK = 4;
} else
if ( n >= 16737 && n < 17059 ) {
	BLK = 1;
} else
if ( n >= 17059 && n < 21183 ) {
	BLK = 4;
} else
if ( n >= 21183 && n < 22899 ) {
	BLK = 1;
} else
if ( n >= 22899 && n < 23484 ) {
	BLK = 4;
} else
if ( n >= 23484 && n < 24170 ) {
	BLK = 1;
} else
if ( n >= 24170 && n < 27352 ) {
	BLK = 4;
} else
if ( n >= 27352 && n < 28601 ) {
	BLK = 1;
} else
if ( n >= 28601 && n < 37468 ) {
	BLK = 4;
} else
if ( n >= 37468 && n < 38711 ) {
	BLK = 1;
} else
if ( n >= 38711 && n < 43955 ) {
	BLK = 4;
} else
if ( n >= 43955 && n < 45707 ) {
	BLK = 1;
} else
if ( n >= 45707 && n < 63525 ) {
	BLK = 4;
} else
if ( n >= 63525 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
