#ifndef I64SYMVU_AUTO2_H_INCLUDED
#define I64SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I64SYMVU
 Mon Sep 05 06:43:00  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 18 ) {
	BLK = 0;
} else
if ( n >= 18 && n < 5194 ) {
	BLK = 0;
} else
if ( n >= 5194 && n < 5235 ) {
	BLK = 6;
} else
if ( n >= 5235 && n < 5343 ) {
	BLK = 3;
} else
if ( n >= 5343 && n < 5357 ) {
	BLK = 5;
} else
if ( n >= 5357 && n < 5380 ) {
	BLK = 0;
} else
if ( n >= 5380 && n < 5387 ) {
	BLK = 3;
} else
if ( n >= 5387 && n < 5538 ) {
	BLK = 6;
} else
if ( n >= 5538 && n < 5717 ) {
	BLK = 0;
} else
if ( n >= 5717 && n < 6203 ) {
	BLK = 3;
} else
if ( n >= 6203 && n < 6462 ) {
	BLK = 5;
} else
if ( n >= 6462 && n < 6635 ) {
	BLK = 6;
} else
if ( n >= 6635 && n < 10050 ) {
	BLK = 3;
} else
if ( n >= 10050 && n < 10336 ) {
	BLK = 6;
} else
if ( n >= 10336 && n < 10400 ) {
	BLK = 3;
} else
if ( n >= 10400 && n < 10744 ) {
	BLK = 5;
} else
if ( n >= 10744 && n < 11870 ) {
	BLK = 3;
} else
if ( n >= 11870 && n < 12474 ) {
	BLK = 5;
} else
if ( n >= 12474 && n < 13092 ) {
	BLK = 3;
} else
if ( n >= 13092 && n < 14150 ) {
	BLK = 5;
} else
if ( n >= 14150 && n < 14804 ) {
	BLK = 3;
} else
if ( n >= 14804 && n < 16775 ) {
	BLK = 5;
} else
if ( n >= 16775 && n < 17508 ) {
	BLK = 3;
} else
if ( n >= 17508 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
