#ifndef SSYMVL_AUTO2_H_INCLUDED
#define SSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for SSYMVL
 Sun Sep 04 16:14:02  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 7420 ) {
	BLK = 0;
} else
if ( n >= 7420 && n < 9428 ) {
	BLK = 1;
} else
if ( n >= 9428 && n < 9790 ) {
	BLK = 2;
} else
if ( n >= 9790 && n < 9954 ) {
	BLK = 3;
} else
if ( n >= 9954 && n < 10196 ) {
	BLK = 1;
} else
if ( n >= 10196 && n < 10639 ) {
	BLK = 2;
} else
if ( n >= 10639 && n < 11012 ) {
	BLK = 1;
} else
if ( n >= 11012 && n < 11285 ) {
	BLK = 2;
} else
if ( n >= 11285 && n < 11773 ) {
	BLK = 6;
} else
if ( n >= 11773 && n < 13169 ) {
	BLK = 1;
} else
if ( n >= 13169 && n < 13972 ) {
	BLK = 2;
} else
if ( n >= 13972 && n < 14732 ) {
	BLK = 1;
} else
if ( n >= 14732 && n < 15158 ) {
	BLK = 2;
} else
if ( n >= 15158 && n < 16544 ) {
	BLK = 1;
} else
if ( n >= 16544 && n < 17209 ) {
	BLK = 2;
} else
if ( n >= 17209 && n < 18234 ) {
	BLK = 6;
} else
if ( n >= 18234 && n < 18653 ) {
	BLK = 2;
} else
if ( n >= 18653 && n < 19513 ) {
	BLK = 6;
} else
if ( n >= 19513 && n < 20342 ) {
	BLK = 2;
} else
if ( n >= 20342 && n < 20954 ) {
	BLK = 6;
} else
if ( n >= 20954 && n < 22094 ) {
	BLK = 2;
} else
if ( n >= 22094 && n < 23738 ) {
	BLK = 6;
} else
if ( n >= 23738 && n < 24511 ) {
	BLK = 2;
} else
if ( n >= 24511 && n < 25105 ) {
	BLK = 6;
} else
if ( n >= 25105 && n < 26154 ) {
	BLK = 2;
} else
if ( n >= 26154 && n < 26860 ) {
	BLK = 1;
} else
if ( n >= 26860 && n < 28642 ) {
	BLK = 6;
} else
if ( n >= 28642 && n < 29705 ) {
	BLK = 2;
} else
if ( n >= 29705 && n < 84248 ) {
	BLK = 6;
} else
if ( n >= 84248 && n < 95934 ) {
	BLK = 5;
} else
if ( n >= 95934 && n < 107392 ) {
	BLK = 6;
} else
if ( n >= 107392 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
