#ifndef SSYMVU_AUTO2_H_INCLUDED
#define SSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for SSYMVU
 Sun Sep 04 13:11:12  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 4833 ) {
	BLK = 0;
} else
if ( n >= 4833 && n < 4895 ) {
	BLK = 1;
} else
if ( n >= 4895 && n < 5781 ) {
	BLK = 2;
} else
if ( n >= 5781 && n < 5860 ) {
	BLK = 3;
} else
if ( n >= 5860 && n < 6153 ) {
	BLK = 0;
} else
if ( n >= 6153 && n < 7918 ) {
	BLK = 2;
} else
if ( n >= 7918 && n < 8529 ) {
	BLK = 5;
} else
if ( n >= 8529 && n < 9342 ) {
	BLK = 2;
} else
if ( n >= 9342 && n < 10071 ) {
	BLK = 5;
} else
if ( n >= 10071 && n < 10405 ) {
	BLK = 2;
} else
if ( n >= 10405 && n < 17428 ) {
	BLK = 5;
} else
if ( n >= 17428 && n < 18014 ) {
	BLK = 3;
} else
if ( n >= 18014 && n < 64264 ) {
	BLK = 5;
} else
if ( n >= 64264 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
