#ifndef WSYMVL_AUTO2_H_INCLUDED
#define WSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for WSYMVL
 Sun Sep 04 04:06:23  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 4076 ) {
	BLK = 0;
} else
if ( n >= 4076 && n < 4132 ) {
	BLK = 1;
} else
if ( n >= 4132 && n < 4266 ) {
	BLK = 2;
} else
if ( n >= 4266 && n < 4479 ) {
	BLK = 1;
} else
if ( n >= 4479 && n < 4840 ) {
	BLK = 0;
} else
if ( n >= 4840 && n < 11656 ) {
	BLK = 2;
} else
if ( n >= 11656 && n < 12027 ) {
	BLK = 3;
} else
if ( n >= 12027 && n < 16102 ) {
	BLK = 2;
} else
if ( n >= 16102 && n < 17238 ) {
	BLK = 5;
} else
if ( n >= 17238 && n < 19295 ) {
	BLK = 3;
} else
if ( n >= 19295 && n < 20078 ) {
	BLK = 2;
} else
if ( n >= 20078 && n < 22330 ) {
	BLK = 3;
} else
if ( n >= 22330 && n < 23844 ) {
	BLK = 5;
} else
if ( n >= 23844 && n < 29882 ) {
	BLK = 3;
} else
if ( n >= 29882 && n < 30976 ) {
	BLK = 5;
} else
if ( n >= 30976 && n < 57005 ) {
	BLK = 3;
} else
if ( n >= 57005 && n < 60209 ) {
	BLK = 5;
} else
if ( n >= 60209 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
