#ifndef ZHEMVU_AUTO2_H_INCLUDED
#define ZHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for ZHEMVU
 Tue Sep 06 05:30:37  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3916 ) {
	BLK = 0;
} else
if ( n >= 3916 && n < 4574 ) {
	BLK = 1;
} else
if ( n >= 4574 && n < 4684 ) {
	BLK = 2;
} else
if ( n >= 4684 && n < 4706 ) {
	BLK = 0;
} else
if ( n >= 4706 && n < 12651 ) {
	BLK = 1;
} else
if ( n >= 12651 && n < 13245 ) {
	BLK = 5;
} else
if ( n >= 13245 && n < 14342 ) {
	BLK = 1;
} else
if ( n >= 14342 && n < 15880 ) {
	BLK = 5;
} else
if ( n >= 15880 && n < 16771 ) {
	BLK = 1;
} else
if ( n >= 16771 && n < 40317 ) {
	BLK = 5;
} else
if ( n >= 40317 && n < 43890 ) {
	BLK = 6;
} else
if ( n >= 43890 && n < 59938 ) {
	BLK = 5;
} else
if ( n >= 59938 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
