#ifndef CHEMV_LOWER_AUTO2_H_INCLUDED
#define CHEMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Fri Mar 18 14:50:47 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 987 ) {
	BLK = 0;
} else
if ( n >= 987 && n < 1101 ) {
	BLK = 1;
} else
if ( n >= 1101 && n < 1104 ) {
	BLK = 4;
} else
if ( n >= 1104 && n < 1129 ) {
	BLK = 0;
} else
if ( n >= 1129 && n < 1279 ) {
	BLK = 1;
} else
if ( n >= 1279 && n < 1299 ) {
	BLK = 2;
} else
if ( n >= 1299 && n < 1326 ) {
	BLK = 0;
} else
if ( n >= 1326 && n < 1509 ) {
	BLK = 1;
} else
if ( n >= 1509 && n < 1517 ) {
	BLK = 2;
} else
if ( n >= 1517 && n < 1529 ) {
	BLK = 4;
} else
if ( n >= 1529 && n < 1577 ) {
	BLK = 3;
} else
if ( n >= 1577 && n < 1649 ) {
	BLK = 2;
} else
if ( n >= 1649 && n < 1677 ) {
	BLK = 0;
} else
if ( n >= 1677 && n < 1690 ) {
	BLK = 4;
} else
if ( n >= 1690 && n < 2139 ) {
	BLK = 2;
} else
if ( n >= 2139 && n < 2569 ) {
	BLK = 1;
} else
if ( n >= 2569 && n < 4682 ) {
	BLK = 2;
} else
if ( n >= 4682 && n < 4769 ) {
	BLK = 4;
} else
if ( n >= 4769 && n < 5983 ) {
	BLK = 3;
} else
if ( n >= 5983 && n < 6086 ) {
	BLK = 2;
} else
if ( n >= 6086 && n < 6199 ) {
	BLK = 4;
} else
if ( n >= 6199 && n < 9779 ) {
	BLK = 3;
} else
if ( n >= 9779 && n < 9790 ) {
	BLK = 2;
} else
if ( n >= 9790 && n < 10113 ) {
	BLK = 4;
} else
if ( n >= 10113 && n < 13293 ) {
	BLK = 3;
} else
if ( n >= 13293 && n < 14671 ) {
	BLK = 4;
} else
if ( n >= 14671 && n < 15297 ) {
	BLK = 3;
} else
if ( n >= 15297 && n < 15866 ) {
	BLK = 4;
} else
if ( n >= 15866 && n < 16362 ) {
	BLK = 3;
} else
if ( n >= 16362 && n < 16935 ) {
	BLK = 4;
} else
if ( n >= 16935 && n < 21363 ) {
	BLK = 3;
} else
if ( n >= 21363 && n < 22629 ) {
	BLK = 4;
} else
if ( n >= 22629 && n < 24788 ) {
	BLK = 3;
} else
if ( n >= 24788 && n < 25233 ) {
	BLK = 4;
} else
if ( n >= 25233 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
