#ifndef DSYMV_LOWER_AUTO2_H_INCLUDED
#define DSYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Thu Mar 17 22:04:30 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 15 ) {
	BLK = 3;
} else
if ( n >= 15 && n < 1678 ) {
	BLK = 0;
} else
if ( n >= 1678 && n < 2682 ) {
	BLK = 2;
} else
if ( n >= 2682 && n < 13339 ) {
	BLK = 1;
} else
if ( n >= 13339 && n < 14574 ) {
	BLK = 4;
} else
if ( n >= 14574 && n < 15309 ) {
	BLK = 1;
} else
if ( n >= 15309 && n < 15767 ) {
	BLK = 4;
} else
if ( n >= 15767 && n < 21722 ) {
	BLK = 1;
} else
if ( n >= 21722 && n < 22510 ) {
	BLK = 4;
} else
if ( n >= 22510 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 
#endif
