#ifndef DSYMV_UPPER_AUTO2_H_INCLUDED
#define DSYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-U
Thu Mar 17 11:26:47 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 28 ) {
	BLK = 6;
} else
if ( n >= 28 && n < 1028 ) {
	BLK = 0;
} else
if ( n >= 1028 && n < 1401 ) {
	BLK = 3;
} else
if ( n >= 1401 && n < 1647 ) {
	BLK = 2;
} else
if ( n >= 1647 && n < 1679 ) {
	BLK = 0;
} else
if ( n >= 1679 && n < 1685 ) {
	BLK = 3;
} else
if ( n >= 1685 && n < 1856 ) {
	BLK = 2;
} else
if ( n >= 1856 && n < 1861 ) {
	BLK = 1;
} else
if ( n >= 1861 && n < 1896 ) {
	BLK = 4;
} else
if ( n >= 1896 && n < 1908 ) {
	BLK = 2;
} else
if ( n >= 1908 && n < 1921 ) {
	BLK = 3;
} else
if ( n >= 1921 && n < 2218 ) {
	BLK = 1;
} else
if ( n >= 2218 && n < 2477 ) {
	BLK = 4;
} else
if ( n >= 2477 && n < 2565 ) {
	BLK = 3;
} else
if ( n >= 2565 && n < 2822 ) {
	BLK = 2;
} else
if ( n >= 2822 && n < 13289 ) {
	BLK = 1;
} else
if ( n >= 13289 && n < 14486 ) {
	BLK = 4;
} else
if ( n >= 14486 && n < 15321 ) {
	BLK = 1;
} else
if ( n >= 15321 && n < 15918 ) {
	BLK = 4;
} else
if ( n >= 15918 && n < 21448 ) {
	BLK = 1;
} else
if ( n >= 21448 && n < 22548 ) {
	BLK = 4;
} else
if ( n >= 22548 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 
#endif
