#ifndef HSYMV_LOWER_AUTO2_H_INCLUDED
#define HSYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for HSYMV-L
Fri Mar 18 00:50:27 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1444 ) {
	BLK = 0;
} else
if ( n >= 1444 && n < 1447 ) {
	BLK = 1;
} else
if ( n >= 1447 && n < 1456 ) {
	BLK = 2;
} else
if ( n >= 1456 && n < 1628 ) {
	BLK = 0;
} else
if ( n >= 1628 && n < 2291 ) {
	BLK = 1;
} else
if ( n >= 2291 && n < 3072 ) {
	BLK = 2;
} else
if ( n >= 3072 && n < 4225 ) {
	BLK = 1;
} else
if ( n >= 4225 && n < 4376 ) {
	BLK = 3;
} else
if ( n >= 4376 && n < 4388 ) {
	BLK = 2;
} else
if ( n >= 4388 && n < 4543 ) {
	BLK = 1;
} else
if ( n >= 4543 && n < 8784 ) {
	BLK = 3;
} else
if ( n >= 8784 && n < 10764 ) {
	BLK = 4;
} else
if ( n >= 10764 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
