#ifndef I32SYMV_LOWER_AUTO2_H_INCLUDED
#define I32SYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I32SYMV-L
Fri Mar 18 04:35:33 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1190 ) {
	BLK = 0;
} else
if ( n >= 1190 && n < 1399 ) {
	BLK = 2;
} else
if ( n >= 1399 && n < 1407 ) {
	BLK = 1;
} else
if ( n >= 1407 && n < 1444 ) {
	BLK = 0;
} else
if ( n >= 1444 && n < 4014 ) {
	BLK = 2;
} else
if ( n >= 4014 && n < 4022 ) {
	BLK = 6;
} else
if ( n >= 4022 && n < 4888 ) {
	BLK = 1;
} else
if ( n >= 4888 && n < 10409 ) {
	BLK = 2;
} else
if ( n >= 10409 && n < 10703 ) {
	BLK = 1;
} else
if ( n >= 10703 && n < 29429 ) {
	BLK = 2;
} else
if ( n >= 29429 && n < 31708 ) {
	BLK = 1;
} else
if ( n >= 31708 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 
#endif
