#ifndef I64SYMV_LOWER_AUTO2_H_INCLUDED
#define I64SYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I64SYMV-L
Fri Mar 18 03:17:42 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 15 ) {
	BLK = 3;
} else
if ( n >= 15 && n < 1051 ) {
	BLK = 0;
} else
if ( n >= 1051 && n < 1100 ) {
	BLK = 4;
} else
if ( n >= 1100 && n < 1134 ) {
	BLK = 0;
} else
if ( n >= 1134 && n < 1141 ) {
	BLK = 1;
} else
if ( n >= 1141 && n < 1165 ) {
	BLK = 4;
} else
if ( n >= 1165 && n < 1180 ) {
	BLK = 2;
} else
if ( n >= 1180 && n < 1181 ) {
	BLK = 1;
} else
if ( n >= 1181 && n < 1280 ) {
	BLK = 4;
} else
if ( n >= 1280 && n < 1296 ) {
	BLK = 2;
} else
if ( n >= 1296 && n < 1329 ) {
	BLK = 0;
} else
if ( n >= 1329 && n < 1445 ) {
	BLK = 1;
} else
if ( n >= 1445 && n < 1481 ) {
	BLK = 4;
} else
if ( n >= 1481 && n < 1484 ) {
	BLK = 2;
} else
if ( n >= 1484 && n < 1519 ) {
	BLK = 1;
} else
if ( n >= 1519 && n < 1789 ) {
	BLK = 4;
} else
if ( n >= 1789 && n < 3069 ) {
	BLK = 1;
} else
if ( n >= 3069 && n < 10398 ) {
	BLK = 2;
} else
if ( n >= 10398 && n < 10730 ) {
	BLK = 5;
} else
if ( n >= 10730 && n < 13201 ) {
	BLK = 2;
} else
if ( n >= 13201 && n < 14586 ) {
	BLK = 5;
} else
if ( n >= 14586 && n < 15207 ) {
	BLK = 2;
} else
if ( n >= 15207 && n < 15771 ) {
	BLK = 5;
} else
if ( n >= 15771 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 
#endif
