#ifndef SSYMV_LOWER_AUTO2_H_INCLUDED
#define SSYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Thu Mar 17 23:23:51 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1082 ) {
	BLK = 0;
} else
if ( n >= 1082 && n < 1138 ) {
	BLK = 1;
} else
if ( n >= 1138 && n < 1409 ) {
	BLK = 2;
} else
if ( n >= 1409 && n < 1443 ) {
	BLK = 0;
} else
if ( n >= 1443 && n < 8391 ) {
	BLK = 1;
} else
if ( n >= 8391 && n < 8570 ) {
	BLK = 2;
} else
if ( n >= 8570 && n < 10407 ) {
	BLK = 1;
} else
if ( n >= 10407 && n < 10748 ) {
	BLK = 2;
} else
if ( n >= 10748 && n < 29355 ) {
	BLK = 1;
} else
if ( n >= 29355 && n < 31835 ) {
	BLK = 2;
} else
if ( n >= 31835 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 
#endif
