#ifndef CHEMVL_AUTO2_H_INCLUDED
#define CHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for CHEMVL
 Tue Sep 06 18:08:59  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 39 ) {
	BLK = 0;
} else
if ( n >= 39 && n < 1328 ) {
	BLK = 0;
} else
if ( n >= 1328 && n < 1332 ) {
	BLK = 3;
} else
if ( n >= 1332 && n < 1645 ) {
	BLK = 1;
} else
if ( n >= 1645 && n < 1682 ) {
	BLK = 0;
} else
if ( n >= 1682 && n < 1846 ) {
	BLK = 3;
} else
if ( n >= 1846 && n < 2190 ) {
	BLK = 1;
} else
if ( n >= 2190 && n < 2352 ) {
	BLK = 4;
} else
if ( n >= 2352 && n < 2417 ) {
	BLK = 3;
} else
if ( n >= 2417 && n < 2967 ) {
	BLK = 2;
} else
if ( n >= 2967 && n < 3534 ) {
	BLK = 3;
} else
if ( n >= 3534 && n < 3620 ) {
	BLK = 4;
} else
if ( n >= 3620 && n < 3624 ) {
	BLK = 2;
} else
if ( n >= 3624 && n < 3743 ) {
	BLK = 3;
} else
if ( n >= 3743 && n < 3921 ) {
	BLK = 4;
} else
if ( n >= 3921 && n < 4716 ) {
	BLK = 3;
} else
if ( n >= 4716 && n < 6892 ) {
	BLK = 2;
} else
if ( n >= 6892 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
