#ifndef DSYMVU_AUTO2_H_INCLUDED
#define DSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for DSYMVU
 Mon Sep 05 13:07:41  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1330 ) {
	BLK = 0;
} else
if ( n >= 1330 && n < 1619 ) {
	BLK = 6;
} else
if ( n >= 1619 && n < 13431 ) {
	BLK = 1;
} else
if ( n >= 13431 && n < 14392 ) {
	BLK = 5;
} else
if ( n >= 14392 && n < 15340 ) {
	BLK = 1;
} else
if ( n >= 15340 && n < 15653 ) {
	BLK = 5;
} else
if ( n >= 15653 && n < 17556 ) {
	BLK = 1;
} else
if ( n >= 17556 && n < 17991 ) {
	BLK = 5;
} else
if ( n >= 17991 && n < 19351 ) {
	BLK = 1;
} else
if ( n >= 19351 && n < 19743 ) {
	BLK = 5;
} else
if ( n >= 19743 && n < 21603 ) {
	BLK = 1;
} else
if ( n >= 21603 && n < 22443 ) {
	BLK = 5;
} else
if ( n >= 22443 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
