#ifndef I128SYMVL_AUTO2_H_INCLUDED
#define I128SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I128SYMVL
 Tue Sep 06 04:45:00  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 989 ) {
	BLK = 0;
} else
if ( n >= 989 && n < 2117 ) {
	BLK = 1;
} else
if ( n >= 2117 && n < 2651 ) {
	BLK = 2;
} else
if ( n >= 2651 && n < 3225 ) {
	BLK = 1;
} else
if ( n >= 3225 && n < 3250 ) {
	BLK = 2;
} else
if ( n >= 3250 && n < 3397 ) {
	BLK = 3;
} else
if ( n >= 3397 && n < 4688 ) {
	BLK = 1;
} else
if ( n >= 4688 && n < 5203 ) {
	BLK = 2;
} else
if ( n >= 5203 && n < 5720 ) {
	BLK = 3;
} else
if ( n >= 5720 && n < 6225 ) {
	BLK = 2;
} else
if ( n >= 6225 && n < 7232 ) {
	BLK = 3;
} else
if ( n >= 7232 && n < 7534 ) {
	BLK = 2;
} else
if ( n >= 7534 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
