#ifndef I16SYMVL_AUTO2_H_INCLUDED
#define I16SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVL
 Tue Sep 06 08:42:24  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1675 ) {
	BLK = 0;
} else
if ( n >= 1675 && n < 1693 ) {
	BLK = 2;
} else
if ( n >= 1693 && n < 11312 ) {
	BLK = 1;
} else
if ( n >= 11312 && n < 11657 ) {
	BLK = 5;
} else
if ( n >= 11657 && n < 22509 ) {
	BLK = 1;
} else
if ( n >= 22509 && n < 23117 ) {
	BLK = 5;
} else
if ( n >= 23117 && n < 23705 ) {
	BLK = 1;
} else
if ( n >= 23705 && n < 26695 ) {
	BLK = 5;
} else
if ( n >= 26695 && n < 30579 ) {
	BLK = 1;
} else
if ( n >= 30579 && n < 32908 ) {
	BLK = 5;
} else
if ( n >= 32908 && n < 36992 ) {
	BLK = 1;
} else
if ( n >= 36992 && n < 39946 ) {
	BLK = 5;
} else
if ( n >= 39946 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
