#ifndef I32SYMVU_AUTO2_H_INCLUDED
#define I32SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVU
 Mon Sep 05 20:21:51  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1241 ) {
	BLK = 0;
} else
if ( n >= 1241 && n < 1242 ) {
	BLK = 1;
} else
if ( n >= 1242 && n < 1252 ) {
	BLK = 3;
} else
if ( n >= 1252 && n < 1325 ) {
	BLK = 0;
} else
if ( n >= 1325 && n < 1347 ) {
	BLK = 1;
} else
if ( n >= 1347 && n < 1376 ) {
	BLK = 4;
} else
if ( n >= 1376 && n < 1385 ) {
	BLK = 3;
} else
if ( n >= 1385 && n < 1576 ) {
	BLK = 1;
} else
if ( n >= 1576 && n < 1596 ) {
	BLK = 4;
} else
if ( n >= 1596 && n < 1614 ) {
	BLK = 3;
} else
if ( n >= 1614 && n < 2183 ) {
	BLK = 1;
} else
if ( n >= 2183 && n < 2605 ) {
	BLK = 3;
} else
if ( n >= 2605 && n < 2699 ) {
	BLK = 2;
} else
if ( n >= 2699 && n < 2880 ) {
	BLK = 1;
} else
if ( n >= 2880 && n < 2929 ) {
	BLK = 2;
} else
if ( n >= 2929 && n < 2970 ) {
	BLK = 3;
} else
if ( n >= 2970 && n < 3549 ) {
	BLK = 1;
} else
if ( n >= 3549 && n < 3607 ) {
	BLK = 3;
} else
if ( n >= 3607 && n < 3887 ) {
	BLK = 2;
} else
if ( n >= 3887 && n < 3958 ) {
	BLK = 3;
} else
if ( n >= 3958 && n < 4325 ) {
	BLK = 1;
} else
if ( n >= 4325 && n < 4393 ) {
	BLK = 0;
} else
if ( n >= 4393 && n < 5349 ) {
	BLK = 2;
} else
if ( n >= 5349 && n < 5418 ) {
	BLK = 3;
} else
if ( n >= 5418 && n < 5513 ) {
	BLK = 1;
} else
if ( n >= 5513 && n < 8306 ) {
	BLK = 2;
} else
if ( n >= 8306 && n < 8581 ) {
	BLK = 5;
} else
if ( n >= 8581 && n < 10342 ) {
	BLK = 2;
} else
if ( n >= 10342 && n < 10726 ) {
	BLK = 5;
} else
if ( n >= 10726 && n < 12369 ) {
	BLK = 2;
} else
if ( n >= 12369 && n < 12629 ) {
	BLK = 5;
} else
if ( n >= 12629 && n < 15816 ) {
	BLK = 2;
} else
if ( n >= 15816 && n < 16167 ) {
	BLK = 5;
} else
if ( n >= 16167 && n < 18649 ) {
	BLK = 2;
} else
if ( n >= 18649 && n < 19454 ) {
	BLK = 5;
} else
if ( n >= 19454 && n < 21927 ) {
	BLK = 2;
} else
if ( n >= 21927 && n < 22370 ) {
	BLK = 5;
} else
if ( n >= 22370 && n < 24897 ) {
	BLK = 2;
} else
if ( n >= 24897 && n < 26166 ) {
	BLK = 5;
} else
if ( n >= 26166 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
