#ifndef I64SYMVU_AUTO2_H_INCLUDED
#define I64SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I64SYMVU
 Mon Sep 05 18:50:26  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 38 ) {
	BLK = 0;
} else
if ( n >= 38 && n < 1132 ) {
	BLK = 0;
} else
if ( n >= 1132 && n < 1234 ) {
	BLK = 3;
} else
if ( n >= 1234 && n < 1505 ) {
	BLK = 4;
} else
if ( n >= 1505 && n < 1508 ) {
	BLK = 2;
} else
if ( n >= 1508 && n < 1604 ) {
	BLK = 3;
} else
if ( n >= 1604 && n < 1832 ) {
	BLK = 4;
} else
if ( n >= 1832 && n < 1856 ) {
	BLK = 3;
} else
if ( n >= 1856 && n < 3442 ) {
	BLK = 2;
} else
if ( n >= 3442 && n < 6218 ) {
	BLK = 1;
} else
if ( n >= 6218 && n < 6513 ) {
	BLK = 5;
} else
if ( n >= 6513 && n < 7675 ) {
	BLK = 1;
} else
if ( n >= 7675 && n < 9625 ) {
	BLK = 5;
} else
if ( n >= 9625 && n < 9967 ) {
	BLK = 1;
} else
if ( n >= 9967 && n < 13345 ) {
	BLK = 5;
} else
if ( n >= 13345 && n < 14171 ) {
	BLK = 1;
} else
if ( n >= 14171 && n < 14315 ) {
	BLK = 2;
} else
if ( n >= 14315 && n < 16279 ) {
	BLK = 5;
} else
if ( n >= 16279 && n < 17055 ) {
	BLK = 1;
} else
if ( n >= 17055 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
