#ifndef KHEMVU_AUTO2_H_INCLUDED
#define KHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVU
 Tue Sep 06 14:21:03  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3158 ) {
	BLK = 0;
} else
if ( n >= 3158 && n < 3610 ) {
	BLK = 3;
} else
if ( n >= 3610 && n < 6532 ) {
	BLK = 0;
} else
if ( n >= 6532 && n < 6825 ) {
	BLK = 3;
} else
if ( n >= 6825 && n < 15212 ) {
	BLK = 0;
} else
if ( n >= 15212 && n < 15789 ) {
	BLK = 3;
} else
if ( n >= 15789 && n < 2147483647 ) {
	BLK = 0;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 0;
} 

#endif
