#ifndef UHEMVL_AUTO2_H_INCLUDED
#define UHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for UHEMVL
 Tue Sep 06 15:28:29  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1807 ) {
	BLK = 0;
} else
if ( n >= 1807 && n < 2108 ) {
	BLK = 1;
} else
if ( n >= 2108 && n < 3071 ) {
	BLK = 3;
} else
if ( n >= 3071 && n < 3217 ) {
	BLK = 1;
} else
if ( n >= 3217 && n < 4078 ) {
	BLK = 2;
} else
if ( n >= 4078 && n < 4654 ) {
	BLK = 5;
} else
if ( n >= 4654 && n < 4763 ) {
	BLK = 3;
} else
if ( n >= 4763 && n < 5502 ) {
	BLK = 6;
} else
if ( n >= 5502 && n < 6389 ) {
	BLK = 3;
} else
if ( n >= 6389 && n < 8331 ) {
	BLK = 2;
} else
if ( n >= 8331 && n < 9396 ) {
	BLK = 5;
} else
if ( n >= 9396 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
