#ifndef ZHEMVL_AUTO2_H_INCLUDED
#define ZHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for ZHEMVL
 Tue Sep 06 16:42:37  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 853 ) {
	BLK = 0;
} else
if ( n >= 853 && n < 858 ) {
	BLK = 5;
} else
if ( n >= 858 && n < 859 ) {
	BLK = 2;
} else
if ( n >= 859 && n < 877 ) {
	BLK = 0;
} else
if ( n >= 877 && n < 879 ) {
	BLK = 5;
} else
if ( n >= 879 && n < 881 ) {
	BLK = 3;
} else
if ( n >= 881 && n < 921 ) {
	BLK = 0;
} else
if ( n >= 921 && n < 927 ) {
	BLK = 2;
} else
if ( n >= 927 && n < 930 ) {
	BLK = 3;
} else
if ( n >= 930 && n < 988 ) {
	BLK = 5;
} else
if ( n >= 988 && n < 996 ) {
	BLK = 2;
} else
if ( n >= 996 && n < 1024 ) {
	BLK = 1;
} else
if ( n >= 1024 && n < 1098 ) {
	BLK = 3;
} else
if ( n >= 1098 && n < 1947 ) {
	BLK = 1;
} else
if ( n >= 1947 && n < 2126 ) {
	BLK = 2;
} else
if ( n >= 2126 && n < 2339 ) {
	BLK = 4;
} else
if ( n >= 2339 && n < 2599 ) {
	BLK = 1;
} else
if ( n >= 2599 && n < 2631 ) {
	BLK = 2;
} else
if ( n >= 2631 && n < 2683 ) {
	BLK = 4;
} else
if ( n >= 2683 && n < 2892 ) {
	BLK = 1;
} else
if ( n >= 2892 && n < 3013 ) {
	BLK = 2;
} else
if ( n >= 3013 && n < 4087 ) {
	BLK = 1;
} else
if ( n >= 4087 && n < 5098 ) {
	BLK = 2;
} else
if ( n >= 5098 && n < 5171 ) {
	BLK = 1;
} else
if ( n >= 5171 && n < 5740 ) {
	BLK = 6;
} else
if ( n >= 5740 && n < 5741 ) {
	BLK = 1;
} else
if ( n >= 5741 && n < 8392 ) {
	BLK = 2;
} else
if ( n >= 8392 && n < 9246 ) {
	BLK = 6;
} else
if ( n >= 9246 && n < 9911 ) {
	BLK = 2;
} else
if ( n >= 9911 && n < 11966 ) {
	BLK = 6;
} else
if ( n >= 11966 && n < 13164 ) {
	BLK = 2;
} else
if ( n >= 13164 && n < 15298 ) {
	BLK = 6;
} else
if ( n >= 15298 && n < 15873 ) {
	BLK = 2;
} else
if ( n >= 15873 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
