#ifndef CHEMVL_AUTO2_H_INCLUDED
#define CHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for CHEMVL
 Thu Oct 20 16:58:43  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1328 ) {
	BLK = 0;
} else
if ( n >= 1328 && n < 1534 ) {
	BLK = 2;
} else
if ( n >= 1534 && n < 1578 ) {
	BLK = 1;
} else
if ( n >= 1578 && n < 2578 ) {
	BLK = 2;
} else
if ( n >= 2578 && n < 6263 ) {
	BLK = 1;
} else
if ( n >= 6263 && n < 7107 ) {
	BLK = 3;
} else
if ( n >= 7107 && n < 8251 ) {
	BLK = 1;
} else
if ( n >= 8251 && n < 9555 ) {
	BLK = 3;
} else
if ( n >= 9555 && n < 10050 ) {
	BLK = 1;
} else
if ( n >= 10050 && n < 11750 ) {
	BLK = 3;
} else
if ( n >= 11750 && n < 12255 ) {
	BLK = 1;
} else
if ( n >= 12255 && n < 13359 ) {
	BLK = 3;
} else
if ( n >= 13359 && n < 13780 ) {
	BLK = 1;
} else
if ( n >= 13780 && n < 14048 ) {
	BLK = 4;
} else
if ( n >= 14048 && n < 21510 ) {
	BLK = 3;
} else
if ( n >= 21510 && n < 22283 ) {
	BLK = 1;
} else
if ( n >= 22283 && n < 24418 ) {
	BLK = 3;
} else
if ( n >= 24418 && n < 25498 ) {
	BLK = 1;
} else
if ( n >= 25498 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
