#ifndef DSYMVU_AUTO2_H_INCLUDED
#define DSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for DSYMVU
 Wed Oct 19 12:04:49  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1135 ) {
	BLK = 0;
} else
if ( n >= 1135 && n < 1148 ) {
	BLK = 1;
} else
if ( n >= 1148 && n < 1156 ) {
	BLK = 3;
} else
if ( n >= 1156 && n < 1330 ) {
	BLK = 0;
} else
if ( n >= 1330 && n < 1627 ) {
	BLK = 1;
} else
if ( n >= 1627 && n < 1993 ) {
	BLK = 3;
} else
if ( n >= 1993 && n < 2521 ) {
	BLK = 1;
} else
if ( n >= 2521 && n < 4629 ) {
	BLK = 2;
} else
if ( n >= 4629 && n < 4653 ) {
	BLK = 4;
} else
if ( n >= 4653 && n < 4813 ) {
	BLK = 1;
} else
if ( n >= 4813 && n < 8314 ) {
	BLK = 2;
} else
if ( n >= 8314 && n < 9468 ) {
	BLK = 4;
} else
if ( n >= 9468 && n < 9963 ) {
	BLK = 2;
} else
if ( n >= 9963 && n < 11982 ) {
	BLK = 4;
} else
if ( n >= 11982 && n < 12261 ) {
	BLK = 2;
} else
if ( n >= 12261 && n < 13269 ) {
	BLK = 4;
} else
if ( n >= 13269 && n < 13358 ) {
	BLK = 2;
} else
if ( n >= 13358 && n < 14648 ) {
	BLK = 5;
} else
if ( n >= 14648 && n < 21736 ) {
	BLK = 4;
} else
if ( n >= 21736 && n < 22276 ) {
	BLK = 5;
} else
if ( n >= 22276 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
