#ifndef I128SYMVL_AUTO2_H_INCLUDED
#define I128SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I128SYMVL
 Thu Oct 20 03:43:20  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 986 ) {
	BLK = 0;
} else
if ( n >= 986 && n < 2426 ) {
	BLK = 1;
} else
if ( n >= 2426 && n < 2485 ) {
	BLK = 3;
} else
if ( n >= 2485 && n < 2604 ) {
	BLK = 2;
} else
if ( n >= 2604 && n < 2704 ) {
	BLK = 3;
} else
if ( n >= 2704 && n < 4391 ) {
	BLK = 1;
} else
if ( n >= 4391 && n < 5382 ) {
	BLK = 3;
} else
if ( n >= 5382 && n < 7148 ) {
	BLK = 2;
} else
if ( n >= 7148 && n < 7496 ) {
	BLK = 3;
} else
if ( n >= 7496 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
