#ifndef I16SYMVL_AUTO2_H_INCLUDED
#define I16SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVL
 Thu Oct 20 07:41:37  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1672 ) {
	BLK = 0;
} else
if ( n >= 1672 && n < 1809 ) {
	BLK = 2;
} else
if ( n >= 1809 && n < 16267 ) {
	BLK = 1;
} else
if ( n >= 16267 && n < 17117 ) {
	BLK = 3;
} else
if ( n >= 17117 && n < 21464 ) {
	BLK = 1;
} else
if ( n >= 21464 && n < 22578 ) {
	BLK = 3;
} else
if ( n >= 22578 && n < 23382 ) {
	BLK = 1;
} else
if ( n >= 23382 && n < 27133 ) {
	BLK = 3;
} else
if ( n >= 27133 && n < 28481 ) {
	BLK = 1;
} else
if ( n >= 28481 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
