#ifndef I32SYMVU_AUTO2_H_INCLUDED
#define I32SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVU
 Wed Oct 19 19:27:00  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1447 ) {
	BLK = 0;
} else
if ( n >= 1447 && n < 2196 ) {
	BLK = 2;
} else
if ( n >= 2196 && n < 8374 ) {
	BLK = 1;
} else
if ( n >= 8374 && n < 8428 ) {
	BLK = 4;
} else
if ( n >= 8428 && n < 8554 ) {
	BLK = 6;
} else
if ( n >= 8554 && n < 12270 ) {
	BLK = 1;
} else
if ( n >= 12270 && n < 12354 ) {
	BLK = 3;
} else
if ( n >= 12354 && n < 12679 ) {
	BLK = 4;
} else
if ( n >= 12679 && n < 15739 ) {
	BLK = 1;
} else
if ( n >= 15739 && n < 16240 ) {
	BLK = 6;
} else
if ( n >= 16240 && n < 18648 ) {
	BLK = 1;
} else
if ( n >= 18648 && n < 19538 ) {
	BLK = 6;
} else
if ( n >= 19538 && n < 24967 ) {
	BLK = 1;
} else
if ( n >= 24967 && n < 25282 ) {
	BLK = 4;
} else
if ( n >= 25282 && n < 25598 ) {
	BLK = 6;
} else
if ( n >= 25598 && n < 29264 ) {
	BLK = 1;
} else
if ( n >= 29264 && n < 31344 ) {
	BLK = 4;
} else
if ( n >= 31344 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
