#ifndef I64SYMVL_AUTO2_H_INCLUDED
#define I64SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I64SYMVL
 Thu Oct 20 05:01:54  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1329 ) {
	BLK = 0;
} else
if ( n >= 1329 && n < 1536 ) {
	BLK = 2;
} else
if ( n >= 1536 && n < 1570 ) {
	BLK = 0;
} else
if ( n >= 1570 && n < 3148 ) {
	BLK = 1;
} else
if ( n >= 3148 && n < 3200 ) {
	BLK = 3;
} else
if ( n >= 3200 && n < 3377 ) {
	BLK = 4;
} else
if ( n >= 3377 && n < 3452 ) {
	BLK = 1;
} else
if ( n >= 3452 && n < 3482 ) {
	BLK = 3;
} else
if ( n >= 3482 && n < 4627 ) {
	BLK = 4;
} else
if ( n >= 4627 && n < 4788 ) {
	BLK = 1;
} else
if ( n >= 4788 && n < 5007 ) {
	BLK = 3;
} else
if ( n >= 5007 && n < 9945 ) {
	BLK = 4;
} else
if ( n >= 9945 && n < 10204 ) {
	BLK = 3;
} else
if ( n >= 10204 && n < 10527 ) {
	BLK = 4;
} else
if ( n >= 10527 && n < 10790 ) {
	BLK = 3;
} else
if ( n >= 10790 && n < 13421 ) {
	BLK = 4;
} else
if ( n >= 13421 && n < 14066 ) {
	BLK = 3;
} else
if ( n >= 14066 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
