#ifndef KHEMVU_AUTO2_H_INCLUDED
#define KHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVU
 Thu Oct 20 13:18:22  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2906 ) {
	BLK = 0;
} else
if ( n >= 2906 && n < 2932 ) {
	BLK = 2;
} else
if ( n >= 2932 && n < 3632 ) {
	BLK = 3;
} else
if ( n >= 3632 && n < 6547 ) {
	BLK = 0;
} else
if ( n >= 6547 && n < 6817 ) {
	BLK = 3;
} else
if ( n >= 6817 && n < 15226 ) {
	BLK = 0;
} else
if ( n >= 15226 && n < 15591 ) {
	BLK = 5;
} else
if ( n >= 15591 && n < 15729 ) {
	BLK = 3;
} else
if ( n >= 15729 && n < 2147483647 ) {
	BLK = 0;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 0;
} 

#endif
