#ifndef SSYMVL_AUTO2_H_INCLUDED
#define SSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for SSYMVL
 Thu Oct 20 00:47:00  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1449 ) {
	BLK = 0;
} else
if ( n >= 1449 && n < 5896 ) {
	BLK = 1;
} else
if ( n >= 5896 && n < 6455 ) {
	BLK = 2;
} else
if ( n >= 6455 && n < 7521 ) {
	BLK = 1;
} else
if ( n >= 7521 && n < 7880 ) {
	BLK = 2;
} else
if ( n >= 7880 && n < 8321 ) {
	BLK = 1;
} else
if ( n >= 8321 && n < 9946 ) {
	BLK = 2;
} else
if ( n >= 9946 && n < 10224 ) {
	BLK = 1;
} else
if ( n >= 10224 && n < 11356 ) {
	BLK = 2;
} else
if ( n >= 11356 && n < 11639 ) {
	BLK = 1;
} else
if ( n >= 11639 && n < 11896 ) {
	BLK = 2;
} else
if ( n >= 11896 && n < 12355 ) {
	BLK = 1;
} else
if ( n >= 12355 && n < 15166 ) {
	BLK = 2;
} else
if ( n >= 15166 && n < 15648 ) {
	BLK = 1;
} else
if ( n >= 15648 && n < 16385 ) {
	BLK = 2;
} else
if ( n >= 16385 && n < 17004 ) {
	BLK = 1;
} else
if ( n >= 17004 && n < 40317 ) {
	BLK = 2;
} else
if ( n >= 40317 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
