#ifndef SSYMVU_AUTO2_H_INCLUDED
#define SSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for SSYMVU
 Wed Oct 19 13:36:28  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1376 ) {
	BLK = 0;
} else
if ( n >= 1376 && n < 1392 ) {
	BLK = 1;
} else
if ( n >= 1392 && n < 1406 ) {
	BLK = 2;
} else
if ( n >= 1406 && n < 1447 ) {
	BLK = 0;
} else
if ( n >= 1447 && n < 1460 ) {
	BLK = 1;
} else
if ( n >= 1460 && n < 1898 ) {
	BLK = 2;
} else
if ( n >= 1898 && n < 6036 ) {
	BLK = 1;
} else
if ( n >= 6036 && n < 6488 ) {
	BLK = 4;
} else
if ( n >= 6488 && n < 6610 ) {
	BLK = 1;
} else
if ( n >= 6610 && n < 6874 ) {
	BLK = 5;
} else
if ( n >= 6874 && n < 6942 ) {
	BLK = 1;
} else
if ( n >= 6942 && n < 7186 ) {
	BLK = 4;
} else
if ( n >= 7186 && n < 8281 ) {
	BLK = 5;
} else
if ( n >= 8281 && n < 8689 ) {
	BLK = 4;
} else
if ( n >= 8689 && n < 9257 ) {
	BLK = 5;
} else
if ( n >= 9257 && n < 10846 ) {
	BLK = 4;
} else
if ( n >= 10846 && n < 12960 ) {
	BLK = 5;
} else
if ( n >= 12960 && n < 14509 ) {
	BLK = 4;
} else
if ( n >= 14509 && n < 15061 ) {
	BLK = 5;
} else
if ( n >= 15061 && n < 16349 ) {
	BLK = 4;
} else
if ( n >= 16349 && n < 16997 ) {
	BLK = 5;
} else
if ( n >= 16997 && n < 23201 ) {
	BLK = 4;
} else
if ( n >= 23201 && n < 24035 ) {
	BLK = 5;
} else
if ( n >= 24035 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
