#ifndef UHEMVL_AUTO2_H_INCLUDED
#define UHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for UHEMVL
 Thu Oct 20 14:23:00  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1402 ) {
	BLK = 0;
} else
if ( n >= 1402 && n < 2074 ) {
	BLK = 5;
} else
if ( n >= 2074 && n < 2895 ) {
	BLK = 3;
} else
if ( n >= 2895 && n < 3680 ) {
	BLK = 2;
} else
if ( n >= 3680 && n < 4105 ) {
	BLK = 4;
} else
if ( n >= 4105 && n < 4700 ) {
	BLK = 6;
} else
if ( n >= 4700 && n < 5716 ) {
	BLK = 3;
} else
if ( n >= 5716 && n < 5814 ) {
	BLK = 5;
} else
if ( n >= 5814 && n < 6882 ) {
	BLK = 2;
} else
if ( n >= 6882 && n < 8398 ) {
	BLK = 4;
} else
if ( n >= 8398 && n < 9068 ) {
	BLK = 6;
} else
if ( n >= 9068 && n < 9097 ) {
	BLK = 4;
} else
if ( n >= 9097 && n < 10108 ) {
	BLK = 2;
} else
if ( n >= 10108 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
