#ifndef WSYMVU_AUTO2_H_INCLUDED
#define WSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for WSYMVU
 Wed Oct 19 10:39:41  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_2	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 17 ) {
	BLK = 0;
} else
if ( n >= 17 && n < 9779 ) {
	BLK = 0;
} else
if ( n >= 9779 && n < 10707 ) {
	BLK = 5;
} else
if ( n >= 10707 && n < 13611 ) {
	BLK = 0;
} else
if ( n >= 13611 && n < 14206 ) {
	BLK = 5;
} else
if ( n >= 14206 && n < 15095 ) {
	BLK = 0;
} else
if ( n >= 15095 && n < 15833 ) {
	BLK = 5;
} else
if ( n >= 15833 && n < 16279 ) {
	BLK = 0;
} else
if ( n >= 16279 && n < 16536 ) {
	BLK = 5;
} else
if ( n >= 16536 && n < 17557 ) {
	BLK = 0;
} else
if ( n >= 17557 && n < 18146 ) {
	BLK = 5;
} else
if ( n >= 18146 && n < 19860 ) {
	BLK = 0;
} else
if ( n >= 19860 && n < 20886 ) {
	BLK = 5;
} else
if ( n >= 20886 && n < 2147483647 ) {
	BLK = 0;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 0;
} 

#endif
