#ifndef ZHEMVL_AUTO2_H_INCLUDED
#define ZHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for ZHEMVL
 Thu Oct 20 15:33:53  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 19 ) {
	BLK = 0;
} else
if ( n >= 19 && n < 934 ) {
	BLK = 0;
} else
if ( n >= 934 && n < 1526 ) {
	BLK = 2;
} else
if ( n >= 1526 && n < 1806 ) {
	BLK = 1;
} else
if ( n >= 1806 && n < 1827 ) {
	BLK = 3;
} else
if ( n >= 1827 && n < 1867 ) {
	BLK = 2;
} else
if ( n >= 1867 && n < 1924 ) {
	BLK = 1;
} else
if ( n >= 1924 && n < 2311 ) {
	BLK = 3;
} else
if ( n >= 2311 && n < 3052 ) {
	BLK = 2;
} else
if ( n >= 3052 && n < 3083 ) {
	BLK = 1;
} else
if ( n >= 3083 && n < 3708 ) {
	BLK = 3;
} else
if ( n >= 3708 && n < 4122 ) {
	BLK = 1;
} else
if ( n >= 4122 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
