#ifndef CHEMV_UPPER_AUTO2_H_INCLUDED
#define CHEMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Sat Mar 19 20:12:08 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1659 ) {
	BLK = 0;
} else
if ( n >= 1659 && n < 1761 ) {
	BLK = 2;
} else
if ( n >= 1761 && n < 1764 ) {
	BLK = 1;
} else
if ( n >= 1764 && n < 1808 ) {
	BLK = 3;
} else
if ( n >= 1808 && n < 3145 ) {
	BLK = 2;
} else
if ( n >= 3145 && n < 3231 ) {
	BLK = 3;
} else
if ( n >= 3231 && n < 3281 ) {
	BLK = 4;
} else
if ( n >= 3281 && n < 3890 ) {
	BLK = 2;
} else
if ( n >= 3890 && n < 3917 ) {
	BLK = 1;
} else
if ( n >= 3917 && n < 3972 ) {
	BLK = 4;
} else
if ( n >= 3972 && n < 4178 ) {
	BLK = 2;
} else
if ( n >= 4178 && n < 4294 ) {
	BLK = 1;
} else
if ( n >= 4294 && n < 4427 ) {
	BLK = 4;
} else
if ( n >= 4427 && n < 4929 ) {
	BLK = 2;
} else
if ( n >= 4929 && n < 6029 ) {
	BLK = 1;
} else
if ( n >= 6029 && n < 6104 ) {
	BLK = 2;
} else
if ( n >= 6104 && n < 6168 ) {
	BLK = 4;
} else
if ( n >= 6168 && n < 6797 ) {
	BLK = 1;
} else
if ( n >= 6797 && n < 7124 ) {
	BLK = 2;
} else
if ( n >= 7124 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 
#endif
