#ifndef HSYMV_LOWER_AUTO2_H_INCLUDED
#define HSYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for HSYMV-L
Sat Mar 19 10:39:01 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3052 ) {
	BLK = 0;
} else
if ( n >= 3052 && n < 3055 ) {
	BLK = 2;
} else
if ( n >= 3055 && n < 3094 ) {
	BLK = 4;
} else
if ( n >= 3094 && n < 3100 ) {
	BLK = 5;
} else
if ( n >= 3100 && n < 3127 ) {
	BLK = 3;
} else
if ( n >= 3127 && n < 3365 ) {
	BLK = 2;
} else
if ( n >= 3365 && n < 3396 ) {
	BLK = 4;
} else
if ( n >= 3396 && n < 3800 ) {
	BLK = 3;
} else
if ( n >= 3800 && n < 3860 ) {
	BLK = 1;
} else
if ( n >= 3860 && n < 4214 ) {
	BLK = 4;
} else
if ( n >= 4214 && n < 5550 ) {
	BLK = 3;
} else
if ( n >= 5550 && n < 6319 ) {
	BLK = 1;
} else
if ( n >= 6319 && n < 25602 ) {
	BLK = 3;
} else
if ( n >= 25602 && n < 26532 ) {
	BLK = 1;
} else
if ( n >= 26532 && n < 28542 ) {
	BLK = 3;
} else
if ( n >= 28542 && n < 29811 ) {
	BLK = 1;
} else
if ( n >= 29811 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
