#ifndef I128SYMV_LOWER_AUTO2_H_INCLUDED
#define I128SYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I128SYMV-L
Sat Mar 19 11:57:21 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 29 ) {
	BLK = 2;
} else
if ( n >= 29 && n < 1333 ) {
	BLK = 0;
} else
if ( n >= 1333 && n < 2151 ) {
	BLK = 2;
} else
if ( n >= 2151 && n < 2639 ) {
	BLK = 3;
} else
if ( n >= 2639 && n < 3967 ) {
	BLK = 2;
} else
if ( n >= 3967 && n < 5034 ) {
	BLK = 5;
} else
if ( n >= 5034 && n < 5277 ) {
	BLK = 2;
} else
if ( n >= 5277 && n < 5405 ) {
	BLK = 1;
} else
if ( n >= 5405 && n < 20881 ) {
	BLK = 5;
} else
if ( n >= 20881 && n < 21341 ) {
	BLK = 1;
} else
if ( n >= 21341 && n < 22937 ) {
	BLK = 5;
} else
if ( n >= 22937 && n < 23252 ) {
	BLK = 1;
} else
if ( n >= 23252 && n < 24863 ) {
	BLK = 5;
} else
if ( n >= 24863 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 
#endif
