#ifndef I128SYMV_UPPER_AUTO2_H_INCLUDED
#define I128SYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I128SYMV-U
Sat Mar 19 00:39:06 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1352 ) {
	BLK = 0;
} else
if ( n >= 1352 && n < 1369 ) {
	BLK = 2;
} else
if ( n >= 1369 && n < 2164 ) {
	BLK = 1;
} else
if ( n >= 2164 && n < 2312 ) {
	BLK = 5;
} else
if ( n >= 2312 && n < 2343 ) {
	BLK = 2;
} else
if ( n >= 2343 && n < 2370 ) {
	BLK = 1;
} else
if ( n >= 2370 && n < 2427 ) {
	BLK = 5;
} else
if ( n >= 2427 && n < 3292 ) {
	BLK = 2;
} else
if ( n >= 3292 && n < 3422 ) {
	BLK = 4;
} else
if ( n >= 3422 && n < 3474 ) {
	BLK = 1;
} else
if ( n >= 3474 && n < 6833 ) {
	BLK = 2;
} else
if ( n >= 6833 && n < 7672 ) {
	BLK = 4;
} else
if ( n >= 7672 && n < 7935 ) {
	BLK = 2;
} else
if ( n >= 7935 && n < 9880 ) {
	BLK = 4;
} else
if ( n >= 9880 && n < 10358 ) {
	BLK = 2;
} else
if ( n >= 10358 && n < 10956 ) {
	BLK = 4;
} else
if ( n >= 10956 && n < 11429 ) {
	BLK = 2;
} else
if ( n >= 11429 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 
#endif
