#ifndef I16SYMV_UPPER_AUTO2_H_INCLUDED
#define I16SYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I16SYMV-U
Sat Mar 19 05:15:11 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3052 ) {
	BLK = 0;
} else
if ( n >= 3052 && n < 3367 ) {
	BLK = 1;
} else
if ( n >= 3367 && n < 3426 ) {
	BLK = 2;
} else
if ( n >= 3426 && n < 3456 ) {
	BLK = 3;
} else
if ( n >= 3456 && n < 4994 ) {
	BLK = 1;
} else
if ( n >= 4994 && n < 5078 ) {
	BLK = 2;
} else
if ( n >= 5078 && n < 5165 ) {
	BLK = 5;
} else
if ( n >= 5165 && n < 5253 ) {
	BLK = 1;
} else
if ( n >= 5253 && n < 5441 ) {
	BLK = 2;
} else
if ( n >= 5441 && n < 5468 ) {
	BLK = 5;
} else
if ( n >= 5468 && n < 6852 ) {
	BLK = 1;
} else
if ( n >= 6852 && n < 7486 ) {
	BLK = 2;
} else
if ( n >= 7486 && n < 16890 ) {
	BLK = 1;
} else
if ( n >= 16890 && n < 17482 ) {
	BLK = 2;
} else
if ( n >= 17482 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 
#endif
