#ifndef SSYMV_UPPER_AUTO2_H_INCLUDED
#define SSYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-U
Fri Mar 18 21:36:02 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2313 ) {
	BLK = 0;
} else
if ( n >= 2313 && n < 6025 ) {
	BLK = 1;
} else
if ( n >= 6025 && n < 16421 ) {
	BLK = 2;
} else
if ( n >= 16421 && n < 17533 ) {
	BLK = 5;
} else
if ( n >= 17533 && n < 35354 ) {
	BLK = 2;
} else
if ( n >= 35354 && n < 38513 ) {
	BLK = 5;
} else
if ( n >= 38513 && n < 48431 ) {
	BLK = 2;
} else
if ( n >= 48431 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 
#endif
