#ifndef WSYMV_LOWER_AUTO2_H_INCLUDED
#define WSYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for WSYMV-L
Sat Mar 19 06:31:54 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 18 ) {
	BLK = 5;
} else
if ( n >= 18 && n < 3194 ) {
	BLK = 0;
} else
if ( n >= 3194 && n < 3892 ) {
	BLK = 1;
} else
if ( n >= 3892 && n < 12129 ) {
	BLK = 0;
} else
if ( n >= 12129 && n < 13181 ) {
	BLK = 5;
} else
if ( n >= 13181 && n < 2147483647 ) {
	BLK = 0;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 0;
} 
#endif
