#ifndef ZHEMV_UPPER_AUTO2_H_INCLUDED
#define ZHEMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-U
Sat Mar 19 18:38:58 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2389 ) {
	BLK = 0;
} else
if ( n >= 2389 && n < 4743 ) {
	BLK = 1;
} else
if ( n >= 4743 && n < 4837 ) {
	BLK = 4;
} else
if ( n >= 4837 && n < 4938 ) {
	BLK = 3;
} else
if ( n >= 4938 && n < 4960 ) {
	BLK = 1;
} else
if ( n >= 4960 && n < 5404 ) {
	BLK = 4;
} else
if ( n >= 5404 && n < 7819 ) {
	BLK = 3;
} else
if ( n >= 7819 && n < 8497 ) {
	BLK = 4;
} else
if ( n >= 8497 && n < 8770 ) {
	BLK = 3;
} else
if ( n >= 8770 && n < 9210 ) {
	BLK = 4;
} else
if ( n >= 9210 && n < 10520 ) {
	BLK = 3;
} else
if ( n >= 10520 && n < 10811 ) {
	BLK = 4;
} else
if ( n >= 10811 && n < 22749 ) {
	BLK = 3;
} else
if ( n >= 22749 && n < 23071 ) {
	BLK = 4;
} else
if ( n >= 23071 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
