#ifndef CHEMVL_AUTO2_H_INCLUDED
#define CHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for CHEMVL
 Fri Sep 09 07:15:16  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1731 ) {
	BLK = 0;
} else
if ( n >= 1731 && n < 1761 ) {
	BLK = 3;
} else
if ( n >= 1761 && n < 1768 ) {
	BLK = 1;
} else
if ( n >= 1768 && n < 1774 ) {
	BLK = 2;
} else
if ( n >= 1774 && n < 1884 ) {
	BLK = 0;
} else
if ( n >= 1884 && n < 1995 ) {
	BLK = 3;
} else
if ( n >= 1995 && n < 3395 ) {
	BLK = 1;
} else
if ( n >= 3395 && n < 3522 ) {
	BLK = 3;
} else
if ( n >= 3522 && n < 5646 ) {
	BLK = 1;
} else
if ( n >= 5646 && n < 8198 ) {
	BLK = 3;
} else
if ( n >= 8198 && n < 8458 ) {
	BLK = 1;
} else
if ( n >= 8458 && n < 8910 ) {
	BLK = 3;
} else
if ( n >= 8910 && n < 9253 ) {
	BLK = 1;
} else
if ( n >= 9253 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
