#ifndef DSYMVU_AUTO2_H_INCLUDED
#define DSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for DSYMVU
 Thu Sep 08 00:07:45  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1734 ) {
	BLK = 0;
} else
if ( n >= 1734 && n < 1749 ) {
	BLK = 3;
} else
if ( n >= 1749 && n < 1772 ) {
	BLK = 1;
} else
if ( n >= 1772 && n < 2069 ) {
	BLK = 2;
} else
if ( n >= 2069 && n < 2457 ) {
	BLK = 3;
} else
if ( n >= 2457 && n < 2547 ) {
	BLK = 1;
} else
if ( n >= 2547 && n < 2612 ) {
	BLK = 2;
} else
if ( n >= 2612 && n < 2763 ) {
	BLK = 3;
} else
if ( n >= 2763 && n < 2865 ) {
	BLK = 2;
} else
if ( n >= 2865 && n < 3421 ) {
	BLK = 1;
} else
if ( n >= 3421 && n < 10418 ) {
	BLK = 2;
} else
if ( n >= 10418 && n < 10760 ) {
	BLK = 6;
} else
if ( n >= 10760 && n < 11063 ) {
	BLK = 2;
} else
if ( n >= 11063 && n < 11406 ) {
	BLK = 6;
} else
if ( n >= 11406 && n < 12358 ) {
	BLK = 2;
} else
if ( n >= 12358 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
