#ifndef I128SYMVL_AUTO2_H_INCLUDED
#define I128SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I128SYMVL
 Thu Sep 08 16:31:29  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 28 ) {
	BLK = 0;
} else
if ( n >= 28 && n < 1262 ) {
	BLK = 0;
} else
if ( n >= 1262 && n < 1279 ) {
	BLK = 2;
} else
if ( n >= 1279 && n < 1294 ) {
	BLK = 5;
} else
if ( n >= 1294 && n < 1371 ) {
	BLK = 0;
} else
if ( n >= 1371 && n < 1377 ) {
	BLK = 2;
} else
if ( n >= 1377 && n < 3330 ) {
	BLK = 5;
} else
if ( n >= 3330 && n < 4606 ) {
	BLK = 3;
} else
if ( n >= 4606 && n < 5411 ) {
	BLK = 5;
} else
if ( n >= 5411 && n < 6137 ) {
	BLK = 3;
} else
if ( n >= 6137 && n < 6234 ) {
	BLK = 5;
} else
if ( n >= 6234 && n < 6307 ) {
	BLK = 1;
} else
if ( n >= 6307 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
