#ifndef I16SYMVL_AUTO2_H_INCLUDED
#define I16SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVL
 Thu Sep 08 20:58:37  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3218 ) {
	BLK = 0;
} else
if ( n >= 3218 && n < 3232 ) {
	BLK = 3;
} else
if ( n >= 3232 && n < 3437 ) {
	BLK = 4;
} else
if ( n >= 3437 && n < 3493 ) {
	BLK = 0;
} else
if ( n >= 3493 && n < 3544 ) {
	BLK = 1;
} else
if ( n >= 3544 && n < 3612 ) {
	BLK = 4;
} else
if ( n >= 3612 && n < 3631 ) {
	BLK = 0;
} else
if ( n >= 3631 && n < 3811 ) {
	BLK = 1;
} else
if ( n >= 3811 && n < 5304 ) {
	BLK = 4;
} else
if ( n >= 5304 && n < 7962 ) {
	BLK = 1;
} else
if ( n >= 7962 && n < 8298 ) {
	BLK = 4;
} else
if ( n >= 8298 && n < 43624 ) {
	BLK = 1;
} else
if ( n >= 43624 && n < 45171 ) {
	BLK = 4;
} else
if ( n >= 45171 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
