#ifndef KHEMVU_AUTO2_H_INCLUDED
#define KHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVU
 Fri Sep 09 03:01:08  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1792 ) {
	BLK = 0;
} else
if ( n >= 1792 && n < 1795 ) {
	BLK = 3;
} else
if ( n >= 1795 && n < 1839 ) {
	BLK = 1;
} else
if ( n >= 1839 && n < 1921 ) {
	BLK = 0;
} else
if ( n >= 1921 && n < 1962 ) {
	BLK = 3;
} else
if ( n >= 1962 && n < 3252 ) {
	BLK = 1;
} else
if ( n >= 3252 && n < 5792 ) {
	BLK = 2;
} else
if ( n >= 5792 && n < 6345 ) {
	BLK = 4;
} else
if ( n >= 6345 && n < 10672 ) {
	BLK = 2;
} else
if ( n >= 10672 && n < 10997 ) {
	BLK = 5;
} else
if ( n >= 10997 && n < 47574 ) {
	BLK = 2;
} else
if ( n >= 47574 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
