#ifndef ZHEMVL_AUTO2_H_INCLUDED
#define ZHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for ZHEMVL
 Fri Sep 09 05:41:24  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 25 ) {
	BLK = 0;
} else
if ( n >= 25 && n < 2336 ) {
	BLK = 0;
} else
if ( n >= 2336 && n < 2349 ) {
	BLK = 4;
} else
if ( n >= 2349 && n < 2383 ) {
	BLK = 2;
} else
if ( n >= 2383 && n < 9461 ) {
	BLK = 1;
} else
if ( n >= 9461 && n < 10349 ) {
	BLK = 5;
} else
if ( n >= 10349 && n < 10643 ) {
	BLK = 1;
} else
if ( n >= 10643 && n < 12751 ) {
	BLK = 5;
} else
if ( n >= 12751 && n < 13460 ) {
	BLK = 6;
} else
if ( n >= 13460 && n < 19935 ) {
	BLK = 1;
} else
if ( n >= 19935 && n < 21575 ) {
	BLK = 5;
} else
if ( n >= 21575 && n < 22751 ) {
	BLK = 1;
} else
if ( n >= 22751 && n < 24008 ) {
	BLK = 5;
} else
if ( n >= 24008 && n < 24339 ) {
	BLK = 6;
} else
if ( n >= 24339 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
