#ifndef I16SYMV_UPPER_AUTO2_H_INCLUDED
#define I16SYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I16SYMV-U
Sat Mar 19 00:10:34 JST 2022
Host on pascal.r-ccs27.riken.jp
Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3047 ) {
	BLK = 0;
} else
if ( n >= 3047 && n < 5071 ) {
	BLK = 2;
} else
if ( n >= 5071 && n < 5096 ) {
	BLK = 6;
} else
if ( n >= 5096 && n < 5191 ) {
	BLK = 3;
} else
if ( n >= 5191 && n < 5238 ) {
	BLK = 2;
} else
if ( n >= 5238 && n < 6929 ) {
	BLK = 6;
} else
if ( n >= 6929 && n < 7786 ) {
	BLK = 2;
} else
if ( n >= 7786 && n < 8084 ) {
	BLK = 6;
} else
if ( n >= 8084 && n < 9635 ) {
	BLK = 2;
} else
if ( n >= 9635 && n < 9772 ) {
	BLK = 3;
} else
if ( n >= 9772 && n < 10142 ) {
	BLK = 6;
} else
if ( n >= 10142 && n < 10531 ) {
	BLK = 2;
} else
if ( n >= 10531 && n < 12461 ) {
	BLK = 6;
} else
if ( n >= 12461 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 
#endif
