#ifndef KHEMV_LOWER_AUTO2_H_INCLUDED
#define KHEMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for KHEMV-L
Sun Mar 20 05:37:45 JST 2022
Host on pascal.r-ccs27.riken.jp
Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2861 ) {
	BLK = 0;
} else
if ( n >= 2861 && n < 3436 ) {
	BLK = 1;
} else
if ( n >= 3436 && n < 4594 ) {
	BLK = 2;
} else
if ( n >= 4594 && n < 6012 ) {
	BLK = 5;
} else
if ( n >= 6012 && n < 6087 ) {
	BLK = 4;
} else
if ( n >= 6087 && n < 6188 ) {
	BLK = 2;
} else
if ( n >= 6188 && n < 7989 ) {
	BLK = 5;
} else
if ( n >= 7989 && n < 8944 ) {
	BLK = 2;
} else
if ( n >= 8944 && n < 9353 ) {
	BLK = 5;
} else
if ( n >= 9353 && n < 9918 ) {
	BLK = 2;
} else
if ( n >= 9918 && n < 11989 ) {
	BLK = 5;
} else
if ( n >= 11989 && n < 13002 ) {
	BLK = 2;
} else
if ( n >= 13002 && n < 14860 ) {
	BLK = 5;
} else
if ( n >= 14860 && n < 16638 ) {
	BLK = 2;
} else
if ( n >= 16638 && n < 17728 ) {
	BLK = 5;
} else
if ( n >= 17728 && n < 18341 ) {
	BLK = 2;
} else
if ( n >= 18341 && n < 21166 ) {
	BLK = 5;
} else
if ( n >= 21166 && n < 22037 ) {
	BLK = 2;
} else
if ( n >= 22037 && n < 26583 ) {
	BLK = 5;
} else
if ( n >= 26583 && n < 28215 ) {
	BLK = 2;
} else
if ( n >= 28215 && n < 30146 ) {
	BLK = 5;
} else
if ( n >= 30146 && n < 30906 ) {
	BLK = 2;
} else
if ( n >= 30906 && n < 33795 ) {
	BLK = 5;
} else
if ( n >= 33795 && n < 35699 ) {
	BLK = 2;
} else
if ( n >= 35699 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 
#endif
