#ifndef KHEMV_UPPER_AUTO2_H_INCLUDED
#define KHEMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for KHEMV-U
Sat Mar 19 22:01:33 JST 2022
Host on pascal.r-ccs27.riken.jp
Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2627 ) {
	BLK = 0;
} else
if ( n >= 2627 && n < 3684 ) {
	BLK = 1;
} else
if ( n >= 3684 && n < 3706 ) {
	BLK = 6;
} else
if ( n >= 3706 && n < 3891 ) {
	BLK = 5;
} else
if ( n >= 3891 && n < 3931 ) {
	BLK = 4;
} else
if ( n >= 3931 && n < 4952 ) {
	BLK = 3;
} else
if ( n >= 4952 && n < 4970 ) {
	BLK = 6;
} else
if ( n >= 4970 && n < 6309 ) {
	BLK = 5;
} else
if ( n >= 6309 && n < 6850 ) {
	BLK = 4;
} else
if ( n >= 6850 && n < 9299 ) {
	BLK = 3;
} else
if ( n >= 9299 && n < 9446 ) {
	BLK = 5;
} else
if ( n >= 9446 && n < 9490 ) {
	BLK = 4;
} else
if ( n >= 9490 && n < 14430 ) {
	BLK = 3;
} else
if ( n >= 14430 && n < 15359 ) {
	BLK = 5;
} else
if ( n >= 15359 && n < 16382 ) {
	BLK = 3;
} else
if ( n >= 16382 && n < 16655 ) {
	BLK = 5;
} else
if ( n >= 16655 && n < 17816 ) {
	BLK = 3;
} else
if ( n >= 17816 && n < 18583 ) {
	BLK = 5;
} else
if ( n >= 18583 && n < 21270 ) {
	BLK = 3;
} else
if ( n >= 21270 && n < 22054 ) {
	BLK = 5;
} else
if ( n >= 22054 && n < 24036 ) {
	BLK = 3;
} else
if ( n >= 24036 && n < 24918 ) {
	BLK = 5;
} else
if ( n >= 24918 && n < 27197 ) {
	BLK = 3;
} else
if ( n >= 27197 && n < 27839 ) {
	BLK = 5;
} else
if ( n >= 27839 && n < 35922 ) {
	BLK = 3;
} else
if ( n >= 35922 && n < 36661 ) {
	BLK = 5;
} else
if ( n >= 36661 && n < 47322 ) {
	BLK = 3;
} else
if ( n >= 47322 && n < 50382 ) {
	BLK = 5;
} else
if ( n >= 50382 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
