#ifndef SSYMV_LOWER_AUTO2_H_INCLUDED
#define SSYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Sat Mar 19 05:18:01 JST 2022
Host on pascal.r-ccs27.riken.jp
Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2865 ) {
	BLK = 0;
} else
if ( n >= 2865 && n < 2877 ) {
	BLK = 1;
} else
if ( n >= 2877 && n < 3254 ) {
	BLK = 2;
} else
if ( n >= 3254 && n < 3680 ) {
	BLK = 1;
} else
if ( n >= 3680 && n < 6466 ) {
	BLK = 2;
} else
if ( n >= 6466 && n < 6647 ) {
	BLK = 4;
} else
if ( n >= 6647 && n < 6670 ) {
	BLK = 2;
} else
if ( n >= 6670 && n < 6823 ) {
	BLK = 3;
} else
if ( n >= 6823 && n < 6929 ) {
	BLK = 1;
} else
if ( n >= 6929 && n < 7025 ) {
	BLK = 2;
} else
if ( n >= 7025 && n < 7792 ) {
	BLK = 4;
} else
if ( n >= 7792 && n < 10120 ) {
	BLK = 3;
} else
if ( n >= 10120 && n < 11682 ) {
	BLK = 2;
} else
if ( n >= 11682 && n < 12366 ) {
	BLK = 4;
} else
if ( n >= 12366 && n < 13261 ) {
	BLK = 3;
} else
if ( n >= 13261 && n < 13494 ) {
	BLK = 4;
} else
if ( n >= 13494 && n < 14087 ) {
	BLK = 2;
} else
if ( n >= 14087 && n < 14804 ) {
	BLK = 3;
} else
if ( n >= 14804 && n < 16781 ) {
	BLK = 2;
} else
if ( n >= 16781 && n < 20796 ) {
	BLK = 3;
} else
if ( n >= 20796 && n < 21745 ) {
	BLK = 2;
} else
if ( n >= 21745 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
