#ifndef UHEMV_UPPER_AUTO2_H_INCLUDED
#define UHEMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for UHEMV-U
Sat Mar 19 16:10:51 JST 2022
Host on pascal.r-ccs27.riken.jp
Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 23 ) {
	BLK = 5;
} else
if ( n >= 23 && n < 2974 ) {
	BLK = 0;
} else
if ( n >= 2974 && n < 3801 ) {
	BLK = 1;
} else
if ( n >= 3801 && n < 4143 ) {
	BLK = 0;
} else
if ( n >= 4143 && n < 5709 ) {
	BLK = 1;
} else
if ( n >= 5709 && n < 6083 ) {
	BLK = 0;
} else
if ( n >= 6083 && n < 6241 ) {
	BLK = 1;
} else
if ( n >= 6241 && n < 7929 ) {
	BLK = 3;
} else
if ( n >= 7929 && n < 8498 ) {
	BLK = 1;
} else
if ( n >= 8498 && n < 14335 ) {
	BLK = 0;
} else
if ( n >= 14335 && n < 14686 ) {
	BLK = 3;
} else
if ( n >= 14686 && n < 2147483647 ) {
	BLK = 0;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 0;
} 
#endif
