#ifndef ZHEMV_UPPER_AUTO2_H_INCLUDED
#define ZHEMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-U
Sat Mar 19 18:00:17 JST 2022
Host on pascal.r-ccs27.riken.jp
Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3603 ) {
	BLK = 0;
} else
if ( n >= 3603 && n < 12231 ) {
	BLK = 1;
} else
if ( n >= 12231 && n < 12264 ) {
	BLK = 6;
} else
if ( n >= 12264 && n < 13108 ) {
	BLK = 5;
} else
if ( n >= 13108 && n < 13505 ) {
	BLK = 1;
} else
if ( n >= 13505 && n < 14374 ) {
	BLK = 5;
} else
if ( n >= 14374 && n < 15667 ) {
	BLK = 6;
} else
if ( n >= 15667 && n < 23033 ) {
	BLK = 1;
} else
if ( n >= 23033 && n < 29877 ) {
	BLK = 6;
} else
if ( n >= 29877 && n < 33187 ) {
	BLK = 1;
} else
if ( n >= 33187 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 
#endif
