#ifndef CHEMVU_AUTO2_H_INCLUDED
#define CHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for CHEMVU
 Thu Sep 08 14:35:48  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1901 ) {
	BLK = 0;
} else
if ( n >= 1901 && n < 2520 ) {
	BLK = 1;
} else
if ( n >= 2520 && n < 2532 ) {
	BLK = 2;
} else
if ( n >= 2532 && n < 2555 ) {
	BLK = 5;
} else
if ( n >= 2555 && n < 2573 ) {
	BLK = 3;
} else
if ( n >= 2573 && n < 8193 ) {
	BLK = 1;
} else
if ( n >= 8193 && n < 8738 ) {
	BLK = 2;
} else
if ( n >= 8738 && n < 9702 ) {
	BLK = 1;
} else
if ( n >= 9702 && n < 10332 ) {
	BLK = 2;
} else
if ( n >= 10332 && n < 11063 ) {
	BLK = 1;
} else
if ( n >= 11063 && n < 12058 ) {
	BLK = 2;
} else
if ( n >= 12058 && n < 12356 ) {
	BLK = 1;
} else
if ( n >= 12356 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
