#ifndef DSYMVU_AUTO2_H_INCLUDED
#define DSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for DSYMVU
 Wed Sep 07 07:05:24  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2530 ) {
	BLK = 0;
} else
if ( n >= 2530 && n < 3212 ) {
	BLK = 1;
} else
if ( n >= 3212 && n < 3559 ) {
	BLK = 2;
} else
if ( n >= 3559 && n < 3736 ) {
	BLK = 1;
} else
if ( n >= 3736 && n < 4457 ) {
	BLK = 5;
} else
if ( n >= 4457 && n < 5197 ) {
	BLK = 1;
} else
if ( n >= 5197 && n < 5206 ) {
	BLK = 6;
} else
if ( n >= 5206 && n < 5633 ) {
	BLK = 2;
} else
if ( n >= 5633 && n < 6094 ) {
	BLK = 6;
} else
if ( n >= 6094 && n < 6386 ) {
	BLK = 2;
} else
if ( n >= 6386 && n < 6439 ) {
	BLK = 6;
} else
if ( n >= 6439 && n < 9286 ) {
	BLK = 3;
} else
if ( n >= 9286 && n < 10291 ) {
	BLK = 6;
} else
if ( n >= 10291 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
