#ifndef HSYMVU_AUTO2_H_INCLUDED
#define HSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for HSYMVU
 Wed Sep 07 10:46:40  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2703 ) {
	BLK = 0;
} else
if ( n >= 2703 && n < 4130 ) {
	BLK = 1;
} else
if ( n >= 4130 && n < 4973 ) {
	BLK = 2;
} else
if ( n >= 4973 && n < 5065 ) {
	BLK = 3;
} else
if ( n >= 5065 && n < 5907 ) {
	BLK = 1;
} else
if ( n >= 5907 && n < 21147 ) {
	BLK = 3;
} else
if ( n >= 21147 && n < 21921 ) {
	BLK = 6;
} else
if ( n >= 21921 && n < 24518 ) {
	BLK = 3;
} else
if ( n >= 24518 && n < 24690 ) {
	BLK = 6;
} else
if ( n >= 24690 && n < 26048 ) {
	BLK = 5;
} else
if ( n >= 26048 && n < 28228 ) {
	BLK = 3;
} else
if ( n >= 28228 && n < 29416 ) {
	BLK = 5;
} else
if ( n >= 29416 && n < 32595 ) {
	BLK = 6;
} else
if ( n >= 32595 && n < 44264 ) {
	BLK = 5;
} else
if ( n >= 44264 && n < 48141 ) {
	BLK = 6;
} else
if ( n >= 48141 && n < 61604 ) {
	BLK = 5;
} else
if ( n >= 61604 && n < 68951 ) {
	BLK = 6;
} else
if ( n >= 68951 && n < 76592 ) {
	BLK = 5;
} else
if ( n >= 76592 && n < 82168 ) {
	BLK = 6;
} else
if ( n >= 82168 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
