#ifndef I16SYMVU_AUTO2_H_INCLUDED
#define I16SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVU
 Wed Sep 07 18:15:14  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2691 ) {
	BLK = 0;
} else
if ( n >= 2691 && n < 8275 ) {
	BLK = 1;
} else
if ( n >= 8275 && n < 12860 ) {
	BLK = 3;
} else
if ( n >= 12860 && n < 13522 ) {
	BLK = 4;
} else
if ( n >= 13522 && n < 16431 ) {
	BLK = 3;
} else
if ( n >= 16431 && n < 16741 ) {
	BLK = 4;
} else
if ( n >= 16741 && n < 18053 ) {
	BLK = 3;
} else
if ( n >= 18053 && n < 18566 ) {
	BLK = 4;
} else
if ( n >= 18566 && n < 20052 ) {
	BLK = 3;
} else
if ( n >= 20052 && n < 28727 ) {
	BLK = 4;
} else
if ( n >= 28727 && n < 29144 ) {
	BLK = 5;
} else
if ( n >= 29144 && n < 48243 ) {
	BLK = 4;
} else
if ( n >= 48243 && n < 52693 ) {
	BLK = 5;
} else
if ( n >= 52693 && n < 58173 ) {
	BLK = 4;
} else
if ( n >= 58173 && n < 59054 ) {
	BLK = 5;
} else
if ( n >= 59054 && n < 86949 ) {
	BLK = 4;
} else
if ( n >= 86949 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
