#ifndef KHEMVU_AUTO2_H_INCLUDED
#define KHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVU
 Thu Sep 08 16:34:04  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2461 ) {
	BLK = 0;
} else
if ( n >= 2461 && n < 3585 ) {
	BLK = 4;
} else
if ( n >= 3585 && n < 3651 ) {
	BLK = 2;
} else
if ( n >= 3651 && n < 3729 ) {
	BLK = 1;
} else
if ( n >= 3729 && n < 3801 ) {
	BLK = 4;
} else
if ( n >= 3801 && n < 4916 ) {
	BLK = 2;
} else
if ( n >= 4916 && n < 5665 ) {
	BLK = 3;
} else
if ( n >= 5665 && n < 7104 ) {
	BLK = 2;
} else
if ( n >= 7104 && n < 9076 ) {
	BLK = 3;
} else
if ( n >= 9076 && n < 9363 ) {
	BLK = 2;
} else
if ( n >= 9363 && n < 9656 ) {
	BLK = 3;
} else
if ( n >= 9656 && n < 10033 ) {
	BLK = 2;
} else
if ( n >= 10033 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
