#ifndef SSYMVL_AUTO2_H_INCLUDED
#define SSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for SSYMVL
 Wed Sep 07 23:32:53  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3127 ) {
	BLK = 0;
} else
if ( n >= 3127 && n < 6436 ) {
	BLK = 1;
} else
if ( n >= 6436 && n < 7012 ) {
	BLK = 3;
} else
if ( n >= 7012 && n < 7197 ) {
	BLK = 4;
} else
if ( n >= 7197 && n < 7410 ) {
	BLK = 5;
} else
if ( n >= 7410 && n < 7608 ) {
	BLK = 4;
} else
if ( n >= 7608 && n < 7674 ) {
	BLK = 5;
} else
if ( n >= 7674 && n < 8174 ) {
	BLK = 1;
} else
if ( n >= 8174 && n < 8440 ) {
	BLK = 4;
} else
if ( n >= 8440 && n < 8753 ) {
	BLK = 1;
} else
if ( n >= 8753 && n < 9248 ) {
	BLK = 4;
} else
if ( n >= 9248 && n < 9301 ) {
	BLK = 3;
} else
if ( n >= 9301 && n < 10748 ) {
	BLK = 1;
} else
if ( n >= 10748 && n < 10847 ) {
	BLK = 4;
} else
if ( n >= 10847 && n < 11258 ) {
	BLK = 3;
} else
if ( n >= 11258 && n < 13392 ) {
	BLK = 4;
} else
if ( n >= 13392 && n < 13837 ) {
	BLK = 1;
} else
if ( n >= 13837 && n < 14820 ) {
	BLK = 4;
} else
if ( n >= 14820 && n < 15357 ) {
	BLK = 1;
} else
if ( n >= 15357 && n < 16277 ) {
	BLK = 4;
} else
if ( n >= 16277 && n < 17363 ) {
	BLK = 1;
} else
if ( n >= 17363 && n < 18106 ) {
	BLK = 4;
} else
if ( n >= 18106 && n < 18518 ) {
	BLK = 1;
} else
if ( n >= 18518 && n < 19450 ) {
	BLK = 4;
} else
if ( n >= 19450 && n < 22005 ) {
	BLK = 1;
} else
if ( n >= 22005 && n < 23551 ) {
	BLK = 4;
} else
if ( n >= 23551 && n < 24310 ) {
	BLK = 1;
} else
if ( n >= 24310 && n < 25982 ) {
	BLK = 4;
} else
if ( n >= 25982 && n < 29880 ) {
	BLK = 1;
} else
if ( n >= 29880 && n < 33078 ) {
	BLK = 4;
} else
if ( n >= 33078 && n < 40406 ) {
	BLK = 1;
} else
if ( n >= 40406 && n < 41444 ) {
	BLK = 4;
} else
if ( n >= 41444 && n < 52539 ) {
	BLK = 1;
} else
if ( n >= 52539 && n < 59469 ) {
	BLK = 4;
} else
if ( n >= 59469 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
