#ifndef UHEMVL_AUTO2_H_INCLUDED
#define UHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for UHEMVL
 Thu Sep 08 18:34:51  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1970 ) {
	BLK = 0;
} else
if ( n >= 1970 && n < 2621 ) {
	BLK = 3;
} else
if ( n >= 2621 && n < 3672 ) {
	BLK = 2;
} else
if ( n >= 3672 && n < 3681 ) {
	BLK = 3;
} else
if ( n >= 3681 && n < 3929 ) {
	BLK = 0;
} else
if ( n >= 3929 && n < 6422 ) {
	BLK = 1;
} else
if ( n >= 6422 && n < 8498 ) {
	BLK = 0;
} else
if ( n >= 8498 && n < 11238 ) {
	BLK = 1;
} else
if ( n >= 11238 && n < 11456 ) {
	BLK = 0;
} else
if ( n >= 11456 && n < 12863 ) {
	BLK = 4;
} else
if ( n >= 12863 && n < 14559 ) {
	BLK = 0;
} else
if ( n >= 14559 && n < 15102 ) {
	BLK = 1;
} else
if ( n >= 15102 && n < 2147483647 ) {
	BLK = 0;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 0;
} 

#endif
