#ifndef WSYMVL_AUTO2_H_INCLUDED
#define WSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for WSYMVL
 Wed Sep 07 19:57:06  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 5230 ) {
	BLK = 0;
} else
if ( n >= 5230 && n < 6428 ) {
	BLK = 5;
} else
if ( n >= 6428 && n < 6879 ) {
	BLK = 0;
} else
if ( n >= 6879 && n < 7493 ) {
	BLK = 4;
} else
if ( n >= 7493 && n < 8526 ) {
	BLK = 0;
} else
if ( n >= 8526 && n < 8871 ) {
	BLK = 4;
} else
if ( n >= 8871 && n < 29949 ) {
	BLK = 0;
} else
if ( n >= 29949 && n < 31228 ) {
	BLK = 4;
} else
if ( n >= 31228 && n < 2147483647 ) {
	BLK = 0;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 0;
} 

#endif
