#ifndef KHEMV_LOWER_AUTO2_H_INCLUDED
#define KHEMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for KHEMV-L
Wed Mar 16 23:56:03 JST 2022
Host on fermat.r-ccs27.riken.jp
Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2649 ) {
	BLK = 0;
} else
if ( n >= 2649 && n < 2726 ) {
	BLK = 3;
} else
if ( n >= 2726 && n < 3385 ) {
	BLK = 1;
} else
if ( n >= 3385 && n < 4778 ) {
	BLK = 2;
} else
if ( n >= 4778 && n < 4817 ) {
	BLK = 1;
} else
if ( n >= 4817 && n < 4914 ) {
	BLK = 4;
} else
if ( n >= 4914 && n < 5180 ) {
	BLK = 2;
} else
if ( n >= 5180 && n < 5231 ) {
	BLK = 1;
} else
if ( n >= 5231 && n < 5398 ) {
	BLK = 4;
} else
if ( n >= 5398 && n < 5443 ) {
	BLK = 3;
} else
if ( n >= 5443 && n < 5807 ) {
	BLK = 1;
} else
if ( n >= 5807 && n < 5860 ) {
	BLK = 5;
} else
if ( n >= 5860 && n < 7070 ) {
	BLK = 2;
} else
if ( n >= 7070 && n < 7256 ) {
	BLK = 5;
} else
if ( n >= 7256 && n < 9038 ) {
	BLK = 2;
} else
if ( n >= 9038 && n < 9258 ) {
	BLK = 5;
} else
if ( n >= 9258 && n < 9534 ) {
	BLK = 4;
} else
if ( n >= 9534 && n < 10721 ) {
	BLK = 2;
} else
if ( n >= 10721 && n < 11051 ) {
	BLK = 4;
} else
if ( n >= 11051 && n < 15831 ) {
	BLK = 2;
} else
if ( n >= 15831 && n < 19367 ) {
	BLK = 4;
} else
if ( n >= 19367 && n < 19851 ) {
	BLK = 2;
} else
if ( n >= 19851 && n < 52820 ) {
	BLK = 4;
} else
if ( n >= 52820 && n < 56157 ) {
	BLK = 6;
} else
if ( n >= 56157 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 
#endif
