#ifndef SSYMV_LOWER_AUTO2_H_INCLUDED
#define SSYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Wed Mar 16 08:18:58 JST 2022
Host on fermat.r-ccs27.riken.jp
Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2666 ) {
	BLK = 0;
} else
if ( n >= 2666 && n < 2946 ) {
	BLK = 1;
} else
if ( n >= 2946 && n < 2999 ) {
	BLK = 2;
} else
if ( n >= 2999 && n < 3289 ) {
	BLK = 3;
} else
if ( n >= 3289 && n < 3435 ) {
	BLK = 1;
} else
if ( n >= 3435 && n < 3451 ) {
	BLK = 2;
} else
if ( n >= 3451 && n < 3782 ) {
	BLK = 3;
} else
if ( n >= 3782 && n < 3876 ) {
	BLK = 1;
} else
if ( n >= 3876 && n < 4035 ) {
	BLK = 2;
} else
if ( n >= 4035 && n < 4368 ) {
	BLK = 1;
} else
if ( n >= 4368 && n < 4527 ) {
	BLK = 3;
} else
if ( n >= 4527 && n < 6456 ) {
	BLK = 2;
} else
if ( n >= 6456 && n < 9028 ) {
	BLK = 3;
} else
if ( n >= 9028 && n < 9326 ) {
	BLK = 2;
} else
if ( n >= 9326 && n < 18876 ) {
	BLK = 3;
} else
if ( n >= 18876 && n < 19398 ) {
	BLK = 2;
} else
if ( n >= 19398 && n < 40412 ) {
	BLK = 3;
} else
if ( n >= 40412 && n < 43069 ) {
	BLK = 6;
} else
if ( n >= 43069 && n < 51474 ) {
	BLK = 3;
} else
if ( n >= 51474 && n < 60926 ) {
	BLK = 6;
} else
if ( n >= 60926 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
