#ifndef SSYMV_UPPER_AUTO2_H_INCLUDED
#define SSYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-U
Tue Mar 15 22:37:40 JST 2022
Host on fermat.r-ccs27.riken.jp
Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2493 ) {
	BLK = 0;
} else
if ( n >= 2493 && n < 3273 ) {
	BLK = 2;
} else
if ( n >= 3273 && n < 4942 ) {
	BLK = 4;
} else
if ( n >= 4942 && n < 18706 ) {
	BLK = 3;
} else
if ( n >= 18706 && n < 18857 ) {
	BLK = 5;
} else
if ( n >= 18857 && n < 19527 ) {
	BLK = 4;
} else
if ( n >= 19527 && n < 39349 ) {
	BLK = 3;
} else
if ( n >= 39349 && n < 43336 ) {
	BLK = 5;
} else
if ( n >= 43336 && n < 51162 ) {
	BLK = 3;
} else
if ( n >= 51162 && n < 60520 ) {
	BLK = 5;
} else
if ( n >= 60520 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
