#ifndef WSYMV_LOWER_AUTO2_H_INCLUDED
#define WSYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for WSYMV-L
Wed Mar 16 06:00:12 JST 2022
Host on fermat.r-ccs27.riken.jp
Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 11554 ) {
	BLK = 0;
} else
if ( n >= 11554 && n < 11924 ) {
	BLK = 6;
} else
if ( n >= 11924 && n < 13911 ) {
	BLK = 0;
} else
if ( n >= 13911 && n < 14246 ) {
	BLK = 1;
} else
if ( n >= 14246 && n < 2147483647 ) {
	BLK = 0;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 0;
} 
#endif
