#ifndef ZHEMV_LOWER_AUTO2_H_INCLUDED
#define ZHEMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-L
Wed Mar 16 21:33:21 JST 2022
Host on fermat.r-ccs27.riken.jp
Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2654 ) {
	BLK = 0;
} else
if ( n >= 2654 && n < 4921 ) {
	BLK = 1;
} else
if ( n >= 4921 && n < 6885 ) {
	BLK = 2;
} else
if ( n >= 6885 && n < 9231 ) {
	BLK = 4;
} else
if ( n >= 9231 && n < 12669 ) {
	BLK = 2;
} else
if ( n >= 12669 && n < 13067 ) {
	BLK = 4;
} else
if ( n >= 13067 && n < 14075 ) {
	BLK = 2;
} else
if ( n >= 14075 && n < 17149 ) {
	BLK = 4;
} else
if ( n >= 17149 && n < 17954 ) {
	BLK = 2;
} else
if ( n >= 17954 && n < 18833 ) {
	BLK = 4;
} else
if ( n >= 18833 && n < 20754 ) {
	BLK = 2;
} else
if ( n >= 20754 && n < 22776 ) {
	BLK = 4;
} else
if ( n >= 22776 && n < 23429 ) {
	BLK = 2;
} else
if ( n >= 23429 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 
#endif
