#ifndef HSYMVU_AUTO2_H_INCLUDED
#define HSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for HSYMVU
 Thu Jul 21 12:46:20  2022
 Host on fermat.r-ccs27.riken.jp
 Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3000 ) {
	BLK = 0;
} else
if ( n >= 3000 && n < 4097 ) {
	BLK = 1;
} else
if ( n >= 4097 && n < 7361 ) {
	BLK = 3;
} else
if ( n >= 7361 && n < 8071 ) {
	BLK = 4;
} else
if ( n >= 8071 && n < 10467 ) {
	BLK = 3;
} else
if ( n >= 10467 && n < 12660 ) {
	BLK = 4;
} else
if ( n >= 12660 && n < 13400 ) {
	BLK = 3;
} else
if ( n >= 13400 && n < 15252 ) {
	BLK = 4;
} else
if ( n >= 15252 && n < 15684 ) {
	BLK = 3;
} else
if ( n >= 15684 && n < 18242 ) {
	BLK = 4;
} else
if ( n >= 18242 && n < 18691 ) {
	BLK = 3;
} else
if ( n >= 18691 && n < 21403 ) {
	BLK = 4;
} else
if ( n >= 21403 && n < 22986 ) {
	BLK = 5;
} else
if ( n >= 22986 && n < 24750 ) {
	BLK = 4;
} else
if ( n >= 24750 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
