#ifndef I16SYMVL_AUTO2_H_INCLUDED
#define I16SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVL
 Fri Jul 22 04:11:09  2022
 Host on fermat.r-ccs27.riken.jp
 Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3509 ) {
	BLK = 0;
} else
if ( n >= 3509 && n < 4191 ) {
	BLK = 1;
} else
if ( n >= 4191 && n < 9259 ) {
	BLK = 2;
} else
if ( n >= 9259 && n < 11223 ) {
	BLK = 3;
} else
if ( n >= 11223 && n < 11835 ) {
	BLK = 2;
} else
if ( n >= 11835 && n < 12912 ) {
	BLK = 3;
} else
if ( n >= 12912 && n < 13453 ) {
	BLK = 2;
} else
if ( n >= 13453 && n < 48598 ) {
	BLK = 3;
} else
if ( n >= 48598 && n < 53020 ) {
	BLK = 5;
} else
if ( n >= 53020 && n < 88051 ) {
	BLK = 3;
} else
if ( n >= 88051 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
