#ifndef I32SYMVL_AUTO2_H_INCLUDED
#define I32SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVL
 Fri Jul 22 02:46:27  2022
 Host on fermat.r-ccs27.riken.jp
 Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2804 ) {
	BLK = 0;
} else
if ( n >= 2804 && n < 3694 ) {
	BLK = 1;
} else
if ( n >= 3694 && n < 3710 ) {
	BLK = 2;
} else
if ( n >= 3710 && n < 3974 ) {
	BLK = 4;
} else
if ( n >= 3974 && n < 4380 ) {
	BLK = 2;
} else
if ( n >= 4380 && n < 5234 ) {
	BLK = 4;
} else
if ( n >= 5234 && n < 9478 ) {
	BLK = 2;
} else
if ( n >= 9478 && n < 9791 ) {
	BLK = 4;
} else
if ( n >= 9791 && n < 11668 ) {
	BLK = 2;
} else
if ( n >= 11668 && n < 11968 ) {
	BLK = 4;
} else
if ( n >= 11968 && n < 39724 ) {
	BLK = 2;
} else
if ( n >= 39724 && n < 43308 ) {
	BLK = 6;
} else
if ( n >= 43308 && n < 50989 ) {
	BLK = 2;
} else
if ( n >= 50989 && n < 61190 ) {
	BLK = 6;
} else
if ( n >= 61190 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
