#ifndef I32SYMVU_AUTO2_H_INCLUDED
#define I32SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVU
 Thu Jul 21 16:29:05  2022
 Host on fermat.r-ccs27.riken.jp
 Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2616 ) {
	BLK = 0;
} else
if ( n >= 2616 && n < 2890 ) {
	BLK = 3;
} else
if ( n >= 2890 && n < 2984 ) {
	BLK = 1;
} else
if ( n >= 2984 && n < 3011 ) {
	BLK = 4;
} else
if ( n >= 3011 && n < 3021 ) {
	BLK = 3;
} else
if ( n >= 3021 && n < 5720 ) {
	BLK = 1;
} else
if ( n >= 5720 && n < 5865 ) {
	BLK = 3;
} else
if ( n >= 5865 && n < 5914 ) {
	BLK = 4;
} else
if ( n >= 5914 && n < 7248 ) {
	BLK = 1;
} else
if ( n >= 7248 && n < 7506 ) {
	BLK = 4;
} else
if ( n >= 7506 && n < 9436 ) {
	BLK = 1;
} else
if ( n >= 9436 && n < 9859 ) {
	BLK = 5;
} else
if ( n >= 9859 && n < 10194 ) {
	BLK = 1;
} else
if ( n >= 10194 && n < 10464 ) {
	BLK = 5;
} else
if ( n >= 10464 && n < 10880 ) {
	BLK = 1;
} else
if ( n >= 10880 && n < 11549 ) {
	BLK = 5;
} else
if ( n >= 11549 && n < 12444 ) {
	BLK = 1;
} else
if ( n >= 12444 && n < 12785 ) {
	BLK = 6;
} else
if ( n >= 12785 && n < 12969 ) {
	BLK = 1;
} else
if ( n >= 12969 && n < 13069 ) {
	BLK = 5;
} else
if ( n >= 13069 && n < 13522 ) {
	BLK = 6;
} else
if ( n >= 13522 && n < 13860 ) {
	BLK = 5;
} else
if ( n >= 13860 && n < 13865 ) {
	BLK = 6;
} else
if ( n >= 13865 && n < 14388 ) {
	BLK = 1;
} else
if ( n >= 14388 && n < 15346 ) {
	BLK = 5;
} else
if ( n >= 15346 && n < 16099 ) {
	BLK = 6;
} else
if ( n >= 16099 && n < 16703 ) {
	BLK = 5;
} else
if ( n >= 16703 && n < 17514 ) {
	BLK = 6;
} else
if ( n >= 17514 && n < 18294 ) {
	BLK = 5;
} else
if ( n >= 18294 && n < 19464 ) {
	BLK = 6;
} else
if ( n >= 19464 && n < 19791 ) {
	BLK = 1;
} else
if ( n >= 19791 && n < 22738 ) {
	BLK = 5;
} else
if ( n >= 22738 && n < 25363 ) {
	BLK = 6;
} else
if ( n >= 25363 && n < 27019 ) {
	BLK = 5;
} else
if ( n >= 27019 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
