#ifndef KHEMVU_AUTO2_H_INCLUDED
#define KHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVU
 Fri Jul 22 09:45:52  2022
 Host on fermat.r-ccs27.riken.jp
 Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2817 ) {
	BLK = 0;
} else
if ( n >= 2817 && n < 4503 ) {
	BLK = 1;
} else
if ( n >= 4503 && n < 4549 ) {
	BLK = 5;
} else
if ( n >= 4549 && n < 8989 ) {
	BLK = 4;
} else
if ( n >= 8989 && n < 9369 ) {
	BLK = 3;
} else
if ( n >= 9369 && n < 10398 ) {
	BLK = 4;
} else
if ( n >= 10398 && n < 10671 ) {
	BLK = 3;
} else
if ( n >= 10671 && n < 11547 ) {
	BLK = 4;
} else
if ( n >= 11547 && n < 11561 ) {
	BLK = 3;
} else
if ( n >= 11561 && n < 11918 ) {
	BLK = 6;
} else
if ( n >= 11918 && n < 12073 ) {
	BLK = 3;
} else
if ( n >= 12073 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
