#ifndef SSYMVU_AUTO2_H_INCLUDED
#define SSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for SSYMVU
 Thu Jul 21 11:14:42  2022
 Host on fermat.r-ccs27.riken.jp
 Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2502 ) {
	BLK = 0;
} else
if ( n >= 2502 && n < 2920 ) {
	BLK = 2;
} else
if ( n >= 2920 && n < 4825 ) {
	BLK = 1;
} else
if ( n >= 4825 && n < 4875 ) {
	BLK = 3;
} else
if ( n >= 4875 && n < 4888 ) {
	BLK = 5;
} else
if ( n >= 4888 && n < 5342 ) {
	BLK = 1;
} else
if ( n >= 5342 && n < 6009 ) {
	BLK = 3;
} else
if ( n >= 6009 && n < 8913 ) {
	BLK = 1;
} else
if ( n >= 8913 && n < 11923 ) {
	BLK = 3;
} else
if ( n >= 11923 && n < 12547 ) {
	BLK = 1;
} else
if ( n >= 12547 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
