#ifndef UHEMVL_AUTO2_H_INCLUDED
#define UHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for UHEMVL
 Fri Jul 22 11:18:35  2022
 Host on fermat.r-ccs27.riken.jp
 Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1329 ) {
	BLK = 0;
} else
if ( n >= 1329 && n < 1331 ) {
	BLK = 3;
} else
if ( n >= 1331 && n < 1339 ) {
	BLK = 1;
} else
if ( n >= 1339 && n < 2323 ) {
	BLK = 0;
} else
if ( n >= 2323 && n < 2478 ) {
	BLK = 3;
} else
if ( n >= 2478 && n < 2505 ) {
	BLK = 6;
} else
if ( n >= 2505 && n < 3320 ) {
	BLK = 1;
} else
if ( n >= 3320 && n < 3991 ) {
	BLK = 2;
} else
if ( n >= 3991 && n < 8633 ) {
	BLK = 0;
} else
if ( n >= 8633 && n < 8994 ) {
	BLK = 4;
} else
if ( n >= 8994 && n < 9701 ) {
	BLK = 0;
} else
if ( n >= 9701 && n < 11237 ) {
	BLK = 5;
} else
if ( n >= 11237 && n < 2147483647 ) {
	BLK = 0;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 0;
} 

#endif
