#ifndef I16SYMV_UPPER_AUTO2_H_INCLUDED
#define I16SYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I16SYMV-U
Sun Mar 20 10:25:24 JST 2022
Host on a100-0.cloud.r-ccs.riken.jp
Device is A100-SXM-80GB
****************************************/-->
// device name
DEVICE= A100-SXM-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85196873728
// capacity of the work area reserved on the GPU
WORK= 1171456
// for double or cuFloatComplex or int64
MAXDIM= 98037
// for float or cuHalfComplex or int32
MAXDIM2= 138645
// for cuDoubleComplex or DD or int128
MAXDIM3= 69322
// for DD-Complex
MAXDIM4= 49018
// for half or int16
MAXDIM5= 196074
// cuda version
CUDA= 11040
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 9078 ) {
	BLK = 0;
} else
if ( n >= 9078 && n < 9217 ) {
	BLK = 1;
} else
if ( n >= 9217 && n < 9825 ) {
	BLK = 4;
} else
if ( n >= 9825 && n < 10105 ) {
	BLK = 6;
} else
if ( n >= 10105 && n < 10678 ) {
	BLK = 4;
} else
if ( n >= 10678 && n < 11498 ) {
	BLK = 6;
} else
if ( n >= 11498 && n < 11707 ) {
	BLK = 0;
} else
if ( n >= 11707 && n < 12003 ) {
	BLK = 2;
} else
if ( n >= 12003 && n < 12973 ) {
	BLK = 4;
} else
if ( n >= 12973 && n < 13534 ) {
	BLK = 6;
} else
if ( n >= 13534 && n < 14188 ) {
	BLK = 4;
} else
if ( n >= 14188 && n < 16153 ) {
	BLK = 6;
} else
if ( n >= 16153 && n < 16781 ) {
	BLK = 4;
} else
if ( n >= 16781 && n < 17233 ) {
	BLK = 6;
} else
if ( n >= 17233 && n < 18080 ) {
	BLK = 4;
} else
if ( n >= 18080 && n < 19358 ) {
	BLK = 6;
} else
if ( n >= 19358 && n < 19634 ) {
	BLK = 4;
} else
if ( n >= 19634 && n < 21478 ) {
	BLK = 6;
} else
if ( n >= 21478 && n < 21887 ) {
	BLK = 4;
} else
if ( n >= 21887 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 
#endif
