#ifndef I32SYMVL_AUTO2_H_INCLUDED
#define I32SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVL
 Sat Jul 23 13:56:34  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 5991 ) {
	BLK = 0;
} else
if ( n >= 5991 && n < 6035 ) {
	BLK = 2;
} else
if ( n >= 6035 && n < 6296 ) {
	BLK = 3;
} else
if ( n >= 6296 && n < 6389 ) {
	BLK = 1;
} else
if ( n >= 6389 && n < 7361 ) {
	BLK = 2;
} else
if ( n >= 7361 && n < 8850 ) {
	BLK = 3;
} else
if ( n >= 8850 && n < 9181 ) {
	BLK = 2;
} else
if ( n >= 9181 && n < 16422 ) {
	BLK = 3;
} else
if ( n >= 16422 && n < 17004 ) {
	BLK = 1;
} else
if ( n >= 17004 && n < 19522 ) {
	BLK = 3;
} else
if ( n >= 19522 && n < 24412 ) {
	BLK = 1;
} else
if ( n >= 24412 && n < 25161 ) {
	BLK = 6;
} else
if ( n >= 25161 && n < 27106 ) {
	BLK = 3;
} else
if ( n >= 27106 && n < 27653 ) {
	BLK = 6;
} else
if ( n >= 27653 && n < 28655 ) {
	BLK = 1;
} else
if ( n >= 28655 && n < 42753 ) {
	BLK = 6;
} else
if ( n >= 42753 && n < 46142 ) {
	BLK = 1;
} else
if ( n >= 46142 && n < 59445 ) {
	BLK = 6;
} else
if ( n >= 59445 && n < 65688 ) {
	BLK = 1;
} else
if ( n >= 65688 && n < 69892 ) {
	BLK = 6;
} else
if ( n >= 69892 && n < 98875 ) {
	BLK = 1;
} else
if ( n >= 98875 && n < 102786 ) {
	BLK = 6;
} else
if ( n >= 102786 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
