#ifndef I32SYMVU_AUTO2_H_INCLUDED
#define I32SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVU
 Sat Jul 23 10:52:03  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 6058 ) {
	BLK = 0;
} else
if ( n >= 6058 && n < 7622 ) {
	BLK = 5;
} else
if ( n >= 7622 && n < 7913 ) {
	BLK = 3;
} else
if ( n >= 7913 && n < 8783 ) {
	BLK = 5;
} else
if ( n >= 8783 && n < 9268 ) {
	BLK = 3;
} else
if ( n >= 9268 && n < 9686 ) {
	BLK = 1;
} else
if ( n >= 9686 && n < 10291 ) {
	BLK = 3;
} else
if ( n >= 10291 && n < 10543 ) {
	BLK = 1;
} else
if ( n >= 10543 && n < 11320 ) {
	BLK = 5;
} else
if ( n >= 11320 && n < 11716 ) {
	BLK = 3;
} else
if ( n >= 11716 && n < 13009 ) {
	BLK = 1;
} else
if ( n >= 13009 && n < 13397 ) {
	BLK = 3;
} else
if ( n >= 13397 && n < 14060 ) {
	BLK = 1;
} else
if ( n >= 14060 && n < 14866 ) {
	BLK = 3;
} else
if ( n >= 14866 && n < 15242 ) {
	BLK = 1;
} else
if ( n >= 15242 && n < 15999 ) {
	BLK = 3;
} else
if ( n >= 15999 && n < 16466 ) {
	BLK = 1;
} else
if ( n >= 16466 && n < 17471 ) {
	BLK = 3;
} else
if ( n >= 17471 && n < 18013 ) {
	BLK = 1;
} else
if ( n >= 18013 && n < 20902 ) {
	BLK = 3;
} else
if ( n >= 20902 && n < 21287 ) {
	BLK = 1;
} else
if ( n >= 21287 && n < 22842 ) {
	BLK = 3;
} else
if ( n >= 22842 && n < 23706 ) {
	BLK = 1;
} else
if ( n >= 23706 && n < 23965 ) {
	BLK = 3;
} else
if ( n >= 23965 && n < 27154 ) {
	BLK = 1;
} else
if ( n >= 27154 && n < 63315 ) {
	BLK = 3;
} else
if ( n >= 63315 && n < 67704 ) {
	BLK = 1;
} else
if ( n >= 67704 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
