#ifndef I64SYMVL_AUTO2_H_INCLUDED
#define I64SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I64SYMVL
 Sat Jul 23 07:31:54  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 4283 ) {
	BLK = 0;
} else
if ( n >= 4283 && n < 4303 ) {
	BLK = 4;
} else
if ( n >= 4303 && n < 5559 ) {
	BLK = 1;
} else
if ( n >= 5559 && n < 5617 ) {
	BLK = 4;
} else
if ( n >= 5617 && n < 5718 ) {
	BLK = 2;
} else
if ( n >= 5718 && n < 8407 ) {
	BLK = 1;
} else
if ( n >= 8407 && n < 8748 ) {
	BLK = 4;
} else
if ( n >= 8748 && n < 9191 ) {
	BLK = 1;
} else
if ( n >= 9191 && n < 9558 ) {
	BLK = 4;
} else
if ( n >= 9558 && n < 9976 ) {
	BLK = 1;
} else
if ( n >= 9976 && n < 10653 ) {
	BLK = 4;
} else
if ( n >= 10653 && n < 10816 ) {
	BLK = 5;
} else
if ( n >= 10816 && n < 11444 ) {
	BLK = 1;
} else
if ( n >= 11444 && n < 11857 ) {
	BLK = 5;
} else
if ( n >= 11857 && n < 13065 ) {
	BLK = 4;
} else
if ( n >= 13065 && n < 13067 ) {
	BLK = 1;
} else
if ( n >= 13067 && n < 14256 ) {
	BLK = 5;
} else
if ( n >= 14256 && n < 14844 ) {
	BLK = 4;
} else
if ( n >= 14844 && n < 16487 ) {
	BLK = 5;
} else
if ( n >= 16487 && n < 17633 ) {
	BLK = 4;
} else
if ( n >= 17633 && n < 21070 ) {
	BLK = 5;
} else
if ( n >= 21070 && n < 21480 ) {
	BLK = 4;
} else
if ( n >= 21480 && n < 63496 ) {
	BLK = 5;
} else
if ( n >= 63496 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
