#ifndef KHEMVL_AUTO2_H_INCLUDED
#define KHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVL
 Sun Jul 24 19:24:04  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 6156 ) {
	BLK = 0;
} else
if ( n >= 6156 && n < 6202 ) {
	BLK = 5;
} else
if ( n >= 6202 && n < 9704 ) {
	BLK = 1;
} else
if ( n >= 9704 && n < 10235 ) {
	BLK = 5;
} else
if ( n >= 10235 && n < 10609 ) {
	BLK = 1;
} else
if ( n >= 10609 && n < 11110 ) {
	BLK = 5;
} else
if ( n >= 11110 && n < 14340 ) {
	BLK = 1;
} else
if ( n >= 14340 && n < 14638 ) {
	BLK = 5;
} else
if ( n >= 14638 && n < 25575 ) {
	BLK = 1;
} else
if ( n >= 25575 && n < 26870 ) {
	BLK = 3;
} else
if ( n >= 26870 && n < 41993 ) {
	BLK = 1;
} else
if ( n >= 41993 && n < 46301 ) {
	BLK = 3;
} else
if ( n >= 46301 && n < 58749 ) {
	BLK = 1;
} else
if ( n >= 58749 && n < 76173 ) {
	BLK = 3;
} else
if ( n >= 76173 && n < 79903 ) {
	BLK = 1;
} else
if ( n >= 79903 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
