#ifndef SSYMVL_AUTO2_H_INCLUDED
#define SSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for SSYMVL
 Fri Jul 22 14:34:03  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 6174 ) {
	BLK = 0;
} else
if ( n >= 6174 && n < 6228 ) {
	BLK = 2;
} else
if ( n >= 6228 && n < 9167 ) {
	BLK = 3;
} else
if ( n >= 9167 && n < 9508 ) {
	BLK = 1;
} else
if ( n >= 9508 && n < 11318 ) {
	BLK = 2;
} else
if ( n >= 11318 && n < 12980 ) {
	BLK = 3;
} else
if ( n >= 12980 && n < 13760 ) {
	BLK = 1;
} else
if ( n >= 13760 && n < 13869 ) {
	BLK = 2;
} else
if ( n >= 13869 && n < 14376 ) {
	BLK = 3;
} else
if ( n >= 14376 && n < 14517 ) {
	BLK = 6;
} else
if ( n >= 14517 && n < 15033 ) {
	BLK = 2;
} else
if ( n >= 15033 && n < 15292 ) {
	BLK = 1;
} else
if ( n >= 15292 && n < 16051 ) {
	BLK = 3;
} else
if ( n >= 16051 && n < 16925 ) {
	BLK = 1;
} else
if ( n >= 16925 && n < 18498 ) {
	BLK = 2;
} else
if ( n >= 18498 && n < 21812 ) {
	BLK = 1;
} else
if ( n >= 21812 && n < 22634 ) {
	BLK = 6;
} else
if ( n >= 22634 && n < 24612 ) {
	BLK = 1;
} else
if ( n >= 24612 && n < 24723 ) {
	BLK = 2;
} else
if ( n >= 24723 && n < 25741 ) {
	BLK = 6;
} else
if ( n >= 25741 && n < 26191 ) {
	BLK = 2;
} else
if ( n >= 26191 && n < 29479 ) {
	BLK = 1;
} else
if ( n >= 29479 && n < 30200 ) {
	BLK = 2;
} else
if ( n >= 30200 && n < 31547 ) {
	BLK = 6;
} else
if ( n >= 31547 && n < 39272 ) {
	BLK = 1;
} else
if ( n >= 39272 && n < 41543 ) {
	BLK = 6;
} else
if ( n >= 41543 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
