#ifndef WSYMVU_AUTO2_H_INCLUDED
#define WSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for WSYMVU
 Thu Jul 21 23:47:48  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85042737152
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97948
// for float or cuHalfComplex or int32
MAXDIM2= 138519
// for cuDoubleComplex or DD or int128
MAXDIM3= 69259
// for DD-Complex
MAXDIM4= 48974
// for half or int16
MAXDIM5= 195896
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 34 ) {
	BLK = 4;
} else
if ( n >= 34 && n < 4249 ) {
	BLK = 0;
} else
if ( n >= 4249 && n < 4655 ) {
	BLK = 4;
} else
if ( n >= 4655 && n < 4775 ) {
	BLK = 0;
} else
if ( n >= 4775 && n < 10239 ) {
	BLK = 1;
} else
if ( n >= 10239 && n < 10590 ) {
	BLK = 3;
} else
if ( n >= 10590 && n < 11094 ) {
	BLK = 1;
} else
if ( n >= 11094 && n < 12134 ) {
	BLK = 3;
} else
if ( n >= 12134 && n < 12472 ) {
	BLK = 1;
} else
if ( n >= 12472 && n < 13281 ) {
	BLK = 3;
} else
if ( n >= 13281 && n < 13596 ) {
	BLK = 1;
} else
if ( n >= 13596 && n < 13902 ) {
	BLK = 3;
} else
if ( n >= 13902 && n < 14820 ) {
	BLK = 1;
} else
if ( n >= 14820 && n < 15189 ) {
	BLK = 3;
} else
if ( n >= 15189 && n < 15496 ) {
	BLK = 1;
} else
if ( n >= 15496 && n < 34614 ) {
	BLK = 3;
} else
if ( n >= 34614 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
