#ifndef I128SYMVU_AUTO2_H_INCLUDED
#define I128SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I128SYMVU
 Mon Sep 05 01:14:39  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 4072 ) {
	BLK = 0;
} else
if ( n >= 4072 && n < 4685 ) {
	BLK = 2;
} else
if ( n >= 4685 && n < 4765 ) {
	BLK = 0;
} else
if ( n >= 4765 && n < 19222 ) {
	BLK = 1;
} else
if ( n >= 19222 && n < 20401 ) {
	BLK = 4;
} else
if ( n >= 20401 && n < 20740 ) {
	BLK = 1;
} else
if ( n >= 20740 && n < 22962 ) {
	BLK = 5;
} else
if ( n >= 22962 && n < 24403 ) {
	BLK = 1;
} else
if ( n >= 24403 && n < 25589 ) {
	BLK = 4;
} else
if ( n >= 25589 && n < 26854 ) {
	BLK = 1;
} else
if ( n >= 26854 && n < 32782 ) {
	BLK = 5;
} else
if ( n >= 32782 && n < 34636 ) {
	BLK = 6;
} else
if ( n >= 34636 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
