#ifndef I16SYMVL_AUTO2_H_INCLUDED
#define I16SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVL
 Mon Sep 05 22:17:49  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 12387 ) {
	BLK = 0;
} else
if ( n >= 12387 && n < 12963 ) {
	BLK = 5;
} else
if ( n >= 12963 && n < 13867 ) {
	BLK = 3;
} else
if ( n >= 13867 && n < 14370 ) {
	BLK = 5;
} else
if ( n >= 14370 && n < 14569 ) {
	BLK = 4;
} else
if ( n >= 14569 && n < 15276 ) {
	BLK = 3;
} else
if ( n >= 15276 && n < 15361 ) {
	BLK = 1;
} else
if ( n >= 15361 && n < 15642 ) {
	BLK = 0;
} else
if ( n >= 15642 && n < 19965 ) {
	BLK = 3;
} else
if ( n >= 19965 && n < 20292 ) {
	BLK = 1;
} else
if ( n >= 20292 && n < 20957 ) {
	BLK = 5;
} else
if ( n >= 20957 && n < 21599 ) {
	BLK = 3;
} else
if ( n >= 21599 && n < 21960 ) {
	BLK = 1;
} else
if ( n >= 21960 && n < 22628 ) {
	BLK = 5;
} else
if ( n >= 22628 && n < 25487 ) {
	BLK = 3;
} else
if ( n >= 25487 && n < 27125 ) {
	BLK = 5;
} else
if ( n >= 27125 && n < 33080 ) {
	BLK = 3;
} else
if ( n >= 33080 && n < 35190 ) {
	BLK = 5;
} else
if ( n >= 35190 && n < 35546 ) {
	BLK = 1;
} else
if ( n >= 35546 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
