#ifndef I16SYMVU_AUTO2_H_INCLUDED
#define I16SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVU
 Mon Sep 05 19:12:03  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 9290 ) {
	BLK = 0;
} else
if ( n >= 9290 && n < 9820 ) {
	BLK = 3;
} else
if ( n >= 9820 && n < 10224 ) {
	BLK = 1;
} else
if ( n >= 10224 && n < 11286 ) {
	BLK = 3;
} else
if ( n >= 11286 && n < 11984 ) {
	BLK = 0;
} else
if ( n >= 11984 && n < 15240 ) {
	BLK = 3;
} else
if ( n >= 15240 && n < 15767 ) {
	BLK = 1;
} else
if ( n >= 15767 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
