#ifndef I64SYMVL_AUTO2_H_INCLUDED
#define I64SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I64SYMVL
 Mon Sep 05 09:49:25  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 5779 ) {
	BLK = 0;
} else
if ( n >= 5779 && n < 8008 ) {
	BLK = 1;
} else
if ( n >= 8008 && n < 8276 ) {
	BLK = 2;
} else
if ( n >= 8276 && n < 9754 ) {
	BLK = 1;
} else
if ( n >= 9754 && n < 10267 ) {
	BLK = 2;
} else
if ( n >= 10267 && n < 10537 ) {
	BLK = 6;
} else
if ( n >= 10537 && n < 10947 ) {
	BLK = 1;
} else
if ( n >= 10947 && n < 12118 ) {
	BLK = 6;
} else
if ( n >= 12118 && n < 12572 ) {
	BLK = 1;
} else
if ( n >= 12572 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
