#ifndef KHEMVL_AUTO2_H_INCLUDED
#define KHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVL
 Tue Sep 06 21:11:13  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 7506 ) {
	BLK = 0;
} else
if ( n >= 7506 && n < 11052 ) {
	BLK = 1;
} else
if ( n >= 11052 && n < 11344 ) {
	BLK = 4;
} else
if ( n >= 11344 && n < 13233 ) {
	BLK = 1;
} else
if ( n >= 13233 && n < 13706 ) {
	BLK = 6;
} else
if ( n >= 13706 && n < 16594 ) {
	BLK = 1;
} else
if ( n >= 16594 && n < 17134 ) {
	BLK = 6;
} else
if ( n >= 17134 && n < 19207 ) {
	BLK = 1;
} else
if ( n >= 19207 && n < 20519 ) {
	BLK = 6;
} else
if ( n >= 20519 && n < 21281 ) {
	BLK = 1;
} else
if ( n >= 21281 && n < 22457 ) {
	BLK = 6;
} else
if ( n >= 22457 && n < 23258 ) {
	BLK = 1;
} else
if ( n >= 23258 && n < 24641 ) {
	BLK = 6;
} else
if ( n >= 24641 && n < 27420 ) {
	BLK = 1;
} else
if ( n >= 27420 && n < 29937 ) {
	BLK = 6;
} else
if ( n >= 29937 && n < 32250 ) {
	BLK = 1;
} else
if ( n >= 32250 && n < 37994 ) {
	BLK = 6;
} else
if ( n >= 37994 && n < 38876 ) {
	BLK = 1;
} else
if ( n >= 38876 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
