#ifndef KHEMVU_AUTO2_H_INCLUDED
#define KHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVU
 Tue Sep 06 17:36:33  2022
 Host on a100-0.cloud.r-ccs.riken.jp
 Device is A100-SXM4-80GB
****************************************/-->
// device name
DEVICE= A100-SXM4-80GB
// the number of multi-processors
MP= 108
// compute-compatibility generation
CG= 800
// capacity of the global memory or host memory
MAXmem= 85050404864
// capacity of the work area reserved on the GPU
WORK= 1167360
// for double or cuFloatComplex or int64
MAXDIM= 97952
// for float or cuHalfComplex or int32
MAXDIM2= 138526
// for cuDoubleComplex or DD or int128
MAXDIM3= 69263
// for DD-Complex
MAXDIM4= 48976
// for half or int16
MAXDIM5= 195905
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 800
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 6393 ) {
	BLK = 0;
} else
if ( n >= 6393 && n < 11231 ) {
	BLK = 3;
} else
if ( n >= 11231 && n < 11718 ) {
	BLK = 2;
} else
if ( n >= 11718 && n < 24974 ) {
	BLK = 3;
} else
if ( n >= 24974 && n < 26998 ) {
	BLK = 2;
} else
if ( n >= 26998 && n < 64791 ) {
	BLK = 3;
} else
if ( n >= 64791 && n < 71890 ) {
	BLK = 2;
} else
if ( n >= 71890 && n < 92106 ) {
	BLK = 3;
} else
if ( n >= 92106 && n < 102367 ) {
	BLK = 2;
} else
if ( n >= 102367 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
