#ifndef CHEMV_UPPER_AUTO2_H_INCLUDED
#define CHEMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Fri Mar 18 09:27:52 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 18 ) {
	BLK = 6;
} else
if ( n >= 18 && n < 799 ) {
	BLK = 0;
} else
if ( n >= 799 && n < 801 ) {
	BLK = 4;
} else
if ( n >= 801 && n < 802 ) {
	BLK = 1;
} else
if ( n >= 802 && n < 928 ) {
	BLK = 0;
} else
if ( n >= 928 && n < 941 ) {
	BLK = 1;
} else
if ( n >= 941 && n < 1263 ) {
	BLK = 4;
} else
if ( n >= 1263 && n < 1299 ) {
	BLK = 1;
} else
if ( n >= 1299 && n < 1326 ) {
	BLK = 0;
} else
if ( n >= 1326 && n < 1617 ) {
	BLK = 4;
} else
if ( n >= 1617 && n < 1648 ) {
	BLK = 1;
} else
if ( n >= 1648 && n < 1678 ) {
	BLK = 0;
} else
if ( n >= 1678 && n < 2208 ) {
	BLK = 4;
} else
if ( n >= 2208 && n < 2271 ) {
	BLK = 1;
} else
if ( n >= 2271 && n < 2390 ) {
	BLK = 6;
} else
if ( n >= 2390 && n < 3341 ) {
	BLK = 1;
} else
if ( n >= 3341 && n < 3356 ) {
	BLK = 2;
} else
if ( n >= 3356 && n < 3431 ) {
	BLK = 6;
} else
if ( n >= 3431 && n < 3829 ) {
	BLK = 1;
} else
if ( n >= 3829 && n < 4541 ) {
	BLK = 2;
} else
if ( n >= 4541 && n < 4545 ) {
	BLK = 1;
} else
if ( n >= 4545 && n < 4915 ) {
	BLK = 6;
} else
if ( n >= 4915 && n < 5430 ) {
	BLK = 2;
} else
if ( n >= 5430 && n < 5744 ) {
	BLK = 6;
} else
if ( n >= 5744 && n < 6129 ) {
	BLK = 2;
} else
if ( n >= 6129 && n < 10351 ) {
	BLK = 6;
} else
if ( n >= 10351 && n < 10717 ) {
	BLK = 3;
} else
if ( n >= 10717 && n < 13713 ) {
	BLK = 6;
} else
if ( n >= 13713 && n < 14229 ) {
	BLK = 5;
} else
if ( n >= 14229 && n < 14507 ) {
	BLK = 3;
} else
if ( n >= 14507 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 
#endif
