#ifndef I128SYMV_LOWER_AUTO2_H_INCLUDED
#define I128SYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I128SYMV-L
Fri Mar 18 02:07:34 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 34 ) {
	BLK = 1;
} else
if ( n >= 34 && n < 946 ) {
	BLK = 0;
} else
if ( n >= 946 && n < 1280 ) {
	BLK = 5;
} else
if ( n >= 1280 && n < 1972 ) {
	BLK = 4;
} else
if ( n >= 1972 && n < 3173 ) {
	BLK = 1;
} else
if ( n >= 3173 && n < 4005 ) {
	BLK = 2;
} else
if ( n >= 4005 && n < 4042 ) {
	BLK = 1;
} else
if ( n >= 4042 && n < 4068 ) {
	BLK = 6;
} else
if ( n >= 4068 && n < 4160 ) {
	BLK = 2;
} else
if ( n >= 4160 && n < 5215 ) {
	BLK = 1;
} else
if ( n >= 5215 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 
#endif
