#ifndef I16SYMV_UPPER_AUTO2_H_INCLUDED
#define I16SYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I16SYMV-U
Thu Mar 17 19:50:53 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1424 ) {
	BLK = 0;
} else
if ( n >= 1424 && n < 1429 ) {
	BLK = 2;
} else
if ( n >= 1429 && n < 1438 ) {
	BLK = 1;
} else
if ( n >= 1438 && n < 1631 ) {
	BLK = 0;
} else
if ( n >= 1631 && n < 1987 ) {
	BLK = 2;
} else
if ( n >= 1987 && n < 12729 ) {
	BLK = 1;
} else
if ( n >= 12729 && n < 13033 ) {
	BLK = 3;
} else
if ( n >= 13033 && n < 15802 ) {
	BLK = 1;
} else
if ( n >= 15802 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
