#ifndef I32SYMV_UPPER_AUTO2_H_INCLUDED
#define I32SYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I32SYMV-U
Thu Mar 17 18:23:59 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1443 ) {
	BLK = 0;
} else
if ( n >= 1443 && n < 2210 ) {
	BLK = 1;
} else
if ( n >= 2210 && n < 4025 ) {
	BLK = 2;
} else
if ( n >= 4025 && n < 4032 ) {
	BLK = 4;
} else
if ( n >= 4032 && n < 4077 ) {
	BLK = 1;
} else
if ( n >= 4077 && n < 4340 ) {
	BLK = 2;
} else
if ( n >= 4340 && n < 4378 ) {
	BLK = 0;
} else
if ( n >= 4378 && n < 4380 ) {
	BLK = 3;
} else
if ( n >= 4380 && n < 6251 ) {
	BLK = 2;
} else
if ( n >= 6251 && n < 7050 ) {
	BLK = 3;
} else
if ( n >= 7050 && n < 8278 ) {
	BLK = 2;
} else
if ( n >= 8278 && n < 8670 ) {
	BLK = 3;
} else
if ( n >= 8670 && n < 9039 ) {
	BLK = 2;
} else
if ( n >= 9039 && n < 11585 ) {
	BLK = 3;
} else
if ( n >= 11585 && n < 12920 ) {
	BLK = 2;
} else
if ( n >= 12920 && n < 13496 ) {
	BLK = 3;
} else
if ( n >= 13496 && n < 13813 ) {
	BLK = 2;
} else
if ( n >= 13813 && n < 15113 ) {
	BLK = 3;
} else
if ( n >= 15113 && n < 15706 ) {
	BLK = 2;
} else
if ( n >= 15706 && n < 16376 ) {
	BLK = 3;
} else
if ( n >= 16376 && n < 16885 ) {
	BLK = 2;
} else
if ( n >= 16885 && n < 30216 ) {
	BLK = 3;
} else
if ( n >= 30216 && n < 30533 ) {
	BLK = 6;
} else
if ( n >= 30533 && n < 40024 ) {
	BLK = 3;
} else
if ( n >= 40024 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 
#endif
