#ifndef I64SYMV_UPPER_AUTO2_H_INCLUDED
#define I64SYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I64SYMV-U
Thu Mar 17 16:59:39 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 22 ) {
	BLK = 4;
} else
if ( n >= 22 && n < 1679 ) {
	BLK = 0;
} else
if ( n >= 1679 && n < 2014 ) {
	BLK = 1;
} else
if ( n >= 2014 && n < 2146 ) {
	BLK = 3;
} else
if ( n >= 2146 && n < 2217 ) {
	BLK = 1;
} else
if ( n >= 2217 && n < 2336 ) {
	BLK = 2;
} else
if ( n >= 2336 && n < 2546 ) {
	BLK = 3;
} else
if ( n >= 2546 && n < 2832 ) {
	BLK = 1;
} else
if ( n >= 2832 && n < 2851 ) {
	BLK = 3;
} else
if ( n >= 2851 && n < 6108 ) {
	BLK = 2;
} else
if ( n >= 6108 && n < 6408 ) {
	BLK = 3;
} else
if ( n >= 6408 && n < 13307 ) {
	BLK = 2;
} else
if ( n >= 13307 && n < 13896 ) {
	BLK = 3;
} else
if ( n >= 13896 && n < 14090 ) {
	BLK = 5;
} else
if ( n >= 14090 && n < 15328 ) {
	BLK = 2;
} else
if ( n >= 15328 && n < 15846 ) {
	BLK = 3;
} else
if ( n >= 15846 && n < 21390 ) {
	BLK = 2;
} else
if ( n >= 21390 && n < 22523 ) {
	BLK = 3;
} else
if ( n >= 22523 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 
#endif
