#ifndef SSYMV_UPPER_AUTO2_H_INCLUDED
#define SSYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-U
Thu Mar 17 12:53:19 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1225 ) {
	BLK = 0;
} else
if ( n >= 1225 && n < 1228 ) {
	BLK = 4;
} else
if ( n >= 1228 && n < 1249 ) {
	BLK = 1;
} else
if ( n >= 1249 && n < 1285 ) {
	BLK = 2;
} else
if ( n >= 1285 && n < 1318 ) {
	BLK = 0;
} else
if ( n >= 1318 && n < 1409 ) {
	BLK = 4;
} else
if ( n >= 1409 && n < 1443 ) {
	BLK = 0;
} else
if ( n >= 1443 && n < 1493 ) {
	BLK = 2;
} else
if ( n >= 1493 && n < 1496 ) {
	BLK = 1;
} else
if ( n >= 1496 && n < 1504 ) {
	BLK = 3;
} else
if ( n >= 1504 && n < 2312 ) {
	BLK = 4;
} else
if ( n >= 2312 && n < 3355 ) {
	BLK = 1;
} else
if ( n >= 3355 && n < 3382 ) {
	BLK = 4;
} else
if ( n >= 3382 && n < 4162 ) {
	BLK = 3;
} else
if ( n >= 4162 && n < 4338 ) {
	BLK = 1;
} else
if ( n >= 4338 && n < 4380 ) {
	BLK = 0;
} else
if ( n >= 4380 && n < 8350 ) {
	BLK = 3;
} else
if ( n >= 8350 && n < 8620 ) {
	BLK = 5;
} else
if ( n >= 8620 && n < 10344 ) {
	BLK = 3;
} else
if ( n >= 10344 && n < 10754 ) {
	BLK = 5;
} else
if ( n >= 10754 && n < 15707 ) {
	BLK = 3;
} else
if ( n >= 15707 && n < 16194 ) {
	BLK = 5;
} else
if ( n >= 16194 && n < 17311 ) {
	BLK = 3;
} else
if ( n >= 17311 && n < 17639 ) {
	BLK = 5;
} else
if ( n >= 17639 && n < 18694 ) {
	BLK = 3;
} else
if ( n >= 18694 && n < 19460 ) {
	BLK = 5;
} else
if ( n >= 19460 && n < 23853 ) {
	BLK = 3;
} else
if ( n >= 23853 && n < 24728 ) {
	BLK = 5;
} else
if ( n >= 24728 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
