#ifndef ZHEMV_LOWER_AUTO2_H_INCLUDED
#define ZHEMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-L
Fri Mar 18 13:33:06 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 854 ) {
	BLK = 0;
} else
if ( n >= 854 && n < 856 ) {
	BLK = 2;
} else
if ( n >= 856 && n < 880 ) {
	BLK = 1;
} else
if ( n >= 880 && n < 913 ) {
	BLK = 3;
} else
if ( n >= 913 && n < 919 ) {
	BLK = 1;
} else
if ( n >= 919 && n < 925 ) {
	BLK = 0;
} else
if ( n >= 925 && n < 934 ) {
	BLK = 2;
} else
if ( n >= 934 && n < 975 ) {
	BLK = 1;
} else
if ( n >= 975 && n < 979 ) {
	BLK = 3;
} else
if ( n >= 979 && n < 996 ) {
	BLK = 2;
} else
if ( n >= 996 && n < 1063 ) {
	BLK = 1;
} else
if ( n >= 1063 && n < 1611 ) {
	BLK = 2;
} else
if ( n >= 1611 && n < 1838 ) {
	BLK = 3;
} else
if ( n >= 1838 && n < 1875 ) {
	BLK = 2;
} else
if ( n >= 1875 && n < 2109 ) {
	BLK = 1;
} else
if ( n >= 2109 && n < 2245 ) {
	BLK = 2;
} else
if ( n >= 2245 && n < 2557 ) {
	BLK = 3;
} else
if ( n >= 2557 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 
#endif
