#ifndef ZHEMV_UPPER_AUTO2_H_INCLUDED
#define ZHEMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-U
Fri Mar 18 08:06:29 JST 2022
Host on newton.r-ccs27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8511574016
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30987
// for float or cuHalfComplex or int32
MAXDIM2= 43822
// for cuDoubleComplex or DD or int128
MAXDIM3= 21911
// for DD-Complex
MAXDIM4= 15493
// for half or int16
MAXDIM5= 61974
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 878 ) {
	BLK = 0;
} else
if ( n >= 878 && n < 880 ) {
	BLK = 1;
} else
if ( n >= 880 && n < 881 ) {
	BLK = 2;
} else
if ( n >= 881 && n < 985 ) {
	BLK = 0;
} else
if ( n >= 985 && n < 1032 ) {
	BLK = 1;
} else
if ( n >= 1032 && n < 1535 ) {
	BLK = 2;
} else
if ( n >= 1535 && n < 1832 ) {
	BLK = 1;
} else
if ( n >= 1832 && n < 1904 ) {
	BLK = 3;
} else
if ( n >= 1904 && n < 2592 ) {
	BLK = 2;
} else
if ( n >= 2592 && n < 2595 ) {
	BLK = 3;
} else
if ( n >= 2595 && n < 2886 ) {
	BLK = 1;
} else
if ( n >= 2886 && n < 2909 ) {
	BLK = 3;
} else
if ( n >= 2909 && n < 2941 ) {
	BLK = 2;
} else
if ( n >= 2941 && n < 3000 ) {
	BLK = 1;
} else
if ( n >= 3000 && n < 3112 ) {
	BLK = 3;
} else
if ( n >= 3112 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 
#endif
