#ifndef CHEMVU_AUTO2_H_INCLUDED
#define CHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for CHEMVU
 Tue Sep 06 12:23:59  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1047 ) {
	BLK = 0;
} else
if ( n >= 1047 && n < 1053 ) {
	BLK = 4;
} else
if ( n >= 1053 && n < 1155 ) {
	BLK = 2;
} else
if ( n >= 1155 && n < 1170 ) {
	BLK = 3;
} else
if ( n >= 1170 && n < 1295 ) {
	BLK = 4;
} else
if ( n >= 1295 && n < 1330 ) {
	BLK = 0;
} else
if ( n >= 1330 && n < 1623 ) {
	BLK = 2;
} else
if ( n >= 1623 && n < 1864 ) {
	BLK = 4;
} else
if ( n >= 1864 && n < 1954 ) {
	BLK = 1;
} else
if ( n >= 1954 && n < 1968 ) {
	BLK = 3;
} else
if ( n >= 1968 && n < 2859 ) {
	BLK = 4;
} else
if ( n >= 2859 && n < 2880 ) {
	BLK = 3;
} else
if ( n >= 2880 && n < 12095 ) {
	BLK = 1;
} else
if ( n >= 12095 && n < 12380 ) {
	BLK = 4;
} else
if ( n >= 12380 && n < 13327 ) {
	BLK = 1;
} else
if ( n >= 13327 && n < 13767 ) {
	BLK = 4;
} else
if ( n >= 13767 && n < 14124 ) {
	BLK = 3;
} else
if ( n >= 14124 && n < 16428 ) {
	BLK = 1;
} else
if ( n >= 16428 && n < 16869 ) {
	BLK = 4;
} else
if ( n >= 16869 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
