#ifndef I16SYMVU_AUTO2_H_INCLUDED
#define I16SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVU
 Mon Sep 05 21:56:57  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1668 ) {
	BLK = 0;
} else
if ( n >= 1668 && n < 14031 ) {
	BLK = 1;
} else
if ( n >= 14031 && n < 14314 ) {
	BLK = 4;
} else
if ( n >= 14314 && n < 14947 ) {
	BLK = 1;
} else
if ( n >= 14947 && n < 17149 ) {
	BLK = 4;
} else
if ( n >= 17149 && n < 18560 ) {
	BLK = 1;
} else
if ( n >= 18560 && n < 24684 ) {
	BLK = 4;
} else
if ( n >= 24684 && n < 25008 ) {
	BLK = 1;
} else
if ( n >= 25008 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
