#ifndef I64SYMVL_AUTO2_H_INCLUDED
#define I64SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I64SYMVL
 Tue Sep 06 05:59:56  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1016 ) {
	BLK = 0;
} else
if ( n >= 1016 && n < 1287 ) {
	BLK = 2;
} else
if ( n >= 1287 && n < 1297 ) {
	BLK = 1;
} else
if ( n >= 1297 && n < 1329 ) {
	BLK = 0;
} else
if ( n >= 1329 && n < 1529 ) {
	BLK = 2;
} else
if ( n >= 1529 && n < 1624 ) {
	BLK = 1;
} else
if ( n >= 1624 && n < 1646 ) {
	BLK = 2;
} else
if ( n >= 1646 && n < 1681 ) {
	BLK = 0;
} else
if ( n >= 1681 && n < 10033 ) {
	BLK = 1;
} else
if ( n >= 10033 && n < 10641 ) {
	BLK = 3;
} else
if ( n >= 10641 && n < 13382 ) {
	BLK = 1;
} else
if ( n >= 13382 && n < 14459 ) {
	BLK = 3;
} else
if ( n >= 14459 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
