#ifndef SSYMVU_AUTO2_H_INCLUDED
#define SSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for SSYMVU
 Mon Sep 05 14:38:57  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1446 ) {
	BLK = 0;
} else
if ( n >= 1446 && n < 5712 ) {
	BLK = 1;
} else
if ( n >= 5712 && n < 5797 ) {
	BLK = 3;
} else
if ( n >= 5797 && n < 6472 ) {
	BLK = 4;
} else
if ( n >= 6472 && n < 6973 ) {
	BLK = 1;
} else
if ( n >= 6973 && n < 7155 ) {
	BLK = 4;
} else
if ( n >= 7155 && n < 7623 ) {
	BLK = 3;
} else
if ( n >= 7623 && n < 7890 ) {
	BLK = 4;
} else
if ( n >= 7890 && n < 8168 ) {
	BLK = 3;
} else
if ( n >= 8168 && n < 8260 ) {
	BLK = 1;
} else
if ( n >= 8260 && n < 8614 ) {
	BLK = 4;
} else
if ( n >= 8614 && n < 8916 ) {
	BLK = 3;
} else
if ( n >= 8916 && n < 10841 ) {
	BLK = 4;
} else
if ( n >= 10841 && n < 12298 ) {
	BLK = 3;
} else
if ( n >= 12298 && n < 15204 ) {
	BLK = 4;
} else
if ( n >= 15204 && n < 15549 ) {
	BLK = 3;
} else
if ( n >= 15549 && n < 23223 ) {
	BLK = 4;
} else
if ( n >= 23223 && n < 23926 ) {
	BLK = 3;
} else
if ( n >= 23926 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
