#ifndef ZHEMVU_AUTO2_H_INCLUDED
#define ZHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for ZHEMVU
 Tue Sep 06 10:57:19  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 40 ) {
	BLK = 0;
} else
if ( n >= 40 && n < 1019 ) {
	BLK = 0;
} else
if ( n >= 1019 && n < 1041 ) {
	BLK = 3;
} else
if ( n >= 1041 && n < 1049 ) {
	BLK = 4;
} else
if ( n >= 1049 && n < 1051 ) {
	BLK = 0;
} else
if ( n >= 1051 && n < 1493 ) {
	BLK = 3;
} else
if ( n >= 1493 && n < 1511 ) {
	BLK = 1;
} else
if ( n >= 1511 && n < 1566 ) {
	BLK = 4;
} else
if ( n >= 1566 && n < 1573 ) {
	BLK = 3;
} else
if ( n >= 1573 && n < 1590 ) {
	BLK = 1;
} else
if ( n >= 1590 && n < 1765 ) {
	BLK = 4;
} else
if ( n >= 1765 && n < 1798 ) {
	BLK = 3;
} else
if ( n >= 1798 && n < 1918 ) {
	BLK = 1;
} else
if ( n >= 1918 && n < 2375 ) {
	BLK = 4;
} else
if ( n >= 2375 && n < 2641 ) {
	BLK = 3;
} else
if ( n >= 2641 && n < 2701 ) {
	BLK = 4;
} else
if ( n >= 2701 && n < 2714 ) {
	BLK = 1;
} else
if ( n >= 2714 && n < 2762 ) {
	BLK = 3;
} else
if ( n >= 2762 && n < 2801 ) {
	BLK = 4;
} else
if ( n >= 2801 && n < 11305 ) {
	BLK = 1;
} else
if ( n >= 11305 && n < 11606 ) {
	BLK = 3;
} else
if ( n >= 11606 && n < 13469 ) {
	BLK = 1;
} else
if ( n >= 13469 && n < 14213 ) {
	BLK = 3;
} else
if ( n >= 14213 && n < 18376 ) {
	BLK = 1;
} else
if ( n >= 18376 && n < 18633 ) {
	BLK = 3;
} else
if ( n >= 18633 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
