#ifndef CHEMVU_AUTO2_H_INCLUDED
#define CHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for CHEMVU
 Thu Oct 20 11:21:18  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1134 ) {
	BLK = 0;
} else
if ( n >= 1134 && n < 1467 ) {
	BLK = 2;
} else
if ( n >= 1467 && n < 1480 ) {
	BLK = 3;
} else
if ( n >= 1480 && n < 1579 ) {
	BLK = 1;
} else
if ( n >= 1579 && n < 1643 ) {
	BLK = 2;
} else
if ( n >= 1643 && n < 1683 ) {
	BLK = 0;
} else
if ( n >= 1683 && n < 1706 ) {
	BLK = 1;
} else
if ( n >= 1706 && n < 1707 ) {
	BLK = 3;
} else
if ( n >= 1707 && n < 1744 ) {
	BLK = 2;
} else
if ( n >= 1744 && n < 7852 ) {
	BLK = 1;
} else
if ( n >= 7852 && n < 9193 ) {
	BLK = 5;
} else
if ( n >= 9193 && n < 10243 ) {
	BLK = 1;
} else
if ( n >= 10243 && n < 10413 ) {
	BLK = 5;
} else
if ( n >= 10413 && n < 10758 ) {
	BLK = 4;
} else
if ( n >= 10758 && n < 12217 ) {
	BLK = 5;
} else
if ( n >= 12217 && n < 12335 ) {
	BLK = 1;
} else
if ( n >= 12335 && n < 12689 ) {
	BLK = 4;
} else
if ( n >= 12689 && n < 12779 ) {
	BLK = 1;
} else
if ( n >= 12779 && n < 13352 ) {
	BLK = 5;
} else
if ( n >= 13352 && n < 14166 ) {
	BLK = 1;
} else
if ( n >= 14166 && n < 14779 ) {
	BLK = 4;
} else
if ( n >= 14779 && n < 14790 ) {
	BLK = 1;
} else
if ( n >= 14790 && n < 15191 ) {
	BLK = 5;
} else
if ( n >= 15191 && n < 15755 ) {
	BLK = 1;
} else
if ( n >= 15755 && n < 16428 ) {
	BLK = 5;
} else
if ( n >= 16428 && n < 16959 ) {
	BLK = 1;
} else
if ( n >= 16959 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
