#ifndef DSYMVL_AUTO2_H_INCLUDED
#define DSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for DSYMVL
 Wed Oct 19 23:25:43  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1022 ) {
	BLK = 0;
} else
if ( n >= 1022 && n < 1069 ) {
	BLK = 3;
} else
if ( n >= 1069 && n < 1156 ) {
	BLK = 4;
} else
if ( n >= 1156 && n < 1247 ) {
	BLK = 3;
} else
if ( n >= 1247 && n < 1256 ) {
	BLK = 1;
} else
if ( n >= 1256 && n < 1287 ) {
	BLK = 4;
} else
if ( n >= 1287 && n < 1295 ) {
	BLK = 6;
} else
if ( n >= 1295 && n < 1329 ) {
	BLK = 0;
} else
if ( n >= 1329 && n < 1376 ) {
	BLK = 1;
} else
if ( n >= 1376 && n < 1384 ) {
	BLK = 2;
} else
if ( n >= 1384 && n < 1392 ) {
	BLK = 3;
} else
if ( n >= 1392 && n < 1420 ) {
	BLK = 4;
} else
if ( n >= 1420 && n < 1433 ) {
	BLK = 1;
} else
if ( n >= 1433 && n < 1636 ) {
	BLK = 2;
} else
if ( n >= 1636 && n < 1645 ) {
	BLK = 1;
} else
if ( n >= 1645 && n < 1681 ) {
	BLK = 0;
} else
if ( n >= 1681 && n < 2248 ) {
	BLK = 2;
} else
if ( n >= 2248 && n < 2295 ) {
	BLK = 4;
} else
if ( n >= 2295 && n < 3273 ) {
	BLK = 1;
} else
if ( n >= 3273 && n < 13792 ) {
	BLK = 2;
} else
if ( n >= 13792 && n < 14225 ) {
	BLK = 5;
} else
if ( n >= 14225 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
