#ifndef I128SYMVU_AUTO2_H_INCLUDED
#define I128SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I128SYMVU
 Wed Oct 19 16:37:52  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 926 ) {
	BLK = 0;
} else
if ( n >= 926 && n < 1471 ) {
	BLK = 3;
} else
if ( n >= 1471 && n < 1529 ) {
	BLK = 2;
} else
if ( n >= 1529 && n < 12740 ) {
	BLK = 1;
} else
if ( n >= 12740 && n < 13010 ) {
	BLK = 2;
} else
if ( n >= 13010 && n < 15236 ) {
	BLK = 1;
} else
if ( n >= 15236 && n < 15762 ) {
	BLK = 2;
} else
if ( n >= 15762 && n < 17508 ) {
	BLK = 1;
} else
if ( n >= 17508 && n < 17921 ) {
	BLK = 2;
} else
if ( n >= 17921 && n < 19438 ) {
	BLK = 1;
} else
if ( n >= 19438 && n < 20114 ) {
	BLK = 2;
} else
if ( n >= 20114 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
