#ifndef I16SYMVU_AUTO2_H_INCLUDED
#define I16SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVU
 Wed Oct 19 21:01:29  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1646 ) {
	BLK = 0;
} else
if ( n >= 1646 && n < 1666 ) {
	BLK = 2;
} else
if ( n >= 1666 && n < 16171 ) {
	BLK = 1;
} else
if ( n >= 16171 && n < 17202 ) {
	BLK = 4;
} else
if ( n >= 17202 && n < 20210 ) {
	BLK = 1;
} else
if ( n >= 20210 && n < 20810 ) {
	BLK = 4;
} else
if ( n >= 20810 && n < 21607 ) {
	BLK = 1;
} else
if ( n >= 21607 && n < 22590 ) {
	BLK = 4;
} else
if ( n >= 22590 && n < 23659 ) {
	BLK = 1;
} else
if ( n >= 23659 && n < 27084 ) {
	BLK = 4;
} else
if ( n >= 27084 && n < 27382 ) {
	BLK = 1;
} else
if ( n >= 27382 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
