#ifndef I32SYMVL_AUTO2_H_INCLUDED
#define I32SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVL
 Thu Oct 20 06:18:55  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1194 ) {
	BLK = 0;
} else
if ( n >= 1194 && n < 1202 ) {
	BLK = 2;
} else
if ( n >= 1202 && n < 1307 ) {
	BLK = 3;
} else
if ( n >= 1307 && n < 1322 ) {
	BLK = 2;
} else
if ( n >= 1322 && n < 1448 ) {
	BLK = 0;
} else
if ( n >= 1448 && n < 2205 ) {
	BLK = 1;
} else
if ( n >= 2205 && n < 2233 ) {
	BLK = 3;
} else
if ( n >= 2233 && n < 2249 ) {
	BLK = 2;
} else
if ( n >= 2249 && n < 10350 ) {
	BLK = 1;
} else
if ( n >= 10350 && n < 10759 ) {
	BLK = 4;
} else
if ( n >= 10759 && n < 12351 ) {
	BLK = 1;
} else
if ( n >= 12351 && n < 12694 ) {
	BLK = 4;
} else
if ( n >= 12694 && n < 13159 ) {
	BLK = 1;
} else
if ( n >= 13159 && n < 13482 ) {
	BLK = 4;
} else
if ( n >= 13482 && n < 15927 ) {
	BLK = 1;
} else
if ( n >= 15927 && n < 16198 ) {
	BLK = 4;
} else
if ( n >= 16198 && n < 18514 ) {
	BLK = 1;
} else
if ( n >= 18514 && n < 19638 ) {
	BLK = 4;
} else
if ( n >= 19638 && n < 21731 ) {
	BLK = 1;
} else
if ( n >= 21731 && n < 22541 ) {
	BLK = 4;
} else
if ( n >= 22541 && n < 24813 ) {
	BLK = 1;
} else
if ( n >= 24813 && n < 25639 ) {
	BLK = 4;
} else
if ( n >= 25639 && n < 27855 ) {
	BLK = 1;
} else
if ( n >= 27855 && n < 29603 ) {
	BLK = 4;
} else
if ( n >= 29603 && n < 31445 ) {
	BLK = 5;
} else
if ( n >= 31445 && n < 37614 ) {
	BLK = 1;
} else
if ( n >= 37614 && n < 39193 ) {
	BLK = 4;
} else
if ( n >= 39193 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
