#ifndef I64SYMVU_AUTO2_H_INCLUDED
#define I64SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I64SYMVU
 Wed Oct 19 17:54:50  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1682 ) {
	BLK = 0;
} else
if ( n >= 1682 && n < 3491 ) {
	BLK = 1;
} else
if ( n >= 3491 && n < 3760 ) {
	BLK = 3;
} else
if ( n >= 3760 && n < 4325 ) {
	BLK = 2;
} else
if ( n >= 4325 && n < 4586 ) {
	BLK = 1;
} else
if ( n >= 4586 && n < 5318 ) {
	BLK = 2;
} else
if ( n >= 5318 && n < 5330 ) {
	BLK = 1;
} else
if ( n >= 5330 && n < 8221 ) {
	BLK = 3;
} else
if ( n >= 8221 && n < 8598 ) {
	BLK = 2;
} else
if ( n >= 8598 && n < 10372 ) {
	BLK = 3;
} else
if ( n >= 10372 && n < 10739 ) {
	BLK = 2;
} else
if ( n >= 10739 && n < 12903 ) {
	BLK = 3;
} else
if ( n >= 12903 && n < 13215 ) {
	BLK = 2;
} else
if ( n >= 13215 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 

#endif
