#ifndef ZHEMVU_AUTO2_H_INCLUDED
#define ZHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for ZHEMVU
 Thu Oct 20 09:55:26  2022
 Host on newton.r-ccs27.riken.jp
 Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory or host memory
MAXmem= 8510459904
// capacity of the work area reserved on the GPU
WORK= 372736
// for double or cuFloatComplex or int64
MAXDIM= 30985
// for float or cuHalfComplex or int32
MAXDIM2= 43819
// for cuDoubleComplex or DD or int128
MAXDIM3= 21909
// for DD-Complex
MAXDIM4= 15492
// for half or int16
MAXDIM5= 61970
// cuda version
CUDA= 11080
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1043 ) {
	BLK = 0;
} else
if ( n >= 1043 && n < 1110 ) {
	BLK = 1;
} else
if ( n >= 1110 && n < 1348 ) {
	BLK = 3;
} else
if ( n >= 1348 && n < 1376 ) {
	BLK = 2;
} else
if ( n >= 1376 && n < 1429 ) {
	BLK = 4;
} else
if ( n >= 1429 && n < 1481 ) {
	BLK = 3;
} else
if ( n >= 1481 && n < 1513 ) {
	BLK = 2;
} else
if ( n >= 1513 && n < 1596 ) {
	BLK = 4;
} else
if ( n >= 1596 && n < 1698 ) {
	BLK = 3;
} else
if ( n >= 1698 && n < 1729 ) {
	BLK = 1;
} else
if ( n >= 1729 && n < 1767 ) {
	BLK = 4;
} else
if ( n >= 1767 && n < 1796 ) {
	BLK = 2;
} else
if ( n >= 1796 && n < 1834 ) {
	BLK = 3;
} else
if ( n >= 1834 && n < 2245 ) {
	BLK = 4;
} else
if ( n >= 2245 && n < 3656 ) {
	BLK = 3;
} else
if ( n >= 3656 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
