#ifndef DSYMV_UPPER_AUTO2_H_INCLUDED
#define DSYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-U
Fri Mar 18 20:09:46 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2136 ) {
	BLK = 0;
} else
if ( n >= 2136 && n < 2528 ) {
	BLK = 2;
} else
if ( n >= 2528 && n < 3029 ) {
	BLK = 4;
} else
if ( n >= 3029 && n < 3099 ) {
	BLK = 2;
} else
if ( n >= 3099 && n < 3529 ) {
	BLK = 1;
} else
if ( n >= 3529 && n < 3574 ) {
	BLK = 2;
} else
if ( n >= 3574 && n < 3659 ) {
	BLK = 3;
} else
if ( n >= 3659 && n < 3723 ) {
	BLK = 1;
} else
if ( n >= 3723 && n < 3776 ) {
	BLK = 2;
} else
if ( n >= 3776 && n < 4626 ) {
	BLK = 3;
} else
if ( n >= 4626 && n < 4922 ) {
	BLK = 1;
} else
if ( n >= 4922 && n < 5202 ) {
	BLK = 2;
} else
if ( n >= 5202 && n < 5260 ) {
	BLK = 3;
} else
if ( n >= 5260 && n < 7035 ) {
	BLK = 1;
} else
if ( n >= 7035 && n < 8169 ) {
	BLK = 2;
} else
if ( n >= 8169 && n < 9829 ) {
	BLK = 1;
} else
if ( n >= 9829 && n < 10217 ) {
	BLK = 2;
} else
if ( n >= 10217 && n < 11351 ) {
	BLK = 1;
} else
if ( n >= 11351 && n < 11652 ) {
	BLK = 2;
} else
if ( n >= 11652 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 
#endif
