#ifndef I32SYMV_LOWER_AUTO2_H_INCLUDED
#define I32SYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I32SYMV-L
Sat Mar 19 14:41:44 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2346 ) {
	BLK = 0;
} else
if ( n >= 2346 && n < 2355 ) {
	BLK = 3;
} else
if ( n >= 2355 && n < 2388 ) {
	BLK = 4;
} else
if ( n >= 2388 && n < 2399 ) {
	BLK = 1;
} else
if ( n >= 2399 && n < 2497 ) {
	BLK = 0;
} else
if ( n >= 2497 && n < 2553 ) {
	BLK = 4;
} else
if ( n >= 2553 && n < 2565 ) {
	BLK = 1;
} else
if ( n >= 2565 && n < 2875 ) {
	BLK = 3;
} else
if ( n >= 2875 && n < 3079 ) {
	BLK = 1;
} else
if ( n >= 3079 && n < 3094 ) {
	BLK = 4;
} else
if ( n >= 3094 && n < 3271 ) {
	BLK = 3;
} else
if ( n >= 3271 && n < 3567 ) {
	BLK = 4;
} else
if ( n >= 3567 && n < 3650 ) {
	BLK = 2;
} else
if ( n >= 3650 && n < 4054 ) {
	BLK = 1;
} else
if ( n >= 4054 && n < 4076 ) {
	BLK = 4;
} else
if ( n >= 4076 && n < 4165 ) {
	BLK = 2;
} else
if ( n >= 4165 && n < 14849 ) {
	BLK = 1;
} else
if ( n >= 14849 && n < 15147 ) {
	BLK = 4;
} else
if ( n >= 15147 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 
#endif
