#ifndef I64SYMV_UPPER_AUTO2_H_INCLUDED
#define I64SYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I64SYMV-U
Sat Mar 19 02:10:53 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1659 ) {
	BLK = 0;
} else
if ( n >= 1659 && n < 3265 ) {
	BLK = 3;
} else
if ( n >= 3265 && n < 3386 ) {
	BLK = 1;
} else
if ( n >= 3386 && n < 4695 ) {
	BLK = 2;
} else
if ( n >= 4695 && n < 4733 ) {
	BLK = 1;
} else
if ( n >= 4733 && n < 4869 ) {
	BLK = 3;
} else
if ( n >= 4869 && n < 8330 ) {
	BLK = 2;
} else
if ( n >= 8330 && n < 8704 ) {
	BLK = 3;
} else
if ( n >= 8704 && n < 20882 ) {
	BLK = 2;
} else
if ( n >= 20882 && n < 21677 ) {
	BLK = 3;
} else
if ( n >= 21677 && n < 25848 ) {
	BLK = 2;
} else
if ( n >= 25848 && n < 26827 ) {
	BLK = 3;
} else
if ( n >= 26827 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 
#endif
