#ifndef ZHEMV_LOWER_AUTO2_H_INCLUDED
#define ZHEMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-L
Sun Mar 20 00:24:01 JST 2022
Host on cauchy.r-ccs27.riken.jp
Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 16 ) {
	BLK = 2;
} else
if ( n >= 16 && n < 2115 ) {
	BLK = 0;
} else
if ( n >= 2115 && n < 5249 ) {
	BLK = 1;
} else
if ( n >= 5249 && n < 7245 ) {
	BLK = 2;
} else
if ( n >= 7245 && n < 9039 ) {
	BLK = 3;
} else
if ( n >= 9039 && n < 10290 ) {
	BLK = 5;
} else
if ( n >= 10290 && n < 14726 ) {
	BLK = 2;
} else
if ( n >= 14726 && n < 15510 ) {
	BLK = 3;
} else
if ( n >= 15510 && n < 15965 ) {
	BLK = 2;
} else
if ( n >= 15965 && n < 17007 ) {
	BLK = 3;
} else
if ( n >= 17007 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 
#endif
