#ifndef DSYMVL_AUTO2_H_INCLUDED
#define DSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for DSYMVL
 Thu Sep 08 12:27:42  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2136 ) {
	BLK = 0;
} else
if ( n >= 2136 && n < 4053 ) {
	BLK = 1;
} else
if ( n >= 4053 && n < 4067 ) {
	BLK = 3;
} else
if ( n >= 4067 && n < 4958 ) {
	BLK = 4;
} else
if ( n >= 4958 && n < 5007 ) {
	BLK = 5;
} else
if ( n >= 5007 && n < 11587 ) {
	BLK = 1;
} else
if ( n >= 11587 && n < 11986 ) {
	BLK = 5;
} else
if ( n >= 11986 && n < 12285 ) {
	BLK = 1;
} else
if ( n >= 12285 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
