#ifndef HSYMVL_AUTO2_H_INCLUDED
#define HSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for HSYMVL
 Thu Sep 08 15:09:56  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3637 ) {
	BLK = 0;
} else
if ( n >= 3637 && n < 3785 ) {
	BLK = 3;
} else
if ( n >= 3785 && n < 8914 ) {
	BLK = 1;
} else
if ( n >= 8914 && n < 9299 ) {
	BLK = 3;
} else
if ( n >= 9299 && n < 16056 ) {
	BLK = 1;
} else
if ( n >= 16056 && n < 16841 ) {
	BLK = 3;
} else
if ( n >= 16841 && n < 23781 ) {
	BLK = 1;
} else
if ( n >= 23781 && n < 24194 ) {
	BLK = 3;
} else
if ( n >= 24194 && n < 42393 ) {
	BLK = 1;
} else
if ( n >= 42393 && n < 42739 ) {
	BLK = 6;
} else
if ( n >= 42739 && n < 51799 ) {
	BLK = 1;
} else
if ( n >= 51799 && n < 58387 ) {
	BLK = 6;
} else
if ( n >= 58387 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
