#ifndef SSYMVL_AUTO2_H_INCLUDED
#define SSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for SSYMVL
 Thu Sep 08 13:48:31  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2532 ) {
	BLK = 0;
} else
if ( n >= 2532 && n < 3322 ) {
	BLK = 1;
} else
if ( n >= 3322 && n < 3401 ) {
	BLK = 2;
} else
if ( n >= 3401 && n < 3445 ) {
	BLK = 3;
} else
if ( n >= 3445 && n < 3513 ) {
	BLK = 1;
} else
if ( n >= 3513 && n < 3660 ) {
	BLK = 2;
} else
if ( n >= 3660 && n < 3726 ) {
	BLK = 3;
} else
if ( n >= 3726 && n < 3777 ) {
	BLK = 1;
} else
if ( n >= 3777 && n < 4399 ) {
	BLK = 2;
} else
if ( n >= 4399 && n < 5001 ) {
	BLK = 3;
} else
if ( n >= 5001 && n < 5049 ) {
	BLK = 1;
} else
if ( n >= 5049 && n < 5210 ) {
	BLK = 2;
} else
if ( n >= 5210 && n < 49248 ) {
	BLK = 3;
} else
if ( n >= 49248 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
