#ifndef UHEMVL_AUTO2_H_INCLUDED
#define UHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for UHEMVL
 Fri Sep 09 04:21:53  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1644 ) {
	BLK = 0;
} else
if ( n >= 1644 && n < 2289 ) {
	BLK = 1;
} else
if ( n >= 2289 && n < 2694 ) {
	BLK = 3;
} else
if ( n >= 2694 && n < 2777 ) {
	BLK = 1;
} else
if ( n >= 2777 && n < 4756 ) {
	BLK = 0;
} else
if ( n >= 4756 && n < 5773 ) {
	BLK = 4;
} else
if ( n >= 5773 && n < 6831 ) {
	BLK = 0;
} else
if ( n >= 6831 && n < 7768 ) {
	BLK = 6;
} else
if ( n >= 7768 && n < 9099 ) {
	BLK = 5;
} else
if ( n >= 9099 && n < 9569 ) {
	BLK = 0;
} else
if ( n >= 9569 && n < 11329 ) {
	BLK = 4;
} else
if ( n >= 11329 && n < 2147483647 ) {
	BLK = 0;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 0;
} 

#endif
