#ifndef ZHEMVU_AUTO2_H_INCLUDED
#define ZHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for ZHEMVU
 Thu Sep 08 23:37:59  2022
 Host on cauchy.r-ccs27.riken.jp
 Device is GeForce-RTX-2080-Ti
****************************************/-->
// device name
DEVICE= GeForce-RTX-2080-Ti
// the number of multi-processors
MP= 68
// compute-compatibility generation
CG= 750
// capacity of the global memory or host memory
MAXmem= 11554025472
// capacity of the work area reserved on the GPU
WORK= 430080
// for double or cuFloatComplex or int64
MAXDIM= 36103
// for float or cuHalfComplex or int32
MAXDIM2= 51057
// for cuDoubleComplex or DD or int128
MAXDIM3= 25528
// for DD-Complex
MAXDIM4= 18051
// for half or int16
MAXDIM5= 72206
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 750
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 22 ) {
	BLK = 0;
} else
if ( n >= 22 && n < 2423 ) {
	BLK = 0;
} else
if ( n >= 2423 && n < 5216 ) {
	BLK = 1;
} else
if ( n >= 5216 && n < 6911 ) {
	BLK = 4;
} else
if ( n >= 6911 && n < 9259 ) {
	BLK = 5;
} else
if ( n >= 9259 && n < 14845 ) {
	BLK = 4;
} else
if ( n >= 14845 && n < 15239 ) {
	BLK = 5;
} else
if ( n >= 15239 && n < 16445 ) {
	BLK = 4;
} else
if ( n >= 16445 && n < 16877 ) {
	BLK = 5;
} else
if ( n >= 16877 && n < 20922 ) {
	BLK = 4;
} else
if ( n >= 20922 && n < 21636 ) {
	BLK = 5;
} else
if ( n >= 21636 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
