#ifndef I32SYMV_LOWER_AUTO2_H_INCLUDED
#define I32SYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I32SYMV-L
Sat Mar 19 12:08:36 JST 2022
Host on pascal.r-ccs27.riken.jp
Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3007 ) {
	BLK = 0;
} else
if ( n >= 3007 && n < 3921 ) {
	BLK = 1;
} else
if ( n >= 3921 && n < 3955 ) {
	BLK = 4;
} else
if ( n >= 3955 && n < 4031 ) {
	BLK = 2;
} else
if ( n >= 4031 && n < 4415 ) {
	BLK = 1;
} else
if ( n >= 4415 && n < 5045 ) {
	BLK = 4;
} else
if ( n >= 5045 && n < 6173 ) {
	BLK = 1;
} else
if ( n >= 6173 && n < 6382 ) {
	BLK = 2;
} else
if ( n >= 6382 && n < 7265 ) {
	BLK = 3;
} else
if ( n >= 7265 && n < 7325 ) {
	BLK = 2;
} else
if ( n >= 7325 && n < 7596 ) {
	BLK = 6;
} else
if ( n >= 7596 && n < 7854 ) {
	BLK = 4;
} else
if ( n >= 7854 && n < 8033 ) {
	BLK = 6;
} else
if ( n >= 8033 && n < 8103 ) {
	BLK = 2;
} else
if ( n >= 8103 && n < 10923 ) {
	BLK = 4;
} else
if ( n >= 10923 && n < 11992 ) {
	BLK = 6;
} else
if ( n >= 11992 && n < 12343 ) {
	BLK = 3;
} else
if ( n >= 12343 && n < 13597 ) {
	BLK = 4;
} else
if ( n >= 13597 && n < 13667 ) {
	BLK = 3;
} else
if ( n >= 13667 && n < 13868 ) {
	BLK = 2;
} else
if ( n >= 13868 && n < 15934 ) {
	BLK = 4;
} else
if ( n >= 15934 && n < 16659 ) {
	BLK = 3;
} else
if ( n >= 16659 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 
#endif
