#ifndef I32SYMV_UPPER_AUTO2_H_INCLUDED
#define I32SYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I32SYMV-U
Fri Mar 18 22:04:59 JST 2022
Host on pascal.r-ccs27.riken.jp
Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2634 ) {
	BLK = 0;
} else
if ( n >= 2634 && n < 4095 ) {
	BLK = 1;
} else
if ( n >= 4095 && n < 4459 ) {
	BLK = 2;
} else
if ( n >= 4459 && n < 4466 ) {
	BLK = 6;
} else
if ( n >= 4466 && n < 4538 ) {
	BLK = 3;
} else
if ( n >= 4538 && n < 4825 ) {
	BLK = 4;
} else
if ( n >= 4825 && n < 5717 ) {
	BLK = 2;
} else
if ( n >= 5717 && n < 5775 ) {
	BLK = 3;
} else
if ( n >= 5775 && n < 5809 ) {
	BLK = 6;
} else
if ( n >= 5809 && n < 5931 ) {
	BLK = 4;
} else
if ( n >= 5931 && n < 6001 ) {
	BLK = 2;
} else
if ( n >= 6001 && n < 9150 ) {
	BLK = 3;
} else
if ( n >= 9150 && n < 9507 ) {
	BLK = 4;
} else
if ( n >= 9507 && n < 11634 ) {
	BLK = 3;
} else
if ( n >= 11634 && n < 11988 ) {
	BLK = 4;
} else
if ( n >= 11988 && n < 14645 ) {
	BLK = 3;
} else
if ( n >= 14645 && n < 15071 ) {
	BLK = 4;
} else
if ( n >= 15071 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
