#ifndef I64SYMV_LOWER_AUTO2_H_INCLUDED
#define I64SYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I64SYMV-L
Sat Mar 19 10:37:06 JST 2022
Host on pascal.r-ccs27.riken.jp
Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2209 ) {
	BLK = 0;
} else
if ( n >= 2209 && n < 2229 ) {
	BLK = 2;
} else
if ( n >= 2229 && n < 2266 ) {
	BLK = 4;
} else
if ( n >= 2266 && n < 2305 ) {
	BLK = 1;
} else
if ( n >= 2305 && n < 2339 ) {
	BLK = 2;
} else
if ( n >= 2339 && n < 3640 ) {
	BLK = 4;
} else
if ( n >= 3640 && n < 4474 ) {
	BLK = 1;
} else
if ( n >= 4474 && n < 4475 ) {
	BLK = 3;
} else
if ( n >= 4475 && n < 4608 ) {
	BLK = 4;
} else
if ( n >= 4608 && n < 4875 ) {
	BLK = 1;
} else
if ( n >= 4875 && n < 5943 ) {
	BLK = 3;
} else
if ( n >= 5943 && n < 6731 ) {
	BLK = 4;
} else
if ( n >= 6731 && n < 7009 ) {
	BLK = 3;
} else
if ( n >= 7009 && n < 7442 ) {
	BLK = 4;
} else
if ( n >= 7442 && n < 7565 ) {
	BLK = 3;
} else
if ( n >= 7565 && n < 7901 ) {
	BLK = 1;
} else
if ( n >= 7901 && n < 8806 ) {
	BLK = 3;
} else
if ( n >= 8806 && n < 9080 ) {
	BLK = 4;
} else
if ( n >= 9080 && n < 9570 ) {
	BLK = 3;
} else
if ( n >= 9570 && n < 11034 ) {
	BLK = 4;
} else
if ( n >= 11034 && n < 11712 ) {
	BLK = 3;
} else
if ( n >= 11712 && n < 16419 ) {
	BLK = 4;
} else
if ( n >= 16419 && n < 16693 ) {
	BLK = 3;
} else
if ( n >= 16693 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 
#endif
