#ifndef SSYMV_UPPER_AUTO2_H_INCLUDED
#define SSYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-U
Fri Mar 18 14:45:03 JST 2022
Host on pascal.r-ccs27.riken.jp
Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 24 ) {
	BLK = 4;
} else
if ( n >= 24 && n < 2659 ) {
	BLK = 0;
} else
if ( n >= 2659 && n < 3321 ) {
	BLK = 1;
} else
if ( n >= 3321 && n < 3335 ) {
	BLK = 2;
} else
if ( n >= 3335 && n < 3616 ) {
	BLK = 3;
} else
if ( n >= 3616 && n < 4325 ) {
	BLK = 4;
} else
if ( n >= 4325 && n < 4634 ) {
	BLK = 1;
} else
if ( n >= 4634 && n < 4714 ) {
	BLK = 2;
} else
if ( n >= 4714 && n < 4943 ) {
	BLK = 5;
} else
if ( n >= 4943 && n < 5139 ) {
	BLK = 1;
} else
if ( n >= 5139 && n < 9261 ) {
	BLK = 2;
} else
if ( n >= 9261 && n < 9567 ) {
	BLK = 5;
} else
if ( n >= 9567 && n < 11588 ) {
	BLK = 2;
} else
if ( n >= 11588 && n < 11964 ) {
	BLK = 5;
} else
if ( n >= 11964 && n < 12747 ) {
	BLK = 2;
} else
if ( n >= 12747 && n < 13089 ) {
	BLK = 5;
} else
if ( n >= 13089 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 
#endif
