#ifndef HSYMVL_AUTO2_H_INCLUDED
#define HSYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for HSYMVL
 Thu Sep 08 01:16:18  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 5214 ) {
	BLK = 0;
} else
if ( n >= 5214 && n < 5751 ) {
	BLK = 4;
} else
if ( n >= 5751 && n < 5851 ) {
	BLK = 2;
} else
if ( n >= 5851 && n < 5900 ) {
	BLK = 3;
} else
if ( n >= 5900 && n < 6272 ) {
	BLK = 4;
} else
if ( n >= 6272 && n < 8382 ) {
	BLK = 3;
} else
if ( n >= 8382 && n < 24705 ) {
	BLK = 4;
} else
if ( n >= 24705 && n < 26042 ) {
	BLK = 6;
} else
if ( n >= 26042 && n < 28868 ) {
	BLK = 4;
} else
if ( n >= 28868 && n < 30080 ) {
	BLK = 6;
} else
if ( n >= 30080 && n < 34131 ) {
	BLK = 4;
} else
if ( n >= 34131 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 

#endif
