#ifndef I16SYMVL_AUTO2_H_INCLUDED
#define I16SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I16SYMVL
 Thu Sep 08 08:38:14  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 5186 ) {
	BLK = 0;
} else
if ( n >= 5186 && n < 7855 ) {
	BLK = 1;
} else
if ( n >= 7855 && n < 8300 ) {
	BLK = 3;
} else
if ( n >= 8300 && n < 8677 ) {
	BLK = 1;
} else
if ( n >= 8677 && n < 9133 ) {
	BLK = 3;
} else
if ( n >= 9133 && n < 12689 ) {
	BLK = 1;
} else
if ( n >= 12689 && n < 12992 ) {
	BLK = 3;
} else
if ( n >= 12992 && n < 21086 ) {
	BLK = 1;
} else
if ( n >= 21086 && n < 23820 ) {
	BLK = 5;
} else
if ( n >= 23820 && n < 26073 ) {
	BLK = 1;
} else
if ( n >= 26073 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
