#ifndef I32SYMVL_AUTO2_H_INCLUDED
#define I32SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVL
 Thu Sep 08 06:41:48  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3213 ) {
	BLK = 0;
} else
if ( n >= 3213 && n < 3646 ) {
	BLK = 1;
} else
if ( n >= 3646 && n < 3778 ) {
	BLK = 2;
} else
if ( n >= 3778 && n < 3851 ) {
	BLK = 4;
} else
if ( n >= 3851 && n < 4169 ) {
	BLK = 1;
} else
if ( n >= 4169 && n < 4217 ) {
	BLK = 4;
} else
if ( n >= 4217 && n < 4740 ) {
	BLK = 2;
} else
if ( n >= 4740 && n < 4823 ) {
	BLK = 4;
} else
if ( n >= 4823 && n < 4858 ) {
	BLK = 5;
} else
if ( n >= 4858 && n < 5403 ) {
	BLK = 2;
} else
if ( n >= 5403 && n < 6042 ) {
	BLK = 4;
} else
if ( n >= 6042 && n < 6136 ) {
	BLK = 5;
} else
if ( n >= 6136 && n < 8945 ) {
	BLK = 2;
} else
if ( n >= 8945 && n < 10305 ) {
	BLK = 5;
} else
if ( n >= 10305 && n < 10696 ) {
	BLK = 2;
} else
if ( n >= 10696 && n < 11037 ) {
	BLK = 5;
} else
if ( n >= 11037 && n < 11456 ) {
	BLK = 2;
} else
if ( n >= 11456 && n < 11950 ) {
	BLK = 5;
} else
if ( n >= 11950 && n < 13051 ) {
	BLK = 2;
} else
if ( n >= 13051 && n < 13260 ) {
	BLK = 5;
} else
if ( n >= 13260 && n < 13532 ) {
	BLK = 4;
} else
if ( n >= 13532 && n < 14281 ) {
	BLK = 2;
} else
if ( n >= 14281 && n < 14708 ) {
	BLK = 5;
} else
if ( n >= 14708 && n < 52774 ) {
	BLK = 2;
} else
if ( n >= 52774 && n < 56436 ) {
	BLK = 5;
} else
if ( n >= 56436 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
