#ifndef I32SYMVU_AUTO2_H_INCLUDED
#define I32SYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I32SYMVU
 Wed Sep 07 16:13:34  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2350 ) {
	BLK = 0;
} else
if ( n >= 2350 && n < 2468 ) {
	BLK = 1;
} else
if ( n >= 2468 && n < 2473 ) {
	BLK = 2;
} else
if ( n >= 2473 && n < 2556 ) {
	BLK = 3;
} else
if ( n >= 2556 && n < 2830 ) {
	BLK = 1;
} else
if ( n >= 2830 && n < 3330 ) {
	BLK = 2;
} else
if ( n >= 3330 && n < 3372 ) {
	BLK = 1;
} else
if ( n >= 3372 && n < 3696 ) {
	BLK = 3;
} else
if ( n >= 3696 && n < 4013 ) {
	BLK = 1;
} else
if ( n >= 4013 && n < 4071 ) {
	BLK = 3;
} else
if ( n >= 4071 && n < 4469 ) {
	BLK = 4;
} else
if ( n >= 4469 && n < 4993 ) {
	BLK = 1;
} else
if ( n >= 4993 && n < 6643 ) {
	BLK = 4;
} else
if ( n >= 6643 && n < 6720 ) {
	BLK = 1;
} else
if ( n >= 6720 && n < 6825 ) {
	BLK = 6;
} else
if ( n >= 6825 && n < 6874 ) {
	BLK = 5;
} else
if ( n >= 6874 && n < 11329 ) {
	BLK = 4;
} else
if ( n >= 11329 && n < 11792 ) {
	BLK = 6;
} else
if ( n >= 11792 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
