#ifndef I64SYMVL_AUTO2_H_INCLUDED
#define I64SYMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for I64SYMVL
 Thu Sep 08 05:06:08  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2038 ) {
	BLK = 0;
} else
if ( n >= 2038 && n < 4789 ) {
	BLK = 1;
} else
if ( n >= 4789 && n < 5250 ) {
	BLK = 3;
} else
if ( n >= 5250 && n < 5549 ) {
	BLK = 1;
} else
if ( n >= 5549 && n < 6123 ) {
	BLK = 2;
} else
if ( n >= 6123 && n < 6186 ) {
	BLK = 3;
} else
if ( n >= 6186 && n < 7307 ) {
	BLK = 1;
} else
if ( n >= 7307 && n < 7502 ) {
	BLK = 3;
} else
if ( n >= 7502 && n < 7800 ) {
	BLK = 2;
} else
if ( n >= 7800 && n < 7949 ) {
	BLK = 1;
} else
if ( n >= 7949 && n < 8106 ) {
	BLK = 3;
} else
if ( n >= 8106 && n < 8234 ) {
	BLK = 2;
} else
if ( n >= 8234 && n < 8858 ) {
	BLK = 1;
} else
if ( n >= 8858 && n < 9140 ) {
	BLK = 2;
} else
if ( n >= 9140 && n < 9269 ) {
	BLK = 3;
} else
if ( n >= 9269 && n < 11322 ) {
	BLK = 1;
} else
if ( n >= 11322 && n < 11604 ) {
	BLK = 2;
} else
if ( n >= 11604 && n < 2147483647 ) {
	BLK = 1;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 1;
} 

#endif
