#ifndef KHEMVL_AUTO2_H_INCLUDED
#define KHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVL
 Fri Sep 09 00:15:01  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3019 ) {
	BLK = 0;
} else
if ( n >= 3019 && n < 4416 ) {
	BLK = 1;
} else
if ( n >= 4416 && n < 4825 ) {
	BLK = 6;
} else
if ( n >= 4825 && n < 5403 ) {
	BLK = 4;
} else
if ( n >= 5403 && n < 5800 ) {
	BLK = 5;
} else
if ( n >= 5800 && n < 6062 ) {
	BLK = 4;
} else
if ( n >= 6062 && n < 6160 ) {
	BLK = 5;
} else
if ( n >= 6160 && n < 6270 ) {
	BLK = 6;
} else
if ( n >= 6270 && n < 8717 ) {
	BLK = 4;
} else
if ( n >= 8717 && n < 9302 ) {
	BLK = 5;
} else
if ( n >= 9302 && n < 17816 ) {
	BLK = 4;
} else
if ( n >= 17816 && n < 18233 ) {
	BLK = 6;
} else
if ( n >= 18233 && n < 21205 ) {
	BLK = 4;
} else
if ( n >= 21205 && n < 21777 ) {
	BLK = 6;
} else
if ( n >= 21777 && n < 26201 ) {
	BLK = 4;
} else
if ( n >= 26201 && n < 27715 ) {
	BLK = 6;
} else
if ( n >= 27715 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
