#ifndef SSYMVU_AUTO2_H_INCLUDED
#define SSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for SSYMVU
 Wed Sep 07 08:43:26  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2301 ) {
	BLK = 0;
} else
if ( n >= 2301 && n < 3439 ) {
	BLK = 1;
} else
if ( n >= 3439 && n < 3482 ) {
	BLK = 3;
} else
if ( n >= 3482 && n < 3518 ) {
	BLK = 2;
} else
if ( n >= 3518 && n < 3903 ) {
	BLK = 1;
} else
if ( n >= 3903 && n < 4831 ) {
	BLK = 2;
} else
if ( n >= 4831 && n < 4862 ) {
	BLK = 6;
} else
if ( n >= 4862 && n < 4962 ) {
	BLK = 4;
} else
if ( n >= 4962 && n < 5137 ) {
	BLK = 2;
} else
if ( n >= 5137 && n < 5286 ) {
	BLK = 6;
} else
if ( n >= 5286 && n < 5305 ) {
	BLK = 4;
} else
if ( n >= 5305 && n < 8856 ) {
	BLK = 2;
} else
if ( n >= 8856 && n < 9285 ) {
	BLK = 6;
} else
if ( n >= 9285 && n < 13015 ) {
	BLK = 2;
} else
if ( n >= 13015 && n < 13435 ) {
	BLK = 6;
} else
if ( n >= 13435 && n < 67130 ) {
	BLK = 2;
} else
if ( n >= 67130 && n < 69200 ) {
	BLK = 6;
} else
if ( n >= 69200 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 

#endif
