#ifndef ZHEMVU_AUTO2_H_INCLUDED
#define ZHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for ZHEMVU
 Thu Sep 08 12:35:23  2022
 Host on pascal.r-ccs27.riken.jp
 Device is GeForce-RTX-3090
****************************************/-->
// device name
DEVICE= GeForce-RTX-3090
// the number of multi-processors
MP= 82
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25446531072
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53578
// for float or cuHalfComplex or int32
MAXDIM2= 75771
// for cuDoubleComplex or DD or int128
MAXDIM3= 37885
// for DD-Complex
MAXDIM4= 26789
// for half or int16
MAXDIM5= 107157
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3968 ) {
	BLK = 0;
} else
if ( n >= 3968 && n < 4037 ) {
	BLK = 1;
} else
if ( n >= 4037 && n < 4099 ) {
	BLK = 2;
} else
if ( n >= 4099 && n < 4286 ) {
	BLK = 0;
} else
if ( n >= 4286 && n < 4891 ) {
	BLK = 1;
} else
if ( n >= 4891 && n < 5191 ) {
	BLK = 2;
} else
if ( n >= 5191 && n < 7574 ) {
	BLK = 1;
} else
if ( n >= 7574 && n < 7851 ) {
	BLK = 2;
} else
if ( n >= 7851 && n < 9631 ) {
	BLK = 1;
} else
if ( n >= 9631 && n < 12700 ) {
	BLK = 4;
} else
if ( n >= 12700 && n < 13608 ) {
	BLK = 5;
} else
if ( n >= 13608 && n < 14025 ) {
	BLK = 4;
} else
if ( n >= 14025 && n < 14645 ) {
	BLK = 5;
} else
if ( n >= 14645 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
