#ifndef HSYMV_LOWER_AUTO2_H_INCLUDED
#define HSYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for HSYMV-L
Wed Mar 16 09:28:56 JST 2022
Host on fermat.r-ccs27.riken.jp
Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3353 ) {
	BLK = 0;
} else
if ( n >= 3353 && n < 5197 ) {
	BLK = 3;
} else
if ( n >= 5197 && n < 11989 ) {
	BLK = 1;
} else
if ( n >= 11989 && n < 12868 ) {
	BLK = 3;
} else
if ( n >= 12868 && n < 14062 ) {
	BLK = 1;
} else
if ( n >= 14062 && n < 14684 ) {
	BLK = 3;
} else
if ( n >= 14684 && n < 15737 ) {
	BLK = 1;
} else
if ( n >= 15737 && n < 16112 ) {
	BLK = 3;
} else
if ( n >= 16112 && n < 22042 ) {
	BLK = 1;
} else
if ( n >= 22042 && n < 23180 ) {
	BLK = 5;
} else
if ( n >= 23180 && n < 24532 ) {
	BLK = 1;
} else
if ( n >= 24532 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 
#endif
