#ifndef I16SYMV_LOWER_AUTO2_H_INCLUDED
#define I16SYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I16SYMV-L
Wed Mar 16 14:00:04 JST 2022
Host on fermat.r-ccs27.riken.jp
Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 3530 ) {
	BLK = 0;
} else
if ( n >= 3530 && n < 5008 ) {
	BLK = 1;
} else
if ( n >= 5008 && n < 9207 ) {
	BLK = 2;
} else
if ( n >= 9207 && n < 9760 ) {
	BLK = 3;
} else
if ( n >= 9760 && n < 10296 ) {
	BLK = 2;
} else
if ( n >= 10296 && n < 10722 ) {
	BLK = 4;
} else
if ( n >= 10722 && n < 15954 ) {
	BLK = 2;
} else
if ( n >= 15954 && n < 16487 ) {
	BLK = 4;
} else
if ( n >= 16487 && n < 16961 ) {
	BLK = 2;
} else
if ( n >= 16961 && n < 48383 ) {
	BLK = 4;
} else
if ( n >= 48383 && n < 53301 ) {
	BLK = 5;
} else
if ( n >= 53301 && n < 88023 ) {
	BLK = 4;
} else
if ( n >= 88023 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 
#endif
