#ifndef I32SYMV_LOWER_AUTO2_H_INCLUDED
#define I32SYMV_LOWER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I32SYMV-L
Wed Mar 16 12:44:06 JST 2022
Host on fermat.r-ccs27.riken.jp
Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2646 ) {
	BLK = 0;
} else
if ( n >= 2646 && n < 4564 ) {
	BLK = 1;
} else
if ( n >= 4564 && n < 9603 ) {
	BLK = 3;
} else
if ( n >= 9603 && n < 9922 ) {
	BLK = 2;
} else
if ( n >= 9922 && n < 10677 ) {
	BLK = 3;
} else
if ( n >= 10677 && n < 11165 ) {
	BLK = 2;
} else
if ( n >= 11165 && n < 18884 ) {
	BLK = 3;
} else
if ( n >= 18884 && n < 19414 ) {
	BLK = 2;
} else
if ( n >= 19414 && n < 40106 ) {
	BLK = 3;
} else
if ( n >= 40106 && n < 43356 ) {
	BLK = 2;
} else
if ( n >= 43356 && n < 51745 ) {
	BLK = 3;
} else
if ( n >= 51745 && n < 54017 ) {
	BLK = 2;
} else
if ( n >= 54017 && n < 58013 ) {
	BLK = 5;
} else
if ( n >= 58013 && n < 58991 ) {
	BLK = 2;
} else
if ( n >= 58991 && n < 2147483647 ) {
	BLK = 3;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 3;
} 
#endif
