#ifndef I64SYMV_UPPER_AUTO2_H_INCLUDED
#define I64SYMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for I64SYMV-U
Wed Mar 16 02:19:12 JST 2022
Host on fermat.r-ccs27.riken.jp
Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 16 ) {
	BLK = 3;
} else
if ( n >= 16 && n < 1914 ) {
	BLK = 0;
} else
if ( n >= 1914 && n < 3032 ) {
	BLK = 1;
} else
if ( n >= 3032 && n < 3057 ) {
	BLK = 2;
} else
if ( n >= 3057 && n < 3073 ) {
	BLK = 5;
} else
if ( n >= 3073 && n < 3177 ) {
	BLK = 1;
} else
if ( n >= 3177 && n < 3245 ) {
	BLK = 6;
} else
if ( n >= 3245 && n < 3301 ) {
	BLK = 5;
} else
if ( n >= 3301 && n < 4233 ) {
	BLK = 3;
} else
if ( n >= 4233 && n < 4291 ) {
	BLK = 6;
} else
if ( n >= 4291 && n < 4323 ) {
	BLK = 4;
} else
if ( n >= 4323 && n < 4479 ) {
	BLK = 3;
} else
if ( n >= 4479 && n < 4568 ) {
	BLK = 6;
} else
if ( n >= 4568 && n < 4631 ) {
	BLK = 4;
} else
if ( n >= 4631 && n < 4799 ) {
	BLK = 3;
} else
if ( n >= 4799 && n < 4817 ) {
	BLK = 6;
} else
if ( n >= 4817 && n < 4947 ) {
	BLK = 4;
} else
if ( n >= 4947 && n < 5229 ) {
	BLK = 3;
} else
if ( n >= 5229 && n < 5327 ) {
	BLK = 4;
} else
if ( n >= 5327 && n < 6306 ) {
	BLK = 6;
} else
if ( n >= 6306 && n < 8412 ) {
	BLK = 3;
} else
if ( n >= 8412 && n < 2147483647 ) {
	BLK = 6;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 6;
} 
#endif
