#ifndef KHEMV_UPPER_AUTO2_H_INCLUDED
#define KHEMV_UPPER_AUTO2_H_INCLUDED 1
#if 0
<--/****************************************
Automatic Performance Tuning for KHEMV-U
Wed Mar 16 19:08:52 JST 2022
Host on fermat.r-ccs27.riken.jp
Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11060
// ASPEN.K2 version
ASPEN_K2= 1.9 Fuchu
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2527 ) {
	BLK = 0;
} else
if ( n >= 2527 && n < 2867 ) {
	BLK = 3;
} else
if ( n >= 2867 && n < 2923 ) {
	BLK = 5;
} else
if ( n >= 2923 && n < 2989 ) {
	BLK = 2;
} else
if ( n >= 2989 && n < 3022 ) {
	BLK = 3;
} else
if ( n >= 3022 && n < 3535 ) {
	BLK = 5;
} else
if ( n >= 3535 && n < 4781 ) {
	BLK = 2;
} else
if ( n >= 4781 && n < 4838 ) {
	BLK = 4;
} else
if ( n >= 4838 && n < 4840 ) {
	BLK = 5;
} else
if ( n >= 4840 && n < 6071 ) {
	BLK = 2;
} else
if ( n >= 6071 && n < 6182 ) {
	BLK = 4;
} else
if ( n >= 6182 && n < 6261 ) {
	BLK = 5;
} else
if ( n >= 6261 && n < 7341 ) {
	BLK = 2;
} else
if ( n >= 7341 && n < 7693 ) {
	BLK = 5;
} else
if ( n >= 7693 && n < 10542 ) {
	BLK = 2;
} else
if ( n >= 10542 && n < 11065 ) {
	BLK = 4;
} else
if ( n >= 11065 && n < 54184 ) {
	BLK = 2;
} else
if ( n >= 54184 && n < 56957 ) {
	BLK = 5;
} else
if ( n >= 56957 && n < 2147483647 ) {
	BLK = 2;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 2;
} 
#endif
