#ifndef CHEMVU_AUTO2_H_INCLUDED
#define CHEMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for CHEMVU
 Fri Jul 22 08:21:02  2022
 Host on fermat.r-ccs27.riken.jp
 Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 1928 ) {
	BLK = 0;
} else
if ( n >= 1928 && n < 2932 ) {
	BLK = 1;
} else
if ( n >= 2932 && n < 3007 ) {
	BLK = 2;
} else
if ( n >= 3007 && n < 3656 ) {
	BLK = 4;
} else
if ( n >= 3656 && n < 5404 ) {
	BLK = 1;
} else
if ( n >= 5404 && n < 8571 ) {
	BLK = 2;
} else
if ( n >= 8571 && n < 8899 ) {
	BLK = 5;
} else
if ( n >= 8899 && n < 9740 ) {
	BLK = 2;
} else
if ( n >= 9740 && n < 10443 ) {
	BLK = 5;
} else
if ( n >= 10443 && n < 11552 ) {
	BLK = 2;
} else
if ( n >= 11552 && n < 13463 ) {
	BLK = 5;
} else
if ( n >= 13463 && n < 16922 ) {
	BLK = 2;
} else
if ( n >= 16922 && n < 17801 ) {
	BLK = 5;
} else
if ( n >= 17801 && n < 18388 ) {
	BLK = 2;
} else
if ( n >= 18388 && n < 19413 ) {
	BLK = 5;
} else
if ( n >= 19413 && n < 20309 ) {
	BLK = 2;
} else
if ( n >= 20309 && n < 24920 ) {
	BLK = 5;
} else
if ( n >= 24920 && n < 25408 ) {
	BLK = 2;
} else
if ( n >= 25408 && n < 2147483647 ) {
	BLK = 5;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 5;
} 

#endif
