#ifndef DSYMVU_AUTO2_H_INCLUDED
#define DSYMVU_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for DSYMVU
 Thu Jul 21 10:02:41  2022
 Host on fermat.r-ccs27.riken.jp
 Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1
#define	KERNEL_4	1
#define	KERNEL_5	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2530 ) {
	BLK = 0;
} else
if ( n >= 2530 && n < 5319 ) {
	BLK = 1;
} else
if ( n >= 5319 && n < 5379 ) {
	BLK = 3;
} else
if ( n >= 5379 && n < 5464 ) {
	BLK = 2;
} else
if ( n >= 5464 && n < 5946 ) {
	BLK = 1;
} else
if ( n >= 5946 && n < 6101 ) {
	BLK = 4;
} else
if ( n >= 6101 && n < 6112 ) {
	BLK = 2;
} else
if ( n >= 6112 && n < 7711 ) {
	BLK = 1;
} else
if ( n >= 7711 && n < 8832 ) {
	BLK = 2;
} else
if ( n >= 8832 && n < 9042 ) {
	BLK = 5;
} else
if ( n >= 9042 && n < 9227 ) {
	BLK = 4;
} else
if ( n >= 9227 && n < 9454 ) {
	BLK = 2;
} else
if ( n >= 9454 && n < 9703 ) {
	BLK = 1;
} else
if ( n >= 9703 && n < 10499 ) {
	BLK = 4;
} else
if ( n >= 10499 && n < 10840 ) {
	BLK = 2;
} else
if ( n >= 10840 && n < 11209 ) {
	BLK = 4;
} else
if ( n >= 11209 && n < 11926 ) {
	BLK = 2;
} else
if ( n >= 11926 && n < 13638 ) {
	BLK = 4;
} else
if ( n >= 13638 && n < 13762 ) {
	BLK = 2;
} else
if ( n >= 13762 && n < 14276 ) {
	BLK = 5;
} else
if ( n >= 14276 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
