#ifndef KHEMVL_AUTO2_H_INCLUDED
#define KHEMVL_AUTO2_H_INCLUDED    1

#if 0
<--/****************************************
 Automatic Performance Tuning for KHEMVL
 Fri Jul 22 15:08:04  2022
 Host on fermat.r-ccs27.riken.jp
 Device is RTX-A5000
****************************************/-->
// device name
DEVICE= RTX-A5000
// the number of multi-processors
MP= 64
// compute-compatibility generation
CG= 860
// capacity of the global memory or host memory
MAXmem= 25433554944
// capacity of the work area reserved on the GPU
WORK= 638976
// for double or cuFloatComplex or int64
MAXDIM= 53565
// for float or cuHalfComplex or int32
MAXDIM2= 75752
// for cuDoubleComplex or DD or int128
MAXDIM3= 37876
// for DD-Complex
MAXDIM4= 26782
// for half or int16
MAXDIM5= 107130
// cuda version
CUDA= 11070
// ASPEN.K2 version
ASPEN_K2= 1.9p1 Mariko
<--
#define CURRENT_GPU 860
-->
#endif

#define	KERNEL_0	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1


// default kernel is
BLK = 0;

if ( n >= 1 && n < 2858 ) {
	BLK = 0;
} else
if ( n >= 2858 && n < 3209 ) {
	BLK = 1;
} else
if ( n >= 3209 && n < 4162 ) {
	BLK = 2;
} else
if ( n >= 4162 && n < 4754 ) {
	BLK = 4;
} else
if ( n >= 4754 && n < 4779 ) {
	BLK = 5;
} else
if ( n >= 4779 && n < 5055 ) {
	BLK = 2;
} else
if ( n >= 5055 && n < 5738 ) {
	BLK = 4;
} else
if ( n >= 5738 && n < 5842 ) {
	BLK = 5;
} else
if ( n >= 5842 && n < 5925 ) {
	BLK = 2;
} else
if ( n >= 5925 && n < 6073 ) {
	BLK = 4;
} else
if ( n >= 6073 && n < 6384 ) {
	BLK = 5;
} else
if ( n >= 6384 && n < 6678 ) {
	BLK = 2;
} else
if ( n >= 6678 && n < 8881 ) {
	BLK = 4;
} else
if ( n >= 8881 && n < 9257 ) {
	BLK = 5;
} else
if ( n >= 9257 && n < 9767 ) {
	BLK = 4;
} else
if ( n >= 9767 && n < 10140 ) {
	BLK = 5;
} else
if ( n >= 10140 && n < 10544 ) {
	BLK = 4;
} else
if ( n >= 10544 && n < 11203 ) {
	BLK = 5;
} else
if ( n >= 11203 && n < 11465 ) {
	BLK = 4;
} else
if ( n >= 11465 && n < 11936 ) {
	BLK = 5;
} else
if ( n >= 11936 && n < 12486 ) {
	BLK = 4;
} else
if ( n >= 12486 && n < 12765 ) {
	BLK = 5;
} else
if ( n >= 12765 && n < 51940 ) {
	BLK = 4;
} else
if ( n >= 51940 && n < 59716 ) {
	BLK = 6;
} else
if ( n >= 59716 && n < 2147483647 ) {
	BLK = 4;
} else
if ( n >= 2147483647 && n <= 2147483647 ) {
	BLK = 4;
} 

#endif
